Gentoo kérdések

 ( Quain | 2004. június 5., szombat - 16:32 )

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

A /var/tmp/portage dir--be vannak olyan dolgok, amiket valami használ, vagy nyugodtan üríthetem?

----------------
2.6.15-gentoo-r1

"A /var/tmp/portage dir--be vannak olyan dolgok, amiket valami használ, vagy nyugodtan üríthetem?"

Nyugodtan törölheted. Itt fordítja le a programokat.

Mivé lett a világ?
2005.0-at telepítettem tavaly stage1-ről, most meg céges gépen 2006.0-at szerettem volna. Meglepődve látom, h nem támogatott a stage1-2 csak a stage3. Ezután elkezdtem nézegetni a handbookokat és az egyikben olyat látok a 3. pontban, h grafikus installer :P
Mivé lett a világ? (;-) :P

Stage1 _hivatalosan_ nem támogatott. De akik a gentoot fejlesztik, azok stage1-ről indulnak, ezért mindig lesz stage1 is. Meg... semmi értelme sincsen felrakni a stage3-at, majd: $EDITOR make.conf && emerge -e world

Valaki tudja hogy lehet kernelt forgatni?
konkrétan a 0.01 verzióra gondolok, ami make parancs után hibaüziket ad ki. De a többi verzió sem ment egészen 1.11-ig. Tovább már nem is probálkoztam:( Ha van vkinek tapasztalata <=linux-1.0 kernel terén akkor pls segítsen!!!

-------------------
2.6.15-gentoo-r1

Sziasztok!
Egy 40Mbyte memóriával rendelkező laptopra raknám fel a gentoo 2006.0-t a minimal install CD-ről. Az emerge --sync paracncs kiadása után x idővel kilép memóriahiányra hivatkozva (az emerge-webrsync egyszerűen lefagy, miután elfogy a mem).
A free -m szerint a swap-ot nem használja. Hogy lehet rábírni hogy használja a swap-ot? Másképpen fogalmazva hogy lehet megnövelni a memóriát, hogy a programoknak transzparens legyen?

"40Mbyte memóriával rendelkező laptopra raknám fel a gentoo 2006.0-t"

Az dédunokádnak csinálod? :D
Inkább másolj kész gentoo-t,egy másik(gyors)gépről!
A kernel-t is forgasd a laptop-ra!

Ha rági 486-os laptopról van szó, a 2.6 kernel nem jó. 2.4 kell hozzá. Amit érdemes ilyen "kis" gépnél kipróbálni az a TinyGentoo módszere. Letöltesz egy stage2-*-uclibc tarballt, kicsomizod a laptopra, utána rendes emergét csinálsz. Ha a konzolnál többre vágysz, a /usr/portage/profiles/uclibc alatti fájlokat meg kell hackelni. Én egy 8 MB RAM-mal megáldott lapossal míveltem ezt.

Ha kell segítség, írj:
hron kukkac hronszoft pontt dyndns pontt biz

Soxerencsét:
Hron György
:type:

[UPDATE] Ha lassú a laptop nem feltétlenazon kell telepíteni. Én vettem egy 2.5" IDE átalakítót, és azzal másolgatom a dolgokat. A mount parancs --bind kapcsolója pedig csodákra képes...

sany:
Hja, miután sikerült a sync (letöltöttem a portage tree-t és kicsomagoltam, egy fórum-beli ötlet alapján), a kernelfordításnál fagyott le szegény. Valszeg ott is memória-hiány lehet a gond, de nem írt ki semmit, csak lefagyott. Azt még mindig nem értem miért nem swappol, 512Mb swap csak nem fogyott el.
Ez jó ötlet, megpróbálok egy beépítő keretet venni a 2.5-ös vinyóhoz és beteszem a nagygépbe, ott megcsinálom a fordítást.
Azért van ez a laptopos nyomulás, mert szeretném bebizonyítani (magamnak), hogy egy ilyen gépet is lehet használni valamire.

hrgy84:
Ez egy Pentium gép, tehát gondolom erre mehet a 2.6.
Köszi a tippet, ha nem sikerül, amit előbb írtam, akkor rápróbálok erre, bár első blikkre ez így meghaladja a kicsinyke linux tudásomat.

Sziasztok!
Végülis 2. próbálkozásra lefordult a laptopon a kernel meg a modulok, csak kivágtam a memóriából a PCMCIA-t és ezzel felszabadult annyi mem, hogy továbbmenjen. Úgyhogy most van egy működő rendszer.
A portage tree-t meg megnyirbálom, valahol láttam erre is megoldást.
Köszi!

Igen, csak ezzel az lesz a problem, hogy a grafikus izébizék sok memet esznek. A TinyGentoo kétségtelen hátránya, hogy blokkolódás nélkül csak az IceWm megy fel rá, a többinél mindig van valami dependency blocking.
Én egy kicsit meghekkeltem az uClibc -re vonatkozó profilt, így nekem lassan lesz majd MC is. De ezzel együtt sajnos ami szűk keresztmetszet az a RAM. Asszem a 2.6-os kernelekről eleve írják hogy a minimum amin még elfutogat, az 32 MB, de az ajánlott 64. Ezért is érdemesebb 2.4-es kernelt választani. Meg swapterületet se kell sajnálni, persze a lehetőségekhez mérten.

Amúgy a TinyGentoo setupja teljesen olyan mintha egy normál installba kezdenél, ajánlom a stage2-t. Arra figyelj, hogy ha a laptop tud mmx-et vagy 3dnow!-t akkor az legyen a USE flagek között!

Azt a linket csak átfutásra küldtem, hogy nem légből kapott a dolog. Ha tényleg belevágsz (mert mondjuk kifutsz a memből) akkor én privát vagy itt a szálban segítek majd.

Mellesleg nekem hálistennek nem kellett kivennem a PCMCIA supportot, csak modulba tettem. sajna mivel a gépben a floppy kiment, más adathordozó meg nem dugható bele a HDD-jén kívül, nekem a PCMCIA volt a kritikus.

Kernelnél tessék vigyázni, hogy APŰM vagy ACPI mert nem mindegy! És persze a megfelelő démont illik telepíteni mellé. A Gentoo-nak igen kifinomult laptop futási szintjei vannak, érdemes körülnézni.

Soxerencsét kívánok, és kevesebb szívást mint nekem volt.
Üdv:
Hron György
:type:

Én sem KDE-ben gondolkodtam, majd nézek valami minimális, vagy jól konfigurálható X-et, de lehet hogy egyelőre elleszek nélküle.
Adtam neki swap-ot rendesen, de attól még fejreállt, és ez volt ami a fejfájást okozta nekem, mert nem értettem (még mindig nem értem) hogy miért nem használja a swap-ot, hisz ott volt 500 mega.
Csak a fordítás alatt unloadoltam a pcmcia-t (pcmcia stop), ez szabadította fel a memcsit, persze a kernelbe belekerült, jól is néznék ki nélküle.
Most lehet hogy bővítem 64 megz-re, ha találok megfelelő RAM-ot. Akkor már csak a proci lesz a szűk keresztmetszet. :)
Nagyon köszi ezt a Tiny Gentoo-s tippet, de úgy néz ki, hogy mostmár elszaladgál a gép a hagyományos install-lal, tudok emergelni, stb, úgyhogy jó ez így. Ha 8 megz lenne a gépben, akkor biztos ahhoz a megoldáshoz kéne folyamodni.
Azért még sokat kell tanulni erről, mert rengeteg meg-nem értésem van bizonyos fogalmakkal kapcsolatban... :)

haliho

feltettem a sylpheed-claws 2.0-at, de ehhez nem jo a reginek a spamassassin pluginje. valakinek van tapasztalata, akkor mit lehetne hasznalni?

[update] megoldas: elszoktam mar a gentoo-tol; a spamassassin resz atment USE flagbe.

Sziasztok!
Van ugye ez a k. öreg laptopom. Szeretném engedélyezni a DMA-t a hd-re, de nem sikerül:
"HDIO_SET_DMA failed: Operation not permitted".
Utánanéztem, több dolog okozhatja, de azt szűrtem le a fórumokból, hogy az IDE vezérlőm típusának támogatását engedélyezni kell a kernelben. Viszont ha csinálok egy lspci-t, abban nem találom az "IDE interface" sort. Szerintetek mi a teendő? Honnan tudom kitalálni, milyen IDE vezérlőm van?
b

probaképp beteszed kernelbe az összes szóbajövőt?

Kösz, ha nem találom ki a kontroller típusát, akkor lehet hogy ez lesz.
Remélem nem lesz ettől akkor a mag, hogy majd nem fittel bele a memóriába. :)

Nem találtak semmit a diag progik:
Generic IDE/ESDI controller... :-/

Általába az Intel PIIX (asszem ez a neve) tökéletesen megfelel a célnak. De azt is tudni kéne, hogy a winny egyáltalán támogatja-e a DMA-t? mert ha nem akkor pech.

Ha tutira akarsz menni, tölts le egy astra nevű HW-detektort, írd ki floppyra, és bootolj be róla. Az mindent elárul, amire kiváncsi voltál és leszel. Sajna a reportot a trial nem menti el, de a képernyőről is le lehet firkálni :) .

Remélem segítettem:

Hron György
:type:

Leszedtem az Astrát, TX!
Vinyó biztos tudja a DMA-t, most vettem újonnan 20gigzes, modern darab. Meg is tripláztam vele a laptop árát! :) Gondoltam nem pízkidobás, mert ha végül megszívom a laptoppal, akkor még mindig belefér beépítő kerettel a desktop-ba, úgyis régóta áhítoztam egy halk, nem melegedő vincsire.

Altalaban az altalad hasznalt chipset kezeli ay IDE t. Azt meg priman megmondja az lspci.

Mire gondolsz?

Itt az lspci kimenete, hogy ne mellőzzem a konkrétumokat:
00:00.0 Host bridge: OPTi Inc. 82C557 [Viper-M]
00:01.0 ISA bridge: OPTi Inc. 82C558 [Viper-M ISA+IDE]
00:03.0 VGA compatible controller: Cirrus Logic GD 7543 [Viking]
00:04.0 PCMCIA bridge: Cirrus Logic CL 6729 (rev fe)

Időközben az történt, hogy beállítottam az összes drivert a kernelben, és még mindig nem tudtam a DMA-t bekapcsolni, lehet, hogy máshol van a megoldás. Még mindig azt gondolom, hogy a kernelben, de akkor nem ott kell ezt beállítani, ahol eddig matattam (kernel config: Device Drivers ---> ATA/ATAPI/MFM/RLL support ---> Itt mindent)

Érdekes amúgy még az is hogy a szutyok Win95 alatt simán van DMA.

Ha van egy telepitett jol mukodo x86-os gentoom, van-e ra lehetoseg, hogy megtudjam a fent levo ebuildek kozul mi az, ami nem elerheto/unstable amd64-es platformon egy lista kereteben? Az egesz azert erdekelne, mert valoszinuleg befektetunk egy amd64-es architetkturara, es egy jelenleg x86-on futo rendszert tennek at. Viszont ha esetleg kulcsfontossagu csomagok nincsenek meg stable amd64-en, akkor nem vacakolok marad x86 az uj platformon is.

Koszi.

Miért lett ez ilyen cseszett széles?

Szerintem nincs, de írhatsz rá scriptet, ami megnézi a var/db/packages alatt telepített programok KEYWORDS változóját, de szerintem egyszerűbb, ha böngészel egyet a packages.gentoo.orgon.
Megjegyzem, én ~amd64 rendszert futtatok, különösebb gondok nélkül --- persze kinek mi a "kulcsfontosságú".

---------
MaGenTa - http://magenta.linuxforum.hu

Kivalo! Koszi, irtam is egy lamer scriptet, ami ilyen formaban kikopi a cuccot:

app-backup/boxbackup-0.09-r1    | x86 | NONE   |
www-client/elinks-0.10.6        | x86 | amd64  |
virtual/libiconv-0              | x86 | amd64  |
perl-core/Test-Simple-0.62      | x86 | ~amd64 |

Unicode-os problémára senki sem tud megoldást?

Amúgy a bash-könyvtár színezésre (root/.bashrc beolvasásra) valami olyan megoldás volt, hogy source <valami>, na ezt nem tudom...

maglyarakas szerintem ellenőrizd le a RAMokat:[url=http://www.memtest.org/]memtest86+[/url]

szeretnek egy uj configure opciot hozzaadni az egyik portageben szereplo csomaghoz. nyilvan ezt ugy szeretnem megtenni, hogy egy emerge sync ne vagja utana haza. ugyanakkor ofcos ugyanugy frissitheto maradjon a global repobol, tehat az nem jatszik, hogy atmasolom a /usr/local/portage ala kvazi egy sajat "fork"ot csinalva, mert azt mindig nekem kene szinkronban tartani. van-e erre lehetosegem? ha konkretumokat kell tudni a valaszhoz, akkor megirom.

thanx

Igy eleg nehez kitalalni mi a hiba...

A következő bug/feature-t találtam, amit idáig fagyásnak hidtem: ha a 2.6.10-gentoo-r6 használok (PIV,Centrino,AthlonXP) akkor ha az agetty-ben nyomok egy CTRL-O-t ha elnidítok egy mcedit-et vagy kétszer nyomok CTRL-O-t ha elindítok mc-t akkor megáll a konzol, ha készer megnyomom a scrolllock-ot akkor "meggyógyul :)

hali
van egy surgos problemam
egyik gentoo cd-vel sem tudok bebotoolni, viszont a knoppix-al be tudok lepni, el tudom kezdeni az install-t, de a bechroot-olas nem akar mukodni...ez a hibauzi:

root@ttyp0[/]# /usr/sbin/chroot /mnt/gentoo/ /bin/bash
/usr/sbin/chroot: cannot run command `/bin/bash': Exec format error

vkinek vmi otlete ?

[quote:b5cb7f5310="warning"]A useradd kerdes mellett nekilattam egy mydns.hhu domain nevet adni a gepemnek. Az a baj, hogy mikor megmondom neki, hogy rc-update add myipscript default akkor a restart utan /...script has syntax error it it. not executing :(

Ha jol ertelmezem ez egy perl script a myip.hu oldalon meg tok mast irnak, hogy hogyan kell automatice elinditani ezt:

[url]http://mydns.hu/olvassel-linux.txt[/url][/quote:b5cb7f5310]

A gentoo initszkripteknek saját formájuk van, szerintem ezért nem veszi be a gyomra. Indítsd a szkriptedet inkább /etc/conf.d/local.start-ból. (Ha jól emlékszem, ott van, ha nem, bocs, nézd meg /etc/env.d alatt is, ezeket mindig keverem)

Minek a net-setup? hasznosabb elolvasni a hálózati konfig részt a kézikönyvből, segít. Sőt általában érdemes elolvasni a handbookot. Azért van.

[quote:c720a2bf9b="voroskoi"]
1. Van egy vfat partícióm, amit vegyesen használok linuxból és winXP-ből. Szeretném indításkor mountolni, ami sikerül is, de csak rootként tudom elérni. Próbáltam beírni az user-t az fstab-ba, de az csak arra lett jó, hogy ha előtte lecsatolom rootként akkor a felhasználó is fel tudja csatolni. Tehát valami olyan kapcsoló kéne ami beenged a rootként felcsatolt könyvtárba is.
[/quote:c720a2bf9b]

uid, gid, umask

A Greek: iso kontra AltGR jobban izgat, amúgy xfce-ről nincs kedvem emiatt fluxbox-ra váltani :)

[quote:9edd87f271="LiRul"]szeretnek egy uj configure opciot hozzaadni az egyik portageben szereplo csomaghoz. nyilvan ezt ugy szeretnem megtenni, hogy egy emerge sync ne vagja utana haza. ugyanakkor ofcos ugyanugy frissitheto maradjon a global repobol, tehat az nem jatszik, hogy atmasolom a /usr/local/portage ala kvazi egy sajat "fork"ot csinalva, mert azt mindig nekem kene szinkronban tartani. van-e erre lehetosegem? ha konkretumokat kell tudni a valaszhoz, akkor megirom.

thanx[/quote:9edd87f271]

Megcsinálod 1 ebuildre, aztán diff -u -val elkészíted a patchet (még mindig egytelen ebuildre).

Az emerge --sync vagy esync lefutása után még meg kell patchelni a fájlokat. Ehhez annyi kell, hogy az adott program ebuildjein végiglépsz és lecseréled sed-del a patch-ben a fájlnevet. Az így létrejött fájllal már tudod patchelni az ebuildeket.

És kész.

[quote:848a34e667="meridian"]hali
van egy surgos problemam
egyik gentoo cd-vel sem tudok bebotoolni, viszont a knoppix-al be tudok lepni, el tudom kezdeni az install-t, de a bechroot-olas nem akar mukodni...ez a hibauzi:

root@ttyp0[/]# /usr/sbin/chroot /mnt/gentoo/ /bin/bash
/usr/sbin/chroot: cannot run command `/bin/bash': Exec format error

vkinek vmi otlete ?[/quote:848a34e667]

Szia!

Az alternate install doc -ban le van írva. Ha jól emlékszem a /proc filerendszer mount-olását kell máshogy csinálni.

Üdv.: Tomyellow

[quote:16338f1569="nzmark"]ezt írja ki az emerge, és nem tudom, hogy mit kezdjek vele:

Calculating world dependencies ...done!

!!! Error: the <media-video/ati-drivers-8.8.25-r3 package conflicts with another package.
!!! both can't be installed on the same system together.
!!! Please use 'emerge --pretend' to determine blockers.

Calculating world dependencies ...done!
[blocks B ] <media-video/ati-drivers-8.8.25-r3 (from pkg x11-base/opengl-update-2.1_pre4)
[ebuild U ] app-misc/mc-4.6.0-r12 [4.6.0-r11]

hogyan oldhatnám fel ezt a blokkolást? egyáltalán mi blokkol mit és miért?[/quote:16338f1569]

Ez annyit tesz, hogy az opengl-update adott verzióját nem tudja az ati-drivers miatt feltenni, előbb le kell szedni az ati-driverst, feltenni az opengl-updatet és utána próbálkozhatsz visszatenni... vagy inkább nem birizgálod, ha nincs feltétlenül szüksége az új változatra.

[quote:8e4ec45635="voroskoi"]Sziasztok!

Friss gentoo-s vagyok és összegyűlt pár kérdésem.

Szerentném feltenno az fsf-féle OOo-t, de java runtime environmetért sír. Fel is tettem a sun-jre-bin-t(letöltöttem külön a file-t, szóval tényleg feltettem), de nem találja meg. A telepítő továbbra is azt írja, nincs java környezet, pedig próbáltam bevezetni az /opt-on belül a java könyvtárba. Ötlet?

A másik két kérdés mount-tal kapcsolatos.
1. Van egy vfat partícióm, amit vegyesen használok linuxból és winXP-ből. Szeretném indításkor mountolni, ami sikerül is, de csak rootként tudom elérni. Próbáltam beírni az user-t az fstab-ba, de az csak arra lett jó, hogy ha előtte lecsatolom rootként akkor a felhasználó is fel tudja csatolni. Tehát valami olyan kapcsoló kéne ami beenged a rootként felcsatolt könyvtárba is.

2. A complete Gentoo Linux 2.6 migration guide alapján átálltam 2.6-os kernelre. (Egész pontosan ck3.) Tehát elvileg udev-et használok. De nem tudom, a pendrive-ot hova csatolja. Tovább bonyolítja a helyzetet, hogy két hely is van elöl a gépen és mindkettőt használom felváltva. Jó lenne, ha azonnal mountolná őket amint bedugom a gépbe. Talán supermount a megoldás, de nem tudom, ahhoz kell-e telepítenem valamit.

Hát ennyi. Meg a [url]https://www.hup.hu/modules.php?name=Forums&file=viewtopic&t=3790[/url]
címen is van egy megoldatlan kérdésem :) Előre is köszönök minden segítséget![/quote:8e4ec45635]

Az OOo-hoz (ha forditani akarod) a blackdown java kell, amugy nyomtal env-update-et? :)

A pendrive valoszinuleg a /dev/sda1-en lesz elerheto.

Fluxboxhoz meg nem ertek (egyelore :))

[quote:c698d9bf4c="warning"]Koszonom!!!
telleg csak egy rc-update add metalog default kellett

es semmi error :)

kov kerdes, a useradd parancsnak slackware alatt volt egy scriptje ami megkerdezte az adatokat es a vegen letrehozta a usert. Valamiert a parameterezos megoldas nem megy, mert hiba adok meg jelszot nem veszi be.[/quote:c698d9bf4c]

létrehozod a flehasználót, ahogy szeretnéd, majd
[code:1:c698d9bf4c]passwd username[/code:1:c698d9bf4c]

Hi All! :D

Megy az ssh! Minden müx klasszul, de ha a ListenAdress sorba 192.168.0.0-át írok és elveszem előle a #-et akkor nem futik az sshd! Miért? Esetleg mit kellene még állítani rajta, hogy csak a belső hálóról lehessen elérni? (Bár nem tudom, hogy kintről egyeltalán hogyan tudnák meg, hogy van itt ilyen szolgáltatás, mivel a tűzfalon keresztül remélem nem látszik) Egyébként megjegyzem, teljesen openssh módra kezeli a gentoo és az uhu is a config fájlokat! Ez nekem új, mert szeret mindenki mindenbe belematatni, de az említett két disztró ebben hasonlatos :-)

---
Hy

Hi, hatalmas problémám van! ( legalábbis nekem az )
Elcsesztem a hálózatot.
az etc-update-nél felelőtlenül igent nyomtam vmire, amire nem kellett volna, és most nincs net. Meg egyéb problémákat is okozott, de az most nem lényeg. indításkor a net.eth0 nem fut le rendesen, kiírja, hogy nincs eth0 nevű eszközöm. Manuálisan is próbáltam ( ifconfig eth0 up ), ugyanezzel az eredménnyel. Arra gyanakodtam, hogy nincs bent a megfelelő modul, és az modules.autoload.d-ben tényleg felül lett írva a script :( . Erre betöltöttem az e1000-t (nekem elvileg azt kell ), de semmi.
Felelőtlen y nyomogatásomra mentség, hogy már rém fáradt voltam :oops:
Valszeg nem csak ezt a conf file-t irattam felül, mert a gdm helyett is xdm jön be. (ezt azért még megoldom )

Szóval lekötelezne ha segítenétek, mert már nagyon unom az offline létet

[quote:303842749f="warning"]
kov kerdes, a useradd parancsnak slackware alatt volt egy scriptje ami megkerdezte az adatokat es a vegen letrehozta a usert. Valamiert a parameterezos megoldas nem megy, mert hiba adok meg jelszot nem veszi be.[/quote:303842749f]

man useradd :)

"-p passwd
The encrypted password, as returned by crypt(3). The default is to disable the account."

Nos ha már így rákérdeztél, az alábbi okok miatt kéne a net-setup.
[code:1:132afa5562] /etc/init.d/net.eth0 start
* Starting eth0
* You are using a depreciated configuration syntax for eth0
* You are advised to read /etc/conf.d/net.example and upgrade it accordingly
* Bringing up eth0
* dhcp
* No loaded modules provide "dhcp" (dhcp_start) [ !! ]
[/code:1:132afa5562]
Na most ezzel mit kezdjek?
Gondoltam a net-setup majd megoldja.
Egyébként ez azóta van, hogy leszedtem az udevet ( én naív, azt hittem, hogy nem kell ).
Azóta már visszatettem, de a net.eth0 azóta se megy, manuálisan kell dhcpcd-t futtatni, sőt azóta cdromot se tudok mountolni, mert nincs az eszköz a /dev-ben.
Ha tudtok megoldást ezekre, segíthetnétek. :)
Mostanában kicsit felgyülemlettek a gondok a gépem környékén, bár a legtöbbet magamnak köszönhetem :(

Másik proléma:
portage 2004.06.08, gcc 3.4.0-rakárhány is benne van, 3.3.3 akkor elvileg stabil, mégis bootstrapnél a 3.3.2-es gcc-t tölti le...

Miért? :x

[quote:e2ec5774cb="BikMak"]Nos ha már így rákérdeztél, az alábbi okok miatt kéne a net-setup.
[code:1:e2ec5774cb] /etc/init.d/net.eth0 start
* Starting eth0
* You are using a depreciated configuration syntax for eth0
* You are advised to read /etc/conf.d/net.example and upgrade it accordingly
* Bringing up eth0
* dhcp
* No loaded modules provide "dhcp" (dhcp_start) [ !! ]
[/code:1:e2ec5774cb]
Na most ezzel mit kezdjek?
Gondoltam a net-setup majd megoldja.
Egyébként ez azóta van, hogy leszedtem az udevet ( én naív, azt hittem, hogy nem kell ).
Azóta már visszatettem, de a net.eth0 azóta se megy, manuálisan kell dhcpcd-t futtatni, sőt azóta cdromot se tudok mountolni, mert nincs az eszköz a /dev-ben.
Ha tudtok megoldást ezekre, segíthetnétek. :)
Mostanában kicsit felgyülemlettek a gondok a gépem környékén, bár a legtöbbet magamnak köszönhetem :([/quote:e2ec5774cb]

Ez azt jelenti, hogy elavult szintaktika van az /etc/conf.d/net fájlodban ezért nem tud vele mit kezdeni. Elvileg, ha a fájl üres, akkor automatikusan is menni fog a dhcp, azt nem kell konfigolni.

nálam:
[code:1:e2ec5774cb] #This blank configuration will automatically use DHCP for any net.*
# scripts in /etc/init.d. To create a more complete configuration,
# please review /etc/conf.d/net.example and save your configuration
# in /etc/conf.d/net (this file :]!).
modules=( "!iproute2" "ifconfig" )
config_eth0=( "dhcp" )
dhcpcd_eth0="-t 10"[/code:1:e2ec5774cb]

Ez megy.

Szal nem sokat jutottam előre a témában. Debian alatt gyönyörűen működik az mkinitrd. Gentoo alatt persze más a script. Gentoo alatt alapból belepakolja a jbd, ext3 és ide-disk modulokat és ennyi. A többit is belepakoltam neki a --with-del, de nem segített semmit.

lehet benne rc, csak a suffixet aláhúzásjellel kell a verziószámhoz hozzáfűzni:
http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=1

[quote:dae25d0d2a="testerlnx"]A Greek: iso kontra AltGR jobban izgat, amúgy xfce-ről nincs kedvem emiatt fluxbox-ra váltani :)[/quote:dae25d0d2a]

Miért baj az, hogy átvált?

[quote:52fb2d319d="norcrys"]Most próbálok Gentoot telepíteni LiveCD-vel, stage3. A leírásban minden nagyon jól megvan, de a kernel telepítése emerge-el nem megy. Segítsen valaki: hogyan kell ezt cd-ről csinálni (nincs szélessévú kapcsolatom)?
Mindig a netről akarja letölteni.[/quote:52fb2d319d]

Tölts le vhonnan egy kernelt (másik disztó alatt) másold be a gentoo könyvtárába, majd chroot, beconfigolod, és mehet!

Hi, hogy kellene a Gentoo -mat frissíteni?
Felraktam otthon net nélkül, és most azt akarom , hogy az egészet frissítse és/vagy újrafordítsa ( immár nettel felvértezve ).
Ha esetleg itt már van rá válasz bocsi, de nem akartam mind a 27 oldalt végigböngészni.

[quote:94c294d311="strangedr"]lehet benne rc, csak a suffixet aláhúzásjellel kell a verziószámhoz hozzáfűzni:[/quote:94c294d311]
ohh szuper, köszi szépen!

:-) írj róla egy bugreportot

a 2005.0 csak egy új install cd, nem igazi "kiadás"
gentooban akár csomagonként megadhatod, hogy a stabil vagy a tesztverziót használod; az /etc/portage alatt lévő fájlokkal (packages.keywords, packages.mask és packages.unmask) szépen lehet szabályozni, miből mit tegyen fel a rendszer - ennek nézz utána

Portage frissítése:
emerge sync

Rendszer frissítése:
emerge -u world

egyéb opciók man emerge

[quote:5f75504836="york"]Sziasztok

Minap az egyik tesztgepre felvarazsoltam egy gentoot:)
Csak aprobb kellemetlensegeim vannak vele nem igazan vagyok otthon a csomag kezelojeben apt-get-hez es dpkg-hoz vagyok szokva, ha valaki felhomalyositana, hogy az adot parancsoknak mi a megfeleloje gentooban azt meg koszonnem:)

York[/quote:5f75504836]

Az alapvető funkciókat (amiket felsoroltál) megtalálod a Gentoo Handbook-ban röviden és tömören leírva. Az a legbiztosabb forrás, érdemes hozzászokni.
A jérdéseidre a választ javarészt ezen az oldalon találod:
http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=2&chap=2

A teljes handbook pl.:
http://www.gentoo.org/doc/en/handbook/handbook-x86.xml

[quote:ef5735b3e9="BikMak"]Hi, hogy kellene a Gentoo -mat frissíteni?
[/quote:ef5735b3e9]
[code:1:ef5735b3e9]
emerge --sync
emerge -uvDp world
emerge -uvD world
env-update && etc-update && source /etc/profile &&source ~/.profile
revdep-rebuild
[/code:1:ef5735b3e9]
... és amíg a harmadik parancs fut, azalatt szépen elolvasod a Gentoo handbookot, az össz részt, elejétől végig...

Kikérdezem! :-)

Az alap rendszernek mennyi kell??? (Hány MB-ot szed le bootstraphez,majd a többi cucchoz)
Az universal LiveCDről feltettem a portage-et, a stage1-et, aztán a bootstrap.sh? <valami> elkezdi letölteni a cuccokat, itt mennyit szed le (a bootstraphez)

Előtte, amikor a portage-et kell feltenni nálatok sem müxik sem az rsync (emerge sync) sem a masik? (emerge-webrsync?)

hiányolom a dselectet... :(

+ugye csak a redszer felállításához kell a 2.4.2x-es kernel?
mert nálam az smp, ami 2.6.x-es nem ugyanazt a vesa módot állítja be, mert v.mi nem müxik: 80?x1xx helyett cask 80x30

hat eddig EZ nem ment de még próbálkozom

Ha az egeszet ujra akarod forditani:

emerge --deep world
Ez minden csomin ujra atmegy.

A rendszeres frissiteshez ajanlom az emerge --sync utan:
emerge -uDNa world

[quote:08eeb4e9b7="Quain"]+ugye csak a redszer felállításához kell a 2.4.2x-es kernel?[/quote:08eeb4e9b7]

igen, sot, az egyebkent deprecated devfs-tol is vegleg megszabadulhatsz utana

az ilyen feature requesteket hivatalosan a bugs.gentoo.orgra kell beküldeni, de persze nem árt, ha reklámozod kicsit másutt is; mondjuk nyiss a témának egy topikot az FGO-n a Network szekcióban...

milyen kernelt törlt le bootstrapnél :?:

[quote:af5f4c09c6="Panther"]Megcsinálod 1 ebuildre, aztán diff -u -val elkészíted a patchet (még mindig egytelen ebuildre).

Az emerge --sync vagy esync lefutása után még meg kell patchelni a fájlokat. Ehhez annyi kell, hogy az adott program ebuildjein végiglépsz és lecseréled sed-del a patch-ben a fájlnevet. Az így létrejött fájllal már tudod patchelni az ebuildeket.

És kész.[/quote:af5f4c09c6]
tehat akkor hogy jol ertem-e. egy sync utan mielott uvD world/system-eznek mindig ra kell engednem a patchemet az ebuildre? ha igen, lehetne ezt automatizalni? pl. vmi post-run script ami a sync utan lefutna mindig.

gentoo nem tolt le magatol kernelt bootstrapnel, az install howtoban fel vannak sorolva a lehetseges valasztasi lehetosegek es valamennyi segitseg sajat kernel forditasahoz.

Ezzel az a gond, hogy így ugyanúgy karban kell tartanod, ha jön új verziója, új ebuildje a programnak.
Akkor már inkább a saját ebuild. Szerintem ez nagyobb gány.

Sziasztok!

Nem tud nekem vki segiteni abban, hogy az SB Live 5.1-t gentoo linux alatt hogy tudom beconfigolni, hogy a Genius Home Theater 5.1-en menjen rendesen a bass?
Ugyebar win alatt ott van a creativ cucca, de linux alatt?

probaltam mplayert mergalni, sikertelenul. a vegen ezt kopi ki:

klibvo/libvo.a(vo_3dfx.o)(.text+0x1b): In function `restore':
: undefined reference to `XF86DGADirectVideo'
libvo/libvo.a(vo_3dfx.o)(.text+0x4b): In function `sighup':
: undefined reference to `XF86DGADirectVideo'
collect2: ld returned 1 exit status
make: *** [mplayer] Error 1

tud valaki mondani valami otletet, hogy mi a baja? futattam elotte egy emerge --newuse-t, hatha emiatt, de nem.

USE="3dfx 3dnow mmx mmx2 network sse xvid" -el ment az emerge.

b

[quote:d00c0dc4f2="strangedr"]
Ez annyit tesz, hogy az opengl-update adott verzióját nem tudja az ati-drivers miatt feltenni, előbb le kell szedni az ati-driverst, feltenni az opengl-updatet és utána próbálkozhatsz visszatenni... vagy inkább nem birizgálod, ha nincs feltétlenül szüksége az új változatra.[/quote:d00c0dc4f2]

köszi, bejött a móka, mostmár nincs blokkolva és minden a helyén van. köszi mégegyszer.

[quote:c55adfcbe3="pityuf1"]Múltkor leszedtem az arts-t mivel gondoltam minek az nekem, aztán nem indult az Mplayer, utána újraforgattam az Mplayer-t és ment, a K3B-nek szintén kell valami libgtxxx.so.1 ami az arts része. Anélkül nem indul, ez egy emerge -p k3b után derült ki.
Nem tudom pontosan hogy miért, de az arts-od nem indul és minden problémát ez okoz, fordítsd újra vagy ha tényleg valami túloptimalizált dologról van szó és azért nem megy akkor próbáld meg a Package CD-t leszedni, bemountolni, majd export PKGDIR=/path/to/mountpoint után emerge -K arts
(vagy lehehet hogy x11-libs/arts nemtom nézd meg emerge -p-vel avgy -s-sel)

A "K" azért fontos hogy nagybetű legyen, mert ha kisbetűs akkor csak a /usr/portage/distfiles-ban keresi a forrást és szintén forrásból fordítja.

Ennek tuti működnie kell.[/quote:c55adfcbe3]

Koszi a tippet megprobalom.

Az tuti, hogy az artsd nem indul. Probaltam mar korabban is manualisan inditani de segfaultol.

Tuloptimalizalas nem lehet a gond, mar ujraforgattam az egesz renszeremet "-O2 -pipe" kapcsolokkal es a helyzet valtozatlan.

a gcc 3.2 addig volt benne a fedorában, ameddig volt benne 2.4es kernel
lehet, hogy a gentooban is van vmi olyan csomag, amit még elég nehézkes a 3.3.3mal fordítani, és emiatt az alap a 3.3.2

Ra tudom beszelni valahogy az mc-t, hogy ne rakja fel a glibet?

[code:1:d9be55feb4][ebuild N ] dev-libs/glib-2.6.5 -doc +hardened -static 2,301 kB
[ebuild N ] app-misc/mc-4.6.0-r14 -7zip -X -gpm +ncurses +nls +pam -samba -slang -unicode 4,031 kB
[/code:1:d9be55feb4]

[quote:3d0c6f6f96="rigidus"]Volna meg egy kerdesem. Ha felteszek egy alaprendszert stage3-bol az mar a gcc-3.4.4 van forgatva, vagy kulon migralni kell? [/quote:3d0c6f6f96]
Milyen arch-on?Mert pl x86-on a gcc-3.4.4-r1 2005.dec.2-an lett stable(changelog szerint) es a legfrissebb releases nov 17-en(ftp-n a datum szerint) jelent meg(2005.1-r1) ezert feltehetoleg meg nem tartalmazza. Mas arch-on nem tudom.
De altalanossagban elmondhato hogy az utolso releases ami megjelent meg nem tartalmazza a gcc-3.4.4 stablet,ezert migralni kell. Majd a kovetkezoben lesz benne.
Nem ertem hogy miert ilyen nehez a gcc-migralas. En a rovidebb verziot csinaltam meg, es szerintem az boven eleg,meg gyors is. A libstdc++-t hasznalo progikat forditja csak ujra. De akinek van ideje az meg szorakozzon az emerge -e world-el. Ennek a modszernek szerintem az a hatranya hogy azokat is ujrarakja amit nem kell leforditani.
[quote:3d0c6f6f96="BikMak"]Nos ha már így rákérdeztél, az alábbi okok miatt kéne a net-setup.
Kód:
/etc/init.d/net.eth0 start
* Starting eth0
* You are using a depreciated configuration syntax for eth0
* You are advised to read /etc/conf.d/net.example and upgrade it accordingly
* Bringing up eth0
* dhcp
* No loaded modules provide "dhcp" (dhcp_start) [ !! ]

Na most ezzel mit kezdjek?
Gondoltam a net-setup majd megoldja.
Egyébként ez azóta van, hogy leszedtem az udevet ( én naív, azt hittem, hogy nem kell ).
Azóta már visszatettem, de a net.eth0 azóta se megy, manuálisan kell dhcpcd-t futtatni, sőt azóta cdromot se tudok mountolni, mert nincs az eszköz a /dev-ben.
Ha tudtok megoldást ezekre, segíthetnétek. Smile
Mostanában kicsit felgyülemlettek a gondok a gépem környékén, bár a legtöbbet magamnak köszönhetem Sad[/quote:3d0c6f6f96]
Talan olvasni kene tudni. Vilagossan leirja hogy miert nem jo neki a net.
whitehawk mar megelozott. Azt kell csinalnod.
Tenyleg naiv voltal hogy leszedtet az udev-et. Ez a legfinomabb kifejezes. Utana nyomtal egy [code:1:3d0c6f6f96]etc-update[/code:1:3d0c6f6f96]-et?

amit leginkabb ajanlanak telepiteskor az (legalabbis amikor en telepitettem, kb 3 honapja) a sajat 2.4-es kerneluk amiben van patch hogy gcc 3.3-al forduljon.

[quote:b8ecb5b6ef="LiRul"]tehat akkor hogy jol ertem-e. egy sync utan mielott uvD world/system-eznek mindig ra kell engednem a patchemet az ebuildre? ha igen, lehetne ezt automatizalni? pl. vmi post-run script ami a sync utan lefutna mindig.[/quote:b8ecb5b6ef]

Automatizálni? igen: berakod egy scriptbe a syncet és a patchelést, majd pedig a scriptet futtatod le. És persze ez az emerge world előtt van. Szerintem a system az csak egy esetben fontos, friss rendszer telepítésekor.

mindegy: szerintem semmivel nem nagyobb gány, mint fenn tartani egy saját ebuildet és _ugyanezt_ elkövetni, csak manuálisan, ráadásul hogy ne kelljen mindig foglalkozni a frissebb ebuilldekkel, azokat elmaszkolni (/etc/portage/package.mask).

[quote:8870d564e9="BikMak"]Hi, hatalmas problémám van! ( legalábbis nekem az )[/quote:8870d564e9]
szigoruan imho, de ha [i:8870d564e9]modprobe e1000[/i:8870d564e9] utan sem megy az [i:8870d564e9]ifconfig eth0 up[/i:8870d564e9] akkor ott nem az etc-ben rontottal el valamit... nezd meg a syslogot, hatha okosabb leszel.

Hello!

Kellene nekem egy ftp-s gentoo mirror.
Melyikeket ajánljátok?
Offline szeretnék telepíteni. (net a suliban, pendrive)
Az eddigiekkel kissé meggyűlt a bajom (fél élet mire belép a distfiles könyvtárba, csak a nagybetűs fájlnevek látszanak).

Koszike.
ovits

Csak 1 tipp, xorgot hasznalsz vagy xfree86ot?
Nincs valami +xorg vagy -xfree86 useflag?

[quote:33d252dd33="pidro"]Portage frissítése:
emerge sync

Rendszer frissítése:
emerge -u world

egyéb opciók man emerge[/quote:33d252dd33]

Hali!

Na erre én a helyedben nagyon vigyáznék. Adtam is be egy bugreportot a document team-nek. Ki is javították. Immáron a handbook külön megemlíti, hogy ebben az esetben egyes biztonsági frissítések nem kerülnek fel a rendszerre, mivel ez csak a world fájlban szereplő, illetve azok *közvetlen* feltételeiként szereplő csomagokat frissíti. Tehát a mélyebb függőségeket nem.
Szerintem az emerge -uD world a jó megoldás.

Üdv.: Tomyellow

ahhoz nemtom minek patch. nekem csak a 3.4.0val kellett egy kicsit hackelgetni, hogy leforduljon, de 3.3.3mal minden patch nélkül ment :?

Nem :)

És miben különbözik a Ximian-féle Ooo a sima Ooo-tól?

[quote:8c3936d818="BikMak"]Hi, hatalmas problémám van! ( legalábbis nekem az )
Elcsesztem a hálózatot.
az etc-update-nél felelőtlenül igent nyomtam vmire, amire nem kellett volna, és most nincs net. Meg egyéb problémákat is okozott, de az most nem lényeg. indításkor a net.eth0 nem fut le rendesen, kiírja, hogy nincs eth0 nevű eszközöm. Manuálisan is próbáltam ( ifconfig eth0 up ), ugyanezzel az eredménnyel. Arra gyanakodtam, hogy nincs bent a megfelelő modul, és az modules.autoload.d-ben tényleg felül lett írva a script :( . Erre betöltöttem az e1000-t (nekem elvileg azt kell ), de semmi.
Felelőtlen y nyomogatásomra mentség, hogy már rém fáradt voltam :oops:
Valszeg nem csak ezt a conf file-t irattam felül, mert a gdm helyett is xdm jön be. (ezt azért még megoldom )

Szóval lekötelezne ha segítenétek, mert már nagyon unom az offline létet[/quote:8c3936d818]

Ellenőrizd le, a net.ethX az elvileg csak symlink a net.lo fájlra, nézd meg, jó helyre mutat-e.

van nekem egy másik gondom is:
rendesen bootol a gép, a hotplug behúzza az nforce alaplap hang moduljait meg is van szépen minden, de sehogyansem akarja az udevben beállított jogosultságokat érvényesíteni rájuk. pedig ott van, hogy sound/*:root:audio:660
de a /dev/sound könyvtárban lévő eszközok mégis root:root tulajdonba maradnak és 600 a jogosultságuk. ha kézzel átállítom, akkor elindul a mixer sima lúzerként is. be van állítva a conf.d/rc-ben, hogy tarballozza a dev-et, de minden hiába a következő bootolás után minden viszaáll a root:root 600-ra.
kipróbáltam, ha mást módosítok az udev permissions állományában akkor azt megcsinálja, de a soundhoz ragaszkodik bután és nem akar változtatni

[quote:d2d16875fb="Balagenf"]Csak 1 tipp, xorgot hasznalsz vagy xfree86ot?
Nincs valami +xorg vagy -xfree86 useflag?[/quote:d2d16875fb]

xorgot, a useflagek:

media-video/mplayer-1.0_pre5-r5 +3dfx* +3dnow* -3dnowex +X -aalib +alsa (-altivec) -arts +avi -bidi -cdparanoia -debug -dga -directfb -divx4linux -doc -dvb -dvd -dvdread -edl +encode -esd -fbcon -ggi +gif +gtk -i8x0 +ipv6 -jack -joystick +jpeg -libcaca -lirc -live -lzo +mad -matroska -matrox +mmx* +mmx2* +mpeg -mythtv -nas +network* +nls -nvidia +oggvorbis +opengl +oss +png -real -rtc +samba +sdl +sse* -sse2 +svga -tga -theora +truetype -v4l -v4l2 -xanim -xinerama +xmms +xv +xvid* -xvmc

Ehez az is hozzá tartozik, hogy nem árt előtte megnézni, hoy mi is fog történni, tehát emerge world -uDpv :D

soniq! :D ket napja meg gentoo flamet akartal :lol:

Azt szerintem nem írják ott, hogy az emerge _mindenképpen_ újrafordítja a csomagokat, vagyis az "apt-get install --reinstall <csomagnév>" -nek a megfelelője az "emerge <csomagnév>", ha frissíteni is akarod akkor egy -U paraméter sem árt. A töbiről leírják ott is a megfelelőjét.
DE az itteni gentoosok nem tudom mennyire vannak tisztában a debiannal, a --purge hatására _mindent_ letöröl az apt-get, beleértve a config fileokat is. Gentoonál ez hogy van, ott a config fileokat letörli defaultból az emerge unmerge , ha nem akkor hogyan lehet mondani hogy törölje le, ha igen akkor azt hogy ne? (mert erről nem beszélt a doksi)

[quote:182bcf58c5="hunger"]soniq! :D ket napja meg gentoo flamet akartal :lol:[/quote:182bcf58c5]

:) ez is rejtett suxxolas volt am :)

és kell neked a 3dfx flag? voodoo kártyád van?

[quote:7baffe071e="blau"]szerintetek ez mitol van? forditottam ujra glibc-t, nem segitett:

*** glibc detected *** double free or corruption (out): 0x0804e050 ***
Aborted

gugli szerint (vagy en olvastam felre) bug.

b[/quote:7baffe071e]

http://forums.gentoo.org/viewtopic-t-255263-highlight-double+free+corruption.html

ezt találtam, nem tudom, segít-e

[quote:344f51e017="strangedr"]és kell neked a 3dfx flag? voodoo kártyád van?[/quote:344f51e017]

neg. mar ki is szedtem, most fordul. mindjart vegiger, pillanat. koszonom.

marmint az otletet koszonom :)

eeees. lefordult, gond nelkul.

akkor mindjart egy masik: nincsenek use flagjei, es lehal forditas kozben a netwatch.
dispdata.c:71: warning: built-in function `log' declared as non-function
In file included from netwatch.h:53,
from services.c:12:
/usr/include/linux/in.h:140: error: field `gr_group' has incomplete type
/usr/include/linux/in.h:146: error: field `gsr_group' has incomplete type
/usr/include/linux/in.h:147: error: field `gsr_source' has incomplete type
/usr/include/linux/in.h:153: error: field `gf_group' has incomplete type
/usr/include/linux/in.h:156: error: field `gf_slist' has incomplete type
dispdata.c: In function `dispdata':
dispdata.c:579: warning: passing arg 2 of `strcpy' makes pointer from integer wi thout a cast
dispdata.c:684: warning: passing arg 2 of `strcpy' makes pointer from integer wi thout a cast
dispdata.c:914: warning: assignment makes pointer from integer without a cast
dispdata.c:916: warning: assignment makes pointer from integer without a cast
make: *** [services.o] Error 1
make: *** Waiting for unfinished jobs....

b

Az emberben akkor is motoszkalni kezd a kivancsisag, hogy vajon debian mellett elkezdtel gentoozni is? :D

Vajon mikor jossz ra, hogy a FreeBSD a megfelelo :lol:

ezek a patchek vannak benne:
http://ooo.ximian.com/patches/

[quote:035b772dd8="ssa2"][quote:035b772dd8="nsuperbus"]probald meg igy:
[code:1:035b772dd8]
emerge -etpv world
[/code:1:035b772dd8]

Igy mar latod.Az mar mas, en nem csinalnam meg a helyedben.[/quote:035b772dd8]

Ez a lényegen semmit nem változtat. Én a már megkezdett folyamatot szertném folytatni, nem elölről kezdeni az egészet.[/quote:035b772dd8]

Már javasoltam rá megoldást: pye. Felsorolja megszámozva, beírod a szükséges csomagok sorszámát, emergeli.

hela!
nalatok megy rendesen az emerge?
csak mert a mai nap kisse lassu...
vagy az oregonstate.edu van belassulva? esetleg a netem??:]
k. lassan jonnak a dolgok. retrying, retrying, retrying...
pl most a gnome-python jonne, de mar kb 4-5 perce a pyorbit -nel tart...

Ezt nem ertem:

project1 ~ # emerge --update world -p

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild U ] net-misc/openssh-3.9_p1-r3 [3.9_p1-r2]
[ebuild U ] sys-devel/gnuconfig-20050602 [20050324]
[ebuild U ] sys-devel/gcc-3.3.6 [3.3.5.20050130-r1]
[ebuild U ] sys-apps/gawk-3.1.4-r4 [3.1.3-r2]
[ebuild U ] app-emulation/wine-20050725-r1 [20050111-r2]

project1 ~ # emerge --update --deep world

gcc (GCC) 3.3.5-20050130 (Gentoo 3.3.5.20050130-r1, ssp-3.3.5.20050130-1, pie-8.7.7.1)
Copyright (C) 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild U ] sys-devel/gnuconfig-20050602 [20050324]
[ebuild U ] sys-devel/gcc-3.3.6 [3.3.5.20050130-r1]
[ebuild U ] dev-util/intltool-0.34.1 [0.33]
[ebuild U ] dev-libs/libxml2-2.6.20-r2 [2.6.19]
[ebuild U ] net-misc/openssh-3.9_p1-r3 [3.9_p1-r2]
[ebuild U ] sys-apps/gawk-3.1.4-r4 [3.1.3-r2]
[ebuild U ] app-emulation/wine-20050725-r1 [20050111-r2]
[ebuild UD] kde-base/kdelibs-3.4.1-r2 [3.4.2]
?????????????????????????????????????????????????????????

Miert akarja a kdelibs-t downgradelni 3.4.1-re mikor csak 3.4.2 -es csomagok vannak fent ? ( es persze csak akkor ha --deep -et kerek )

nos? volt mar vkinek hasonlo esete?

kozben rajottem.

maszkoltam a kde-3.4.1-r2 es mindjart kiderult ki/mi a ludas:

!!! All ebuilds that could satisfy "~kde-base/kdelibs-3.4.1" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kdelibs-3.4.1-r1 (masked by: package.mask)
- kde-base/kdelibs-3.4.1-r2 (masked by: package.mask)

For more information, see MASKED PACKAGES section in the emerge man page or
section 2.2 "Software Availability" in the Gentoo Handbook.
!!! (dependency required by "kde-base/cervisia-3.4.1" [ebuild])

!!! Problem with ebuild dev-util/kdevelop-3.2.2
!!! Possibly a DEPEND/*DEPEND problem.

!!! Depgraph creation failed.

a cervisia prog nem volt unmaskolva es az rantotta vissza.

[quote:46707fbd1c="lacipac"]Gentoonál ez hogy van, ott a config fileokat letörli defaultból az emerge unmerge , ha nem akkor hogyan lehet mondani hogy törölje le, ha igen akkor azt hogy ne? (mert erről nem beszélt a doksi)[/quote:46707fbd1c]
Ez engem is felettebb modon erdekelne. Valaki esetleg ra tudna mutatni egy olyan irasra amiben megtalalom hogy az emerge megis hogy torli a csomagokat? (Az emerge forrasan kivul... :wink: )

mit lehet olyankor tenni, ha egy ebuild mar cirka 11 honapja ott van a bts-ben, jelenlegi statusza maintainerre-varva es emigyen nem sok eselye, hogy hamar bekeruljon a portageba? kibol lehet maintainer?

[quote:a213c475bf="PcZolee"][quote:a213c475bf="testerlnx"]A Greek: iso kontra AltGR jobban izgat, amúgy xfce-ről nincs kedvem emiatt fluxbox-ra váltani :)[/quote:a213c475bf]

Miért baj az, hogy átvált?[/quote:a213c475bf] Mert az ALTGR+V a @ nálam ami pl scp-nél ssh-nál stb kell a ;-ről nem is beszélve, és ha ezeket a kombinációkat beütöm akkor Greek: iso-ban marad a beviteli formátum!!!! Vagyis azt képzeld el, hogy írod az scp sort és beírod a user nevet majd a kukac után nem a host nevet sikerül beírnod, hanem egy csomó ékezetes karaktert, bash script-et írni vele pedig rémálom, hiszen a pontosvessző szinte mindenhiva kell... Remélem most már egyértelmű hogy miért "zavar" :)

Amugy nekem is revdep-rebuild gondom van, de a fenti dolog nem segitett. A legtob cpp program forditasakor elszall:
[code:1:a48f75e772]Making in directory ./src ...
Making in directory src/arch ...
Making in directory src/arch/festival ...
making dependencies -- festival.cc Phone.cc utterance.cc features.cc wave.cc wagon_interp.cc linreg.cc audspio.cc server.cc client.cc web.cc tcl.cc wfst.cc ngram.cc viterbi.cc ModuleDescription.cc
distcc[3327] ERROR: compile /var/tmp/ccache/festival.tmp.laptop.3323.ii on localhost failed
In file included from /usr/share/speech-tools/include/EST_TList.h:50,
from /usr/share/speech-tools/include/EST_Pathname.h:38,
from festival.cc:42:
/usr/share/speech-tools/include/EST_TIterator.h: In constructor `EST_TStructIterator<Container, IPointer, Entry>::EST_TStructIterator()':
/usr/share/speech-tools/include/EST_TIterator.h:204: error: `cont' undeclared (first use this function)
/usr/share/speech-tools/include/EST_TIterator.h:204: error: (Each undeclared identifier is reported only once for each function it appears in.)
/usr/share/speech-tools/include/EST_TIterator.h: In member function `EST_TIterator<Container, IPointer, Entry>& EST_TStructIterator<Container, IPointer, Entry>::operator=(const EST_TIterator<Container, IPointer, Entry>&)':
/usr/share/speech-tools/include/EST_TIterator.h:208: error: `cont' undeclared (first use this function)
/usr/share/speech-tools/include/EST_TIterator.h:208: error: `pos' undeclared (first use this function)
/usr/share/speech-tools/include/EST_TIterator.h:208: error: `pointer' undeclared (first use this function)
/usr/share/speech-tools/include/EST_TIterator.h: In member function `const Entry* EST_TStructIterator<Container, IPointer, Entry>::operator->() const':
/usr/share/speech-tools/include/EST_TIterator.h:215: error: there are no arguments to `current' that depend on a template parameter, so a declaration of `current' must be available
/usr/share/speech-tools/include/EST_TIterator.h:215: error: (if you use `-fpermissive', G++ will accept your code, but allowing the use of an undeclared name is deprecated)
/usr/share/speech-tools/include/EST_TIterator.h: In constructor `EST_TRwIterator<Container, IPointer, Entry>::EST_TRwIterator()':
/usr/share/speech-tools/include/EST_TIterator.h:234: error: `cont' undeclared (first use this function)
/usr/share/speech-tools/include/EST_TIterator.h: In member function `EST_TIterator<Container, IPointer, Entry>& EST_TRwIterator<Container, IPointer, Entry>::operator=(const EST_TIterator<Container, IPointer, Entry>&)':[/code:1:a48f75e772]

"fix_libtool_files.sh" sem segitett. Probalkoztam a gentoo forumjan is ott sem kaptam hasznalhato infot. Amugy az a regi libstdc++-v3 vegulis az osszess binary-only-hoz kell vagy csak nehanyuk keri?

Koszi a segitseget elore is :wink:[/code]

[quote:e0e2f7bf71="testerlnx"]A Greek: iso kontra AltGR jobban izgat, amúgy xfce-ről nincs kedvem emiatt fluxbox-ra váltani :)[/quote:e0e2f7bf71]

van egy olyan, hogy mrxvt.greekToggle_Key: keysym resource, csak azt nem tudom, hogy milyen az a keysym típus. Pedig ez a kulcsa, .mrxvtrc-be próbáld hogy mrxvt.greekToggle_Key: blabla pl. Remélem ez segíteni fog...
A blabla-t az /usr/lib/X11/etc/xmodmap.std-ből tudod megnézni.

[quote:b1c608b6a0="strangedr"][quote:b1c608b6a0="BikMak"]Hi, hatalmas problémám van! ( legalábbis nekem az )
Elcsesztem a hálózatot.
az etc-update-nél felelőtlenül igent nyomtam vmire, amire nem kellett volna, és most nincs net. Meg egyéb problémákat is okozott, de az most nem lényeg. indításkor a net.eth0 nem fut le rendesen, kiírja, hogy nincs eth0 nevű eszközöm. Manuálisan is próbáltam ( ifconfig eth0 up ), ugyanezzel az eredménnyel. Arra gyanakodtam, hogy nincs bent a megfelelő modul, és az modules.autoload.d-ben tényleg felül lett írva a script :( . Erre betöltöttem az e1000-t (nekem elvileg azt kell ), de semmi.
Felelőtlen y nyomogatásomra mentség, hogy már rém fáradt voltam :oops:
Valszeg nem csak ezt a conf file-t irattam felül, mert a gdm helyett is xdm jön be. (ezt azért még megoldom )

Szóval lekötelezne ha segítenétek, mert már nagyon unom az offline létet[/quote:b1c608b6a0]

Ellenőrizd le, a net.ethX az elvileg csak symlink a net.lo fájlra, nézd meg, jó helyre mutat-e.[/quote:b1c608b6a0]

bocs, hogy nem reagáltam eddig, de Karácsony volt, és nem ültem a gép előtt. Megoldódott a problémám, kiderült, hogy be kellett tölteni még egy tg3 modult.

Viszont kezdenek kibukni a rendszer egyébb problémái, úgyhogy majd szép lassan előhozakodom velük, ha végképp nem tudok úrrá lenni rajtuk.

udv. bocs, lehet hogy trivi a kerdes, de meg csak most keztdem gentuzni.

[szerkesztve: marha voltam, megis dependal az openttd qt-re]

gtk: szerettem volna felrakni a theme switchert, de csak a gtk2-eshez a switch2-t rakta fel. holott use="gtk gtk2 ..." van. Mit kene atirni hogy az 1-est is felrakja?

meg egy: az industrial theme-t nekem kell levadaszni netrol, vagy van valahol emerge-keszen is?
[szerk: megvan, emerge ximian-artwork]

a libsdl miert dependal a kde-base-re? :cry: sebaj, vegulis nodeps-el felment.

kozben meg egy problemam jelentkezett: a revdep-rebuilt ujra akarja rakni az unrealt. ami nem gond, csak telepites kozben feljon egy licensz less-ben. amibol a standard eljaras szerint q-val kilepek, beirom h yes, es mindenki boldog. ez emerge-el ment is. most viszont q utan megszakad a telepites. ki lehet valahogy bekkelni?
A libglide-ot hianyolja az ut (ezert akar a revdep-el ujra felmenni), ezt hogy potolhatom neki? ha ujramergalom, akkoris megmarad ez a problemaja.

szimur

darksoft: hat, en lattam mar ehhez hasonlo dolgot, es ott hardware-hibat jelentett. de en gondoljam rosszul. mas kartyaval/alaplappal/monitorral/oprencerrel probaltad?

Xfce alatt használhatod az xfce-extra/terminalt is.multitab meg csilivili. Egyébként nem rossz. vagy megadod a TERMCMD változót és xfterm4 azt a terminál progit fogja használni amit beírsz, pl urxvt. persze kapcsolókkal együtt. Ugyan az nem lesz tabos. (mrxvt-t nem ismerem.)

nézd, attól, hogy ezt a szisztémát még nem látod át annyira, még lehetsz Te a legnagyobb guru... én már évek óta gentoozok, meg egy darabig "dev" státsuzban voltam, mint a magyar doksifordításokért felelős valaki, de aztán jó éve leadtam a dolgot - így lehet némi rálátásom a rendszerre
maintainerekre meg biztos szükség van, mert a Portage egyre duzzad, és mindenkinek csak jó, ha kedvenc csomagja frissítései minél hamarabb bekerülnek a disztribúcióba

[quote:ccda9e0deb="strangedr"]akkor használd a pye scriptemet[/quote:ccda9e0deb]
koszi szepen, nagyon hasznos tool! (csak ez nem segiti megerteni a renccer mukodeset, es hogy mit barmolok el :))

[quote:ccda9e0deb="Panther"]az a bejegyzés (>=...) a /etc/portage/package.mask-ban tutira azért volt, mert akkoriban elhasalt az új kerneled.[/quote:ccda9e0deb]
nem, azt a bejegyzest azert csinaltam, mert nem akarok minden kis revision number valtozaskor uj kernelt, sot meg azt sem biztos, hogy kovetni akarom, ahogy a maintainerek "stable on x86" statuszba tesznik a kernel ebuildet. persze tudom, hogy igy nem kerulnek be a backportolt fixek, szoval javallott a frissites; de nem minden fix (amit betesznek) erinthet engem, pl. egy buffer overflow az adaptec scsi vezerlo kodjaban vajmi kevesse erdekel egy pure-ide rendszeren.

thx.

[quote:7ea9175c9f="Sea-you"]
Az OOo-hoz (ha forditani akarod) a blackdown java kell, amugy nyomtal env-update-et? :)

A pendrive valoszinuleg a /dev/sda1-en lesz elerheto.

Fluxboxhoz meg nem ertek (egyelore :))[/quote:7ea9175c9f]

Kösz, congo, sikerült.
A pendrive-ot még nem próbáltam azóta, mert nincs kéznél egy sem.

env-update-et nem nyomtam, mert nem tudtam, hogy kell. Mikor kell?
De most kipróbáltam és így sem megy. Pedig a sun és a blackdown java is fent van a gépen.

meg is van az első:
A gnome-vfs update fordítás közben elszáll, a következőkkel:
[code:1:690f92c31a]
grep: /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or directory
/bin/sed: can't read /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or directory
libtool: link: `/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la' is not a valid libtool archive
make[2]: *** [libfile.la] Error 1
make[2]: Leaving directory `/var/tmp/portage/gnome-vfs-2.10.1-r2/work/gnome-vfs-2.10.1/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gnome-vfs-2.10.1-r2/work/gnome-vfs-2.10.1'
make: *** [all] Error 2

!!! ERROR: gnome-base/gnome-vfs-2.10.1-r2 failed.
!!! Function gnome2_src_compile, Line 48, Exitcode 2
!!! compile failure
!!! If you need support, post the topmost build error, NOT this status message.
[/code:1:690f92c31a]

van ötletetek?

erre most nincs ötletem, ha forums.gentoo.org-on se kapsz választ, adj be egy bugreportot a bugs.gentoo.org-on

[quote:a7ba1f0d80="BikMak"]Megoldódott a problémám, kiderült, hogy be kellett tölteni még egy tg3 modult.[/quote:a7ba1f0d80]
mar csak azt aruld el, mibol gondoltad, hogy neked az e1000 modulra van szukseged? :o

nesze neked mindent-azzal-forditok-amivel-akarok philosophy :D

Sziasztok!
Egy napja telepitgetek egy pentium4 (prescott) gepre gentoo -t (stage3, sync, system, gentoo-source, genkernel, world, xorg-x11, xfce, mplayer...), idaig suse alatt dolgoztam, es a gentoo-t is az alatt foditottam
Most ott tartok, hogy megy minden amit felraktam, viszont egymas utan ketszer is lefagyott a gep.
Ugy tunt, hogy attol fagyott le, hogy egy reiserfs particiot mount-oltam be, a gentoo root particioja is reiserfs, es amit be mount-oltam az a suse root particioja volt...
A reiser4progs meg a reiserfsprogs nem volt fent, az okozhatott fagyast?

szerintem lógjál sokat a freenode-on a #gentoo és a #gentoo-dev csatornákon, iratkozz fel a gentoo-dev levlistára (nem deveknek csak olvasható), keress meg valakit a kategória maintainerei köyül és mondd el, hogy Te vállalnád a karbantartást

[quote:9bcceedde8="KKata"][quote:9bcceedde8="BikMak"]stage3 ból raktam fel, net nélkül, és azóta mivel már van internet, a csomagokat újra frissítettem emerge -uvdp world -el.
Na most, ez azt jelenti hogy a gépem már stage2 -lett? [/quote:9bcceedde8]
A stage1 esetén a binutils, gcc, gettext és glibc fordítódik le. Ha ezeket újrafordította most az emerge -ud world, akkor kb. olyan, mintha stage1-ről indultál volna annak idején.
De ha tévedek, majd valaki kijavít :)[/quote:9bcceedde8]

A legegyszerűbb megoldás szerintem egy emerge -e system, majd utánna egy emerge -e world. Így először lefordítja a toolchaint (binutils, gcc, stb.), majd utánna a frissen fordított eszközökkel újrafordítja az egész rendszert. A stage1, stage2 között pont az a különbség, hogy a stage2 a rendszerrel adott toolchainnel fordítja a csomagokat, míg a stage1 először lefordítja a szükséges eszközöket, és utánna ezeket használva az egész rendszert.

Üdv.: Tomyellow

sztem java-config-gal állítsd be a java környezetet

Udv Mindenki

A gondom nem eletbevago, csak amolyan formai. Feltettem a KDE 3.4.0-t es szandekomban allna leszedni a regit (3.3.2). Gentoo forumokon korulneztem az ugy erdekeben, talaltam is megoldast, de nem mukodik. A srac szerint "emerge -C =kde-base/kde-3.3*" lenne a megoldas, ez viszont jelzi, hogy nincs ilyen csomag. Elvacakoltam vele egy darabig, kiprobaltam nehany mas formaban is. Az "emerge -C =kde-base/kde-3.3.2" mukodott, megtalalta az ilyen nevu csomagot, le is szedte, de a fuggosegeihez hozza sem nyult. A masik gond, hogy probaltam leszedni a kdelibs-et es diszes tarsasagat egyenkent, de nem tudom kulon valasztani oket az uj verzio csomagjaitol, amit viszont szeretnek megtartani. Vagy minden lejon egyszerre, vagy semmi.

Sikerult valakinek?

Koszi elore is a valaszokat :)

[quote:e1a1a850eb="DIldus"]Esetleg mit kellene még állítani rajta, hogy csak a belső hálóról lehessen elérni?[/quote:e1a1a850eb]
A tűzfalnak használt gépen hozzáadsz az INPUT lánchoz egy szabályt ami eldobja a 22-es porton érkező csomagokat az eth0-n, vagy amelyik néz a külvilág felé.
pl:
[code:1:e1a1a850eb]iptables -A INPUT --dport 22 -i eth0 -j DROP[/code:1:e1a1a850eb]

Sziasztok!
Adott egy gentoo 2.6.12-es kernellel, egy 64 gigabájtos fat32 partíció, rajta 36 giga adat, ezt winxp és gentoo is egyformán látja. Az eltérés, hogy míg winxp rendesen látja a 28 giga szabad helyet, addig linux csupán 55 megát, és természetesen másolni sem tudok rá többet.
Gondoltam rá, hogy talán a 64 giga sok a fat32-nek, de most ezzel nem szórakoznék, cirka 3 hét amíg fizikailag a géphez jutok, plussz van másik két ugyan ilyen problémamentes partíció. Ha valakinek van valami ötlete, azt szívesen veszem.

[quote:3fdf2c6b59="BikMak"]meg is van az első:
A gnome-vfs update fordítás közben elszáll, a következőkkel:
[code:1:3fdf2c6b59]
grep: /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or directory
/bin/sed: can't read /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or directory
libtool: link: `/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la' is not a valid libtool archive
make[2]: *** [libfile.la] Error 1
make[2]: Leaving directory `/var/tmp/portage/gnome-vfs-2.10.1-r2/work/gnome-vfs-2.10.1/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gnome-vfs-2.10.1-r2/work/gnome-vfs-2.10.1'
make: *** [all] Error 2

!!! ERROR: gnome-base/gnome-vfs-2.10.1-r2 failed.
!!! Function gnome2_src_compile, Line 48, Exitcode 2
!!! compile failure
!!! If you need support, post the topmost build error, NOT this status message.
[/code:1:3fdf2c6b59]

van ötletetek?[/quote:3fdf2c6b59]

gondolom /usr/lib/gcc-lib/i686-pc-linux-gnu van.
akkor [code:1:3fdf2c6b59]
ln -s /usr/lib/gcc-lib/i686-pc-linux-gnu /usr/lib/gcc-lib/i386-pc-linux-gnu
[/code:1:3fdf2c6b59]
(szerk: de a fenti hibauzenet google-ba masolasa utan, elegansabb megoldast kaphatsz..)

[quote:0f7b5b20df="tomyellow"][quote:0f7b5b20df="KKata"][quote:0f7b5b20df="BikMak"]stage3 ból raktam fel, net nélkül, és azóta mivel már van internet, a csomagokat újra frissítettem emerge -uvdp world -el.
Na most, ez azt jelenti hogy a gépem már stage2 -lett? [/quote:0f7b5b20df]
A stage1 esetén a binutils, gcc, gettext és glibc fordítódik le. Ha ezeket újrafordította most az emerge -ud world, akkor kb. olyan, mintha stage1-ről indultál volna annak idején.
De ha tévedek, majd valaki kijavít :)[/quote:0f7b5b20df]

A legegyszerűbb megoldás szerintem egy emerge -e system, majd utánna egy emerge -e world. Így először lefordítja a toolchaint (binutils, gcc, stb.), majd utánna a frissen fordított eszközökkel újrafordítja az egész rendszert. A stage1, stage2 között pont az a különbség, hogy a stage2 a rendszerrel adott toolchainnel fordítja a csomagokat, míg a stage1 először lefordítja a szükséges eszközöket, és utánna ezeket használva az egész rendszert.

Üdv.: Tomyellow[/quote:0f7b5b20df]

emerge -e system lefordít mondjuk 80 csomagot, majd az emerge -e world ugyanezeket, és még jónéhány másikat is lefordít. Nem jó 5let. Elég a world.

[quote:a421c2a26e="LiRul"][quote:a421c2a26e="BikMak"]Megoldódott a problémám, kiderült, hogy be kellett tölteni még egy tg3 modult.[/quote:a421c2a26e]
mar csak azt aruld el, mibol gondoltad, hogy neked az e1000 modulra van szukseged? :o[/quote:a421c2a26e]
ezt a két modult forgattam annak idején a kernelbe, hogy miért, azt már nem tudom, azt hiszem az lspci -ból okoskodtam ki.

[quote:d06d0d0141="strangedr"]sztem java-config-gal állítsd be a java környezetet[/quote:d06d0d0141]

És a java-config után kell:
# env-update
# source /etc/profile

Üdv.: Tomyellow

U.I.: Mindezek után java-config -gal meg tudod nézni, hogy sikerült-e.

szeretnem felrakni a switch1-et, a gtk temak valtogatasahoz.
viszont az emerge gtk-theme-switch csak a switch2-t teszi fel.
az ebuild az 1-eshez megvan a portage/x11-themes/...-ben, hogy tudom megmondani, hogy tegye fel, de ne ugy, hogy downgradeli a 2-est?

b

félórája tuti jó....

[quote:15049eb32c="lacipac"][quote:15049eb32c="DIldus"]Esetleg mit kellene még állítani rajta, hogy csak a belső hálóról lehessen elérni?[/quote:15049eb32c]
A tűzfalnak használt gépen hozzáadsz az INPUT lánchoz egy szabályt ami eldobja a 22-es porton érkező csomagokat az eth0-n, vagy amelyik néz a külvilág felé.
pl:
[code:1:15049eb32c]iptables -A INPUT --dport 22 -i eth0 -j DROP[/code:1:15049eb32c][/quote:15049eb32c]

Szia!

Ez egyszerű is lehetne, de sajna ezen a drága ST-Lab routeren ha portot tiltok, akkor letiltja az egész kimenő forgalmat. Igy csak alapvető funkcióit használom, mertnem eléggé okos a számomra :-( Egyébként kerestem már más fw/routert is, de az MRA adatbázis nem elérhető a szokott helyén ( http://router.uw.hu ) Le szeretném cserélni egy másik kisfogyasztású, csendes, de upnp-t ismerő routerre.

---
Hy

/etc/make.conf-ban ugye CHOST="i686-pc-linux-gnu" van?

Ha azonos slotban vannak akkor jó kérdés. Ha nem, akkor működni fog az emerge =gtk-theme-switch-1.x.x

SAGAL: van az aláírásodban vmi kép, vagy mi a rák, ami vmi uws smsweb területen van, és állatira zavaró, hogy mindig bekér egy felhasználónevet/jelszót, mikor a fórumot böngészem :(
vagy csak nálam van így? :?

ok, muxik, koszi.

b

VMiklos, te hogyan/mit tettél fel, hogy 3.3.3-as volt???
Gondolom stage1-et tettél fel, és neked akkor már rögtön 3.3.3-at szedett le??? :?

Nézzétek meg a [url=http://www.gentoo.org/doc/en/portage-manual.xml]Portage Manualt[/url].

[quote:073d8c5e9d="voroskoi"][quote:073d8c5e9d="strangedr"]takaríts az /usr/portage/distfiles és a /var/tmp/portage és /var/logs/emerge könyvtárakban, utána nézd meg megint[/quote:073d8c5e9d]

Ezt a portage nem csinálja meg egyáltalán? Tehát az ősrégi csomagok forrásai is fentmaradnak nem csak azok amikre esetleg szükség lehet később(remerge)?

Nincs valami szkript esetleg ami átnézi ezeket a könyvtárakat, hogy ne "kézzel" kelljen megcsinálni mindezt?[/quote:073d8c5e9d]

a portage magától nem csinálja meg; szkripteket írtak már rá, nézz körül az FGO-n a Documentation, tips & tricks szekcióban.

Utólagos elnézést kell kérjek érte, már észre vettem én is.....remélem már nem csinálja, már javítottam.

[quote:ba5c00d3da="LiRul"]nesze neked mindent-azzal-forditok-amivel-akarok philosophy :D[/quote:ba5c00d3da]

Mivel akarod fordítani?

Üdv.: Tomyellow

[quote:ba97612e73="snq-"][quote:ba97612e73="lacipac"]DE az [b:ba97612e73]emerge depclean[/b:ba97612e73] letoerli azokat a fueggo"segeket amelyeket egyik csomag sem hasznal. A gentoo installation handbookban azt irjak hogy hasznald a -p opcioval, kueloenben lehet hogy egyes programok nem fognak mu"koedni (persze ezutan is lehet, de az mas kerdes).[/quote:ba97612e73]

valoban nem fognak mukodni bizonyos dolgok (pl emerge :))
ha tud valaki olyan toolt, ami tenyleg ugy mukodik, hogy kilistazza azokat a csomagokat, amire mas csomagoknak nincs szuksege szoljon (~deporphan)[/quote:ba97612e73]
m*r mi*rtne m*k*dne?
n*lam az egyetlen dolog amit ki*r az a modutils, amit nemsok*ra hozz* is adok a "system" file-hoz (mert *z*rt az k*ll)...

*n most Gnome-ot szeretn*k felrakni a g*pemre, a USE v*ltoz*ban van "-qt -kde gtk gnome", *s amikor nyomok egy [b:ba97612e73]emerge -pv gnome[/b:ba97612e73] -ot akkor 135 csomagot fel akar pakolni, k*zt*k a teljes qt-t, egy csomagot a kde-base -b*l (arts), a komplett mozill*t, *s m*g sorolhatn*m. Szerintem el*g sokan haszn*lj*k a Gentoo + Gnome p*ros*t*st, *s nem gondolom hogy ez mind fenn van a g*p*k*n.
Ti hogy oldott*tok/oldan*tok meg a probl*m*m? Vagy ez a norm*lis?

lamer kérdés:ha emerge-el fölraktam egy progit,de annak az indítófájlát a gentoo nem rakja a menübe,hol találom az indítófájlát?Egyáltalán mi a kiterjesztése?

[quote:c514ede2f7="voroskoi"]Sziasztok!

Friss gentoo-s vagyok és összegyűlt pár kérdésem.
[...]
2. A complete Gentoo Linux 2.6 migration guide alapján átálltam 2.6-os kernelre. (Egész pontosan ck3.) Tehát elvileg udev-et használok. De nem tudom, a pendrive-ot hova csatolja. Tovább bonyolítja a helyzetet, hogy két hely is van elöl a gépen és mindkettőt használom felváltva. Jó lenne, ha azonnal mountolná őket amint bedugom a gépbe. Talán supermount a megoldás, de nem tudom, ahhoz kell-e telepítenem valamit.
[/quote:c514ede2f7]

Ha azt szeretnéd, hogy a pendrive-ot mindig ugyan oda csatolja, akkor a /etc/udev/rules.d alatt létre kell hoznod egy fájl, mondjuk 90-usb.rules néven. A fájl tartalma:

# USB pendrive
BUS="usb",SYSFS{idProduct}="9380", SYSFS{idVendor}="058f", SYSFS{manufacturer}="Generic", SYSFS{product}="Mass Storage Device", KERNEL="sd??", NAME="/usb/pendrive"

(A komment utáni rész 1 sor, ha véletlen széttörné a böngésződ). Az értékeket (idProduct stb.) a syslogból vagy a /sys alól kiolvashatod. A fenti példa minden esetben a /dev/usb/pendrive -ot hozza létre, ha bedugod a gépbe a pendrive-odat. Minden más pendrive a még nem használt következő /dev/sd* device lesz. Azaz, ha kihúzod, és újra bedugod, akkor jó eséllyel /dev/sda-ról /dev/sdb-re változik.

Ha a /etc/fstab-ba a /dev/usb/pendrive-ot felveszed noauto,user kapcsolókkal, akkor a user képes lesz mountolni - ami egy kattintáscsak gnome vagy kde felületen a default fájlkezelőben. A jogosultságok rendben lesznek, míg automountkor nehéz azt beállítani, hogy az éppen bejelentkezett user jogaival mountoljon. Ezek után én a tényleges automountot meggondolnám a helyedben.

van egy kis gondom:Knoppix alol akarnam telepiteni a Gentoo-t,de amikor atvaltanam a home konyvtarat a usemod -d /root -n root parancsal,kiirja hogy usemod nem talalhato parancs 8O
akkor most mivan?sajt?

[quote:077cb61c3f="Quain"]VMiklos, te hogyan/mit tettél fel, hogy 3.3.3-as volt???
Gondolom stage1-et tettél fel, és neked akkor már rögtön 3.3.3-at szedett le??? :?[/quote:077cb61c3f]
a gentoot csak screenshotról ismerem
btw mindent forrásból teszek fel :D

A glibc manual vmiért nincs ebuildben, vagy tévedek? Innen persze leszedtem, de sajna nem ugyanaz, mintha csak egy emerge lenne :)
http://www.gnu.org/software/libc/manual/

[quote:74cd836795="tomyellow"][quote:74cd836795="strangedr"]sztem java-config-gal állítsd be a java környezetet[/quote:74cd836795]

És a java-config után kell:
# env-update
# source /etc/profile

Üdv.: Tomyellow

U.I.: Mindezek után java-config -gal meg tudod nézni, hogy sikerült-e.[/quote:74cd836795]
Sziasztok!

Ha blackdown vagy sun jre-t akarok beállítani, akkor hiányolja a javac, javadoc, jar és rmic binárisokat. És nem is áll át a java-config -f szerint.
Ekkor megpróbáltam a blackdown-jdk-t, ott nem ír hibát, de nem is megy az OOo.
Ezeket egyébként a -S kapcsolóval állítottam, tehát elvileg minden user-re érvényesek.

Update: Feltettem a sun-jdk-t. Most megy. Ablackdown valamiért nem volt jó neki.

a fentit sajnos meg a lustasagom, meg azota a rendszerujratelepites miatt elhalaszottam, de volna uj kerdesem.

adott az fvwm, amit szeretnek feltenni. ha USE="gtk gtk2", akkor felrakna az esound-ot, orbit-ot, gnome-libs-et. ezt en nem szeretnem. funkcionalitasban mit vesztek, ha kiveszem ezeket a flageket? Es ennek hol tudok altalaban utananezni? (marmint h adott use flag mit csinal. ez altalaban (pl. cups,ssl) trivialis, de most nem tudom. nem tud gtk-s temakat hasznalni az fv?

b

Nem tudom eldonteni mi lehet a gond... Egy kulon ext3-as particiora raktam a ket konyvtarat (p4, i686), amelyekbe chroot-olva tartok karban ket gentoo-t. A host rendszer egy SuSE 9.1, amely reiserfs particion van. Volt tegnap egy leallasom, amikor crontab-bol emerge sync -elte a i686-os gentoo -t, a SuSE-t nem lehetett elerni, a port-ok nyitva voltak, ping-re valaszolt, de se http-n se ssh-n, se terminalon keresztul nem reagalt a gep :( Ezutan kapott egy ujra inditast. Majd lefutattam volna kezzel az emerge sync -et az i686-oson (a p4-esen sikerult lefuttatni), de el kezdte dobalni, hogy read-only modban van bemount-olva a particio, megneztem a mount szerint rw-ben volt, de tenyleg nem tudtam ra irni... Ujra mount-oltam a particiot rw-kent es elkezdtem rola torolni i686-os konyvtarat, a /var/tmp alatt levo file-oknal el kezdett io error-okat dobalni, mikor megprobaltam megint irni a particiora megint azt tapasztaltam, hogy read-only modba valtott :( Ezert megprobaltam umount -olni, hogy aztan megint rw-kent vissza csatoljam, akkor az umount-ba beallt a gep, most mar a portok sem voltak nyitva es a ping-re sem valaszolt... Tegnap volt egy ram csere az eset elott a gepben. Most nem tom, hogy egyaltalan HW hiba-e, es ha igen akkor a HHD mondta be az unalmast, vagy a RAM szar amit tegnap bele raktam :(
Szerintetek mi lehet?

[quote:de3aff6c37="Anonymous"]
*n most Gnome-ot szeretn*k felrakni a g*pemre, a USE v*ltoz*ban van "-qt -kde gtk gnome", *s amikor nyomok egy [b:de3aff6c37]emerge -pv gnome[/b:de3aff6c37] -ot akkor 135 csomagot fel akar pakolni, k*zt*k a teljes qt-t, egy csomagot a kde-base -b*l (arts), a komplett mozill*t, *s m*g sorolhatn*m. Szerintem el*g sokan haszn*lj*k a Gentoo + Gnome p*ros*t*st, *s nem gondolom hogy ez mind fenn van a g*p*k*n.
Ti hogy oldott*tok/oldan*tok meg a probl*m*m? Vagy ez a norm*lis?[/quote:de3aff6c37]

-kde -qt gtk2 gnome
env-update
source /etc/profile

Udv:
kisindian

Tudnátok olyan egyszerű xterm-et javasolni amely képes több tab-on xterm-et futtatni, és kezeli az ALT kombinációkat, és lehet jobb gombos menüvel Copy-zni róla? Nagyjából a konsole-on és a gnome-terminal-on megszokott alap feature-oket szeretnem elerni, anelkul hogy gnome-ot vagy kde-t kellene telepítsek, most jelenleg xfce van fent, és állati gyors :) Nem szeretném ha lassulna a rendszer ;)

[quote:7ee6e33df9="Panther"]/etc/make.conf-ban ugye CHOST="i686-pc-linux-gnu" van?[/quote:7ee6e33df9]

igen, megcsináltam a linket, de így se megy

A hibaüzenet:
[code:1:7ee6e33df9]/bin/sh ../libtool --mode=link i686-pc-linux-gnu-gcc -O2 -march=pentium4 -fomit-frame-pointer -o libfile.la -rpath /usr/lib/gnome-vfs-2.0/modules -export_dynamic -avoid-version -module -no-undefined file-method.lo fstype.lo -lfam -Wl,--export-dynamic -pthread -lgobject-2.0 -lgconf-2 -lORBit-2 -lm -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0 ../libgnomevfs/libgnomevfs-2.la -lrt
grep: /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or directory
/bin/sed: can't read /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or directory
libtool: link: `/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la' is not a valid libtool archive
make[2]: *** [libfile.la] Error 1
make[2]: Leaving directory `/var/tmp/portage/gnome-vfs-2.10.1-r2/work/gnome-vfs-2.10.1/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gnome-vfs-2.10.1-r2/work/gnome-vfs-2.10.1'
make: *** [all] Error 2

!!! ERROR: gnome-base/gnome-vfs-2.10.1-r2 failed.
!!! Function gnome2_src_compile, Line 48, Exitcode 2
!!! compile failure
!!! If you need support, post the topmost build error, NOT this status message.
[/code:1:7ee6e33df9]

bemásoltam még néhány sort, az első sort érdekesnek találtam:
[code:1:7ee6e33df9]--mode=link i686-pc-linux-gnu-gcc[/code:1:7ee6e33df9]

szóval miért kell neki az i386-os könyvtár?

[quote:0739c25bbb="johans"]
Ha azt szeretnéd, hogy a pendrive-ot mindig ugyan oda csatolja, akkor a /etc/udev/rules.d alatt létre kell hoznod egy fájl, mondjuk 90-usb.rules néven. A fájl tartalma:

# USB pendrive
BUS="usb",SYSFS{idProduct}="9380", SYSFS{idVendor}="058f", SYSFS{manufacturer}="Generic", SYSFS{product}="Mass Storage Device", KERNEL="sd??", NAME="/usb/pendrive"

(A komment utáni rész 1 sor, ha véletlen széttörné a böngésződ). Az értékeket (idProduct stb.) a syslogból vagy a /sys alól kiolvashatod. A fenti példa minden esetben a /dev/usb/pendrive -ot hozza létre, ha bedugod a gépbe a pendrive-odat. Minden más pendrive a még nem használt következő /dev/sd* device lesz. Azaz, ha kihúzod, és újra bedugod, akkor jó eséllyel /dev/sda-ról /dev/sdb-re változik.

Ha a /etc/fstab-ba a /dev/usb/pendrive-ot felveszed noauto,user kapcsolókkal, akkor a user képes lesz mountolni - ami egy kattintáscsak gnome vagy kde felületen a default fájlkezelőben. A jogosultságok rendben lesznek, míg automountkor nehéz azt beállítani, hogy az éppen bejelentkezett user jogaival mountoljon. Ezek után én a tényleges automountot meggondolnám a helyedben.[/quote:0739c25bbb]

OK. Igazad van. Ha ezek menni fognak, akkor hagyom az automountot.
Próbáltam először csak "simán" mountolni a pendrive-ot. A mount /dev/sda1 /mnt/usb-re azt írja, hogy[code:1:0739c25bbb]mount: /dev/sda1 is not a valid block device[/code:1:0739c25bbb]
Próbáltam sdb, sdc, sdd-vel is meg más számokkal meg számot nélkül, de mindig ez a hibaüzenet.
Bootnál ezt írja:
usb 3-1: new full speed USB device using adress 2
scsi0: SCSI emulation for USB Mass Storage devices
Vendor: ALLOK Model: U-DISK REV: 0815
Type: Direct-Access ANSI SCSI revision: 02

Az lehet gond, hogy valamit nem fordítottam bele a kernelbe? Mert az könnyen előfordulhat. Elég kezdő vagyok. :oops:

[quote:3cd71cadb5="Quain"]Unicode-os problémára senki sem tud megoldást?

Amúgy a bash-könyvtár színezésre (root/.bashrc beolvasásra) valami olyan megoldás volt, hogy source <valami>, na ezt nem tudom...[/quote:3cd71cadb5]

Szia!

1. [url]http://nk.ukrpack.net/~alexx/unicode-guide.html[/url] talán segít.

2. A /root/.bashrc file -ba
alias ls="ls --color=auto"

A /root/.bash_profile -ba
[ -f ~/.bashrc ] && . ~/.bashrc

Ez nekem elég, ha neked mégsem, akkor majd agyalunk tovább.

Üdv.: Tomyellow

[quote:d8467dd5d8="strangedr"][quote:d8467dd5d8="voroskoi"][quote:d8467dd5d8="strangedr"]takaríts az /usr/portage/distfiles és a /var/tmp/portage és /var/logs/emerge könyvtárakban, utána nézd meg megint[/quote:d8467dd5d8]

Ezt a portage nem csinálja meg egyáltalán? Tehát az ősrégi csomagok forrásai is fentmaradnak nem csak azok amikre esetleg szükség lehet később(remerge)?

Nincs valami szkript esetleg ami átnézi ezeket a könyvtárakat, hogy ne "kézzel" kelljen megcsinálni mindezt?[/quote:d8467dd5d8]

a portage magától nem csinálja meg; szkripteket írtak már rá, nézz körül az FGO-n a Documentation, tips & tricks szekcióban.[/quote:d8467dd5d8]
Én ezt beajánlom minden Gentoo-usernek:
http://forums.gentoo.org/viewtopic.php?t=67849
Van jónéhány hasznos dolog, de egy csomó olyan is amelyiknek nem sok hasznát látom.

[quote:49afc58d1f="blau"]a fentit sajnos meg a lustasagom, meg azota a rendszerujratelepites miatt elhalaszottam, de volna uj kerdesem.

adott az fvwm, amit szeretnek feltenni. ha USE="gtk gtk2", akkor felrakna az esound-ot, orbit-ot, gnome-libs-et. ezt en nem szeretnem. funkcionalitasban mit vesztek, ha kiveszem ezeket a flageket? Es ennek hol tudok altalaban utananezni? (marmint h adott use flag mit csinal. ez altalaban (pl. cups,ssl) trivialis, de most nem tudom. nem tud gtk-s temakat hasznalni az fv?

b[/quote:49afc58d1f]

szerintem leginkább az egyes programok configure opcióiban/leírásában fogod megtalálni mely esetben érdemes az egyes libekkel forgatni az adott programokat (kivéve szerencsésebb esetekben mikor a .ebuild file tartalmaz megjegyzéseket az egyes flagek használatával kapcsolatban). pl fvwm esetén az FvwmGtk modul (amellyel ha jól tudom az egyes builtin GUI elemeket lehet lecserélni a GTK alternatívákra, de lásd : FvwmGtk(1)) miatt kell gtkval forgatni az fvwmet (már, ha neked kell ilyesmi).
szerintem felesleges, de nyilván ez ízlés kérdése :)

Hello.

A debianos apt-get clean -nek mi a megfeleloje gentoo/emerge alatt? A manban nem talaltam semmi hasonlot, de a /usr egyre nagyobb, es ez felettebb zavar.

Elore is kosz.

[quote:9acc8cef2e="strangedr"]

http://forums.gentoo.org/viewtopic-t-255263-highlight-double+free+corruption.html

ezt találtam, nem tudom, segít-e[/quote:9acc8cef2e]

koszonom az utanajarast!

sajnos nemnagyon. azt irja, hogy a progiban van a kutya elasva. a fura, hogy ugyanilyen gentoo masik gepen siman lefuttatja :( meg jo hogy fontos dolog, es tudom mas gepen, igaz tavolrol, csinalni.

Azt irjak, hogy malloc/free gond lehet.. a fura, hogy eddig nem jott elo, vagyis eddig jo volt a dinamikus memoriaallokaciom. es ezt most sem irtam at.

esetleg meg az emlitet nomallokheck use-flaggel ujra kene forditani, de nem szeretnem meg jobban elcseszni, nem ertek en ehhez ennyire.

b

[quote:91a9a59d6e="SAGAL"]félórája tuti jó....[/quote:91a9a59d6e]
egen:]
mar jo nalam is...
allati lassu volt, kopiztam az utat, aztan d4x...

frissítettem, jelenleg a windowmaker-0.91.0-r1 csomag van telepítve. eddig minden ment normálisan, de most az ablakokat nem lehet átméretezni, hanem olyankor csinál egy restartot. az a fura, hogy debian alatt is ezt csinálja, ugyanis ott is frissítettem. mi lehet a gond? semmi hibaüzenetet nem ad, csak egyszerüen restartol az ablakkezelő.

Hallali!
Beleírom ebbe a nagy ömlesztett Gentoo-kérdésekbe a kérdésemet:
van-é itten valaki, akinek megy Gentoo alatt HP DeskJet 3550-es nyomató?
Fenn van nálam cups, cupsd fut, cups látja is a nyomatót, de tesztoldalt csak látszólag nyomtat, a cucc nem reagál semmire; rootként, userként egyaránt; hpijs-t tettem fel hozzá (samba, cups, pam, pdds flagekkel), mert a hplip-hez (amit inkább javasolnak) függő PyQt nem fordul lesemmiképpen.
Tanácstalan vagyok...

P.S.: FGO-on néztem, van egy rakat ezzel kapcsolatos topik, de unsolved mindegyik... gentoo-wiki-n semmi újat nem olvastam ezzel kapcsolatban. A cucc USB-printer, lsusb megmutatja, egyéb Linux alatt működik, szóval nem tudom, mit kéne még... :(

Házizééé.... A fentit sebtiben vissza is vonom, megoldódott a porbléma :)
#USE="samba cups pam ppds" emerge hpijs
és utána egy reboot volt (mert az /etc/init.d/cupsd restart-ra nem moccnat semmi).
és gyönyörűséges oldalak nyomtatása zajlik éppen :))

[quote:2c07364643="fabokzs"]Hello.

A debianos apt-get clean -nek mi a megfeleloje gentoo/emerge alatt? A manban nem talaltam semmi hasonlot, de a /usr egyre nagyobb, es ez felettebb zavar.

Elore is kosz.[/quote:2c07364643]

/usr/portage/distfiles

az emerge man-pages nem telepít glibc manualt?

kösz mindenkinek, a másik kérdésemre vmi reakció?

Most adódott még egy apró probléma: hogy tudom beállítani hogy a virtuális terminálokon utf8 as kódolás legyen? X alatt minden jó, de ha kilépek, már rögtön nem.

[quote:3b401f3c99="voroskoi"]
Próbáltam először csak "simán" mountolni a pendrive-ot. A mount /dev/sda1 /mnt/usb-re azt írja, hogy[code:1:3b401f3c99]mount: /dev/sda1 is not a valid block device[/code:1:3b401f3c99]
Próbáltam sdb, sdc, sdd-vel is meg más számokkal meg számot nélkül, de mindig ez a hibaüzenet.
Bootnál ezt írja:
usb 3-1: new full speed USB device using adress 2
scsi0: SCSI emulation for USB Mass Storage devices
Vendor: ALLOK Model: U-DISK REV: 0815
Type: Direct-Access ANSI SCSI revision: 02

Az lehet gond, hogy valamit nem fordítottam bele a kernelbe? Mert az könnyen előfordulhat. Elég kezdő vagyok. :oops:[/quote:3b401f3c99]

A lognak folytatódnia kellene valahogy így:
[code:1:3b401f3c99]
SCSI device sda: 512000 512-byte hdwr sectors (262 MB)
sda: assuming Write Enabled
sda: assuming drive cache: write through
sda: sda1
Attached scsi removable disk sda at scsi1, channel 0, id 0, lun 0
Attached scsi generic sg0 at scsi1, channel 0, id 0, lun 0, type 0
USB Mass Storage device found at 4
scsi.agent[9708]: disk at /devices/pci0000:00/0000:00:1f.4/usb2/2-1/2-1:1.0/host1/1:0:0:0
[/code:1:3b401f3c99]
Ez is ott van a logfájlokban?

[quote:7d67075e70="KKata"][quote:7d67075e70="Zahy"] Szoval, ha mar egyszer megcsinaltad az aliasaidat, akkor alias >> ~/.bashrc
vagy hasonlo paranccsal elerheted a kivant eredmenyt.[/quote:7d67075e70]
Koszi, ez mer megvolt, megsem megy. :([/quote:7d67075e70]

Szia!

A $HOME/.bash_profile -ba tedd be a
[ -f ~/.bashrc ] && . ~/.bashrc
sort, ennek meg kéne oldania a problémát.

Üdv.: Tomyellow

egy atlag x86 gentoon szukseg van-e az eselect csomagra? belneztem mik vannak benne, de az eletben nem hasznaltam meg oket. az [code:1:ad6f22455d]equery d eselect[/code:1:ad6f22455d] kidobta pl. a gcc-3.4.4-r1-et...

eselect maradt. :)

mas. frissitettem gcc-t 3.4.4-re minden rendben ment. kerdes: muszaj nekem feltenni a sys-libs/libstdc++-v3-3.3.4 -et? baromi nagy es jo lenne, ha semmi nem akarná a regi stdc-t hasznalni.

cflags march -ot valtoztattam, emerge --emptytree world -ot nyomtam, es a kozepen elakadt... Van az emptytree -nel jobb megoldas mint a newues a use valtozasnal, mert ha meg egyszer neki kuldom az emptytree -t akkor most foloslegesen ujra forditja azt a felet amit mar leforditott egyszer... A resume nem megy mert kozben az elakadas miatt ujra kelett forditanom egy csomagot...

aham, vagyis akkor amit en sync utan kapok tree-t, az 1az1ben megegyezik azzal a faval amibe kozvetlen a developzorok committolnak. tehat ha a bugs.gentoon azt irjak, hogy "bekerult a cvs-be" (egy ebuild) az akkor egy sima emerge sync utan nalam azonnal jelentkezik is? (mint masked nyilvan)

Javaslom a -D (--deep) használatát a d (--debug) helyett, mert gondolom ti is arra gondoltatok, debugot minek használni alapesetben?

[quote:f6cbe541f5="strangedr"]az emerge man-pages nem telepít glibc manualt?[/quote:f6cbe541f5]

Ööö, ja persze :) Szóval html-re gondoltam. A man oldalak benne vannak, de épp egy olyan fv-t próbáltam keresni, aminek nem tudom a nevét, és megváltoztatja az argv[0]-t, vagyis inkább azt, hogy milyen nevet ír ki a ps. Bár lehet, hogy az csak az exec fv-családdal oldható meg. Szóval man oldal kilőve. Sajna google-val sem akadtam rá.

ha megmondanád a progi nevét, még lehet, h válaszolni is tudnánk :wink:

Hogyan tudom megmondani a szerencsétlen apachenak, hogy ne a /var/www/localhost/htdocs -ba rakja a chroot-ját hanem a /mnt/akarmi -be? Ebuildben átírtam nem segített. Vagy nem veszi figyelembe az ebuildet ha újból emergelem?
GLFTPD-nél segített ha átírtam az ebuildben, hogy hova telepítse.
Help plz :( :?: :(

[quote:0f9792d507="testerlnx"]Sziasztok!
Egy napja telepitgetek egy pentium4 (prescott) gepre gentoo -t (stage3, sync, system, gentoo-source, genkernel, world, xorg-x11, xfce, mplayer...), idaig suse alatt dolgoztam, es a gentoo-t is az alatt foditottam
Most ott tartok, hogy megy minden amit felraktam, viszont egymas utan ketszer is lefagyott a gep.
Ugy tunt, hogy attol fagyott le, hogy egy reiserfs particiot mount-oltam be, a gentoo root particioja is reiserfs, es amit be mount-oltam az a suse root particioja volt...
A reiser4progs meg a reiserfsprogs nem volt fent, az okozhatott fagyast?[/quote:0f9792d507]
A reiserfsprogs csak lemezkarbantartasi muveletekhez kell. Ettol fuggetlenul mennie kellene. A kerdes inkabb az, hogy mit es hogyan forgattal a kernelbe. Szvsz erosen javasolt eloszor a "gyari" kernelbeallitasokat hasznalni, aztan johet a sajat. :)

most nézem, hogy ugyanaz a két hibaüzenet.
pedig ezt megcsináltam:

ln -s /usr/lib/gcc-lib/i686-pc-linux-gnu /usr/lib/gcc-lib/i386-pc-linux-gnu

és működik is, kipróbáltam :)

[quote:3fb17f404a="BikMak"]kösz mindenkinek, a másik kérdésemre vmi reakció?

Most adódott még egy apró probléma: hogy tudom beállítani hogy a virtuális terminálokon utf8 as kódolás legyen? X alatt minden jó, de ha kilépek, már rögtön nem.[/quote:3fb17f404a]
/etc/rc.conf ?

sziasztok

a problemam valszeg rtfm, de nem tudom mitol van, ha valaki megmondana a kulcsszavakat akkor annak orulnek.

minap frissitettem 2.6.10-esre, es nem volt jogosultsagom lefuttatni a glxgears-t, valami olyasmit mondott, hogy a /dev/nvidia-hoz nincs jogom. ezzel kapcsolatban a readme-je valami /etc/security file-t emlegetett (vagy ez is egy konyvtar, es benne levo konfigfile-t). Mi ez a file (elolvastam a man-t ezzel kapcsolatban, de nem derult ki nekem hogy hogy lehet hasznalni)? ezt a kernelfrissites hivta eletre? mert korabban nem volt.

a masik furcsasag az uj kernellel, az a hang volt: nem volt hangja az integralt cuccnak. Siman lejatszott, a mixer nem volt mute-olva, megis meg sem nyikkant. pedig az mplayer is mondta, hogy akkor o most jatszik, es hogy van hangja.

udv,
b

[quote:bcd916757a="testerlnx"]Tudnátok olyan egyszerű xterm-et javasolni amely képes több tab-on xterm-et futtatni, és kezeli az ALT kombinációkat, és lehet jobb gombos menüvel Copy-zni róla? Nagyjából a konsole-on és a gnome-terminal-on megszokott alap feature-oket szeretnem elerni, anelkul hogy gnome-ot vagy kde-t kellene telepítsek, most jelenleg xfce van fent, és állati gyors :) Nem szeretném ha lassulna a rendszer ;)[/quote:bcd916757a]

én az mrxvt-t ajánlom neked. megtalálod [url=http://materm.sourceforge.net/index.html]itt.[/url]

hat, en csak a kovetkezoket tudom mondani:
memtest
dd ext3-asparticio, ezt az imaget fsck.ext3-azni, hatha okes lesz

a dolog nem egeszen tiszta: a suse most nem serult akkor, ugye?

amikor ugy leallt a gep, akkor sysrq-val probalkoztal?

Nos, beraktam whitehawk "sorait", és az eredmény ez lett:

/etc/init.d/net.eth0 restart
* Starting eth0
* Bringing up eth0
* dhcp
* No loaded modules provide "dhcp" (dhcp_start) [ !! ]

Ezt nem tartom 100% -os sikernek, de mindenképpen siker :) . Lehet hogy vak vagyok, de nem látom a hiba okát, illetve a dhcp kernel modul akar lenni? Ha ez kell, akkor a dhcpcd miért megy mégis? Ja, és a cdromra nincs valami tippetek?

Kozbe nekem is akadtak kerdeseim:

1. probaltam egy rendszert icc-vel forgatni, de ahogy elnezem nem mindegyik projekt tamogatja. Csinalt mar valaki sikeresen ilyet?

2. egy masik rendszerem telepitesekor az "opengl" kimaradt a USE-bol es sikerult enelkul leforgatni az egeszet. Azota mar ujraforgattam ebbe a formaba:

[code:1:82c968f45f]emerge --newuse world[/code:1:82c968f45f]

de most mar szoftveresen se megy a rendereles.

3. A kde-s programjaim nagyon gyakran segfaultolnak. (kde v3.3.2) Kb 10 progi inditasabol 6 elszall. Ez tobbnyire akkor fordul elo, amikor progibol kilepek dobja a segfault ablakot. A kerdesem az lenne talalkozott-e valaki mar ilyennel? Ill. ez gentoo specifikus bug, vagy inkabb KDE-nek kuldjek bugreportot. :)

A forditast ezekkel a beallitasokkal vegeztem:

[code:1:82c968f45f]CXX="${CC}"
CFLAGS="-O3 -march=pentium4 -pipe -fomit-frame-pointer -fprefetch-loop-arrays"

CHOST="i686-pc-linux-gnu"

CXXFLAGS="${CFLAGS}"

LINGUAS="en_GB"

USE="x86 nasm apm avi motif berkdb bitmap-fonts crypt cups encode fortran f77 foomaticdb gdbm gif gpm jpeg imlib libg++ libwww mad mikmod mpeg ncurses nls oggvorbis pdflib quicktime opengl perl libusb alsa sane gtk gtk2 gtkhtml qt gnome readline ssl sdl spell svga tcpd truetype X xml2 xmms xv pam zlib arts kde"

CONFIG_PROTECT_MASK="/etc/wget /etc/rc.d"

ACCEPT_KEYWORDS="~x86"

GENTOO_MIRRORS="ftp://mirror.ibiblio.org/gentoo/"
GENTOO_MIRRORS="http://mir.zyrianes.net/gentoo/ http://194.117.143.70 http://194.117.143.71 ftp://194.117.143.70/mirrors/gentoo"
GENTOO_MIRRORS="ftp://ftp.ndlug.nd.edu/pub/gentoo/ ftp://206.75.217.180/ ftp://206.75.217.205/ ftp://206.75.217.181/"[/code:1:82c968f45f]

[quote:decdeb80f5="LiRul"]eselect maradt. :)

mas. frissitettem gcc-t 3.4.4-re minden rendben ment. kerdes: muszaj nekem feltenni a sys-libs/libstdc++-v3-3.3.4 -et? baromi nagy es jo lenne, ha semmi nem akarná a regi stdc-t hasznalni.[/quote:decdeb80f5]

Nem akarja. http://www.gentoo.org/doc/en/gcc-upgrading.xml minden benne van. Nekem már régóta ez a gcc van (most épp hardened...)

koszi a commenteket, maradok Panther altal irt modszernel, ugy latom ez jar a legkevesebb maceraval. thx.

koszi a tippeket, es udvozito h a sok lame kerdes ellenere tartasz annyira, hogy maintainer legyek :lol: bar ketsegkivul egyszerubb ebuildet csinalni mint .deb-et, mondom ezt ugy hogy deb-et mar gyartok egy ideje, ebuildbol meg talan negyet csinaltam, abbol is kettot magam szorakoztatasara.

Probléma solved. Genkernel-lel csináltam initrd-t. Érdekes módon bootnál betöltött egy csomó SCSI/SATA modult, ami tényleg kellett, kivéve a SCSI Disk modult. Ez mondjuk fura. Ezt be tettem fixen és a root filerendszert is fixen kellett beleforgatni. Innentől szépen megy minden.

rigidus 2-es problémájához:
próbálj meg egy revdep-rebuild -et, hátha ott van egy kutya elásva.

Nem akartam már új topic-ot nyitni, de van egy problémám! Frissíteni akarom a rendszert, kiadtam tehát az emerge sync, majd emerge -up system (hogy lássam mi is kell), majd emerge -u system, minden lejött, és felment, kivéve a gcc-3.3.3-r6 -ot!
Ezt írja ki a forgatás során:

[code:1:4cf523c49f]
...
...
...
stage2/xgcc -Bstage2/ -B/usr/i686-pc-linux-gnu/bin/ -march=athlon-xp -O2 -DIN_GCC -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -DHAVE_CONFIG_H -I. -I. -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc/. -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc/config -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc/../include -c insn-recog.c \
-o insn-recog.o
insn-recog.c: In function `recog_17':
insn-recog.c:26542: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugs.gentoo.org/> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[2]: *** [insn-recog.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/gcc-3.3.3-r6/work/build/gcc'
make[1]: *** [stage3_build] Error 2
make[1]: Leaving directory `/var/tmp/portage/gcc-3.3.3-r6/work/build/gcc'
make: *** [bootstrap-lean] Error 2

!!! ERROR: sys-devel/gcc-3.3.3-r6 failed.
!!! Function src_compile, Line 551, Exitcode 2
!!! (no error message)[/code:1:4cf523c49f]

Mi a fene gonbja lehet? Másnál is ezt csinálja?

Sziasztok!

Van egy firefox patch, amit hasznalnek, de egyelore csak favago modszerrel tudom becsempeszni a telepitendo forrasba (emerge mozilla-firefox, es miutan unpacked, egy gyors patch a workben, mielott meg elkezdi automatikusan forditani :D )

Kerdem en, hogyan kell ezt szepen&okosan?

igen, a mirrorok asszem óránként kétszer syncelnek a main cvs szerverrel

az ebuild maintainere feltötli az új ebuildverziót changeloggal, onnantól kezdve az kimegy a portage-be; hogy melyik ágba kerül, az utána már attól függ, milyen keywordöt kapott illetve beteszi-e a package.maskba

[quote:51e9c37f3d="flimo"]Sziasztok!
Adott egy gentoo 2.6.12-es kernellel, egy 64 gigabájtos fat32 partíció, rajta 36 giga adat, ezt winxp és gentoo is egyformán látja. Az eltérés, hogy míg winxp rendesen látja a 28 giga szabad helyet, addig linux csupán 55 megát, és természetesen másolni sem tudok rá többet.
Gondoltam rá, hogy talán a 64 giga sok a fat32-nek, de most ezzel nem szórakoznék, cirka 3 hét amíg fizikailag a géphez jutok, plussz van másik két ugyan ilyen problémamentes partíció. Ha valakinek van valami ötlete, azt szívesen veszem.[/quote:51e9c37f3d]
Helló!
Nem akarlak ijesztgetni, de van pár érdekesség a FAT32-vel kapcsolatban.
[quote:51e9c37f3d]Maximum Sizes on FAT32 Volumes

A FAT32 volume must have a minimum of 65,527 clusters. Windows XP Professional can format FAT32 volumes up to 32 GB, but it can mount larger FAT32 volumes created by other operating systems. Table 13.6 lists FAT32 size limits.

Table 13.6 FAT32 Size Limits
Description Limit
Maximum file size 4 GB minus 1 byte (232 bytes minus 1 byte)
Maximum volume size 32 GB (implementation)
Files per volume 4,177,920
Maximum number of files and subfolders within a single folder 65,534 (The use of long file names can significantly reduce the number of available files and subfolders within a folder.)[/quote:51e9c37f3d]
Egy idézet innen: [url=http://support.microsoft.com/default.aspx?scid=kb;EN-US;q184006]Limitations of FAT32 File System[/url][quote:51e9c37f3d]You cannot format a volume larger than 32 GB in size using the FAT32 file system in Windows 2000. The Windows 2000 FastFAT driver can mount and support volumes larger than 32 GB that use the FAT32 file system (subject to the other limits), but you cannot create one using the Format tool. [b:51e9c37f3d]This behavior is by design.[/b:51e9c37f3d] If you need to create a volume larger than 32 GB, use the NTFS file system instead.[/quote:51e9c37f3d]Ugyanez vonatkozik az XP-re is. Hát nem érdekes? Ha 32 GB-nál nagyobb partíció kell, akkor használj NTFS-t vagy formázd meg valami mással FAT32-re, mert kezelni azért tudja.

Egy érdekes linuxos hiba, amivel én is megjártam volna, ha nincs mentésem, de a 2.6.x-ben már javítva van: [url=http://www.osnews.com/story.php?news_id=9681&page=3]3.1. Lost Clusters[/url]

Nem tudom, hogy nálad mi a hiba, de talán biztosabb lenne a mostaniak helyett 32 GB-os, XP-ből formázott FAT32-es partíciókat használni közösen a gentooval. ...és akkor is csak óvatosan, mert a FAT32-nél soha sem lehet tudni... :D

Szabi

hi people!

Épp az imént mergáltam elsö gentoo-mat, egy 2004.1-et. Lehet hogy csak figyelmetlen vagyok, de sehogy sem sikerült 2.6-os kernelt leszedni az emerge-el.
[b:762391824c]emerge -k sys-kernel/gentoo-sources[/b:762391824c] és
[b:762391824c]emerge -k sys-kernel/vanilla-sources[/b:762391824c] is
2.4.xx-et szed le. A portage teljesen friss.
Fel tudnátok homályosítani a témában?

Elöre is kösz

pink

gentoo honlapján van vmi leírás (gentoo utf8 vagy ilyesmi a googleban, mindig így keresem, ha nem tudom az oldalt :P)

[quote:8bbe855d31="SAGAL"]Utólagos elnézést kell kérjek érte, már észre vettem én is.....remélem már nem csinálja, már javítottam.[/quote:8bbe855d31]
thx :D

[quote:796559e1c4="PcZolee"]
Mi a fene gonbja lehet? Másnál is ezt csinálja?[/quote:796559e1c4]

[url=bugs.gentoo.org]bugs.gentoo.org[/url]-ot megnezted mar? ott a hasonlo problemaimra szinte mindig van megoldas

[quote:37637ee2c4="nnap"]Sziasztok!

Van egy firefox patch, amit hasznalnek, de egyelore csak favago modszerrel tudom becsempeszni a telepitendo forrasba (emerge mozilla-firefox, es miutan unpacked, egy gyors patch a workben, mielott meg elkezdi automatikusan forditani :D )

Kerdem en, hogyan kell ezt szepen&okosan?[/quote:37637ee2c4]
Én ezt így csinálnám:
1) Megnézem a man emerge-et :D
2) Látom ezt az opciót:
[code:1:37637ee2c4]--fetchonly (-f)
Instead of doing any package building, just perform fetches for all packages
(the main package as well as all dependencies.)[/code:1:37637ee2c4]
3) emerge --fetchonly mozilla-firefox
4) Megpöcsölöd
5) emerge mozilla-firefox

NEM próbáltam ki, ha [nem] működik akkor írjatok.

[quote:358e1aaea9="pink"]
[b:358e1aaea9]emerge -k sys-kernel/gentoo-sources[/b:358e1aaea9]
[b:358e1aaea9]emerge -k sys-kernel/vanilla-sources[/b:358e1aaea9]
[/quote:358e1aaea9]

sys-kernel/gentoo-dev-sources/ - gentoo fele kernel
sys-kernel/development-sources/ - vanilla kernel 2.6.x

[quote:219d8c1e1d="rigidus"] A kerdes inkabb az, hogy mit es hogyan forgattal a kernelbe. Szvsz erosen javasolt eloszor a "gyari" kernelbeallitasokat hasznalni, aztan johet a sajat. :)[/quote:219d8c1e1d]
Természetesen előszőr "gyár" kernelt használtam, és nagyon úgy tűnt, hogy a reiserprogs -ok nélkül be mount-olt suse-s reiserfs partíció fagyasztotta a rendszerem (xargs,acl -el volt használva suse-n)... Mióta felraktam a reiserfsprogs-ot és a reiser4 -et azóta nem fagyott (persze még fagyhat :()... Azóta már genkernel -xconfig -al bele raktam a Hyperthreading-et meg az SMP-t, és avval is fut egyenlőre.

[quote:be64045f54="Tomcsi"]
sys-kernel/gentoo-dev-sources/ - gentoo fele kernel
sys-kernel/development-sources/ - vanilla kernel 2.6.x[/quote:be64045f54]

Kössz szépen a helpet!

pink

[quote:1d5f255337="atlantic"]
én az mrxvt-t ajánlom neked.[/quote:1d5f255337]
Köszönöm! Tud mindent amit akartam :) Leszámítva a jobb gombos Copy-t, de majd meglátjuk megleszek-e nélküle...

[quote:fc5e79330c="PcZolee"]Nem akartam már új topic-ot nyitni, de van egy problémám! Frissíteni akarom a rendszert, kiadtam tehát az emerge sync, majd emerge -up system (hogy lássam mi is kell), majd emerge -u system, minden lejött, és felment, kivéve a gcc-3.3.3-r6 -ot!
Ezt írja ki a forgatás során:

[code:1:fc5e79330c]
...
...
...
stage2/xgcc -Bstage2/ -B/usr/i686-pc-linux-gnu/bin/ -march=athlon-xp -O2 -DIN_GCC -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -DHAVE_CONFIG_H -I. -I. -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc/. -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc/config -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc/../include -c insn-recog.c \
-o insn-recog.o
insn-recog.c: In function `recog_17':
insn-recog.c:26542: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugs.gentoo.org/> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[2]: *** [insn-recog.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/gcc-3.3.3-r6/work/build/gcc'
make[1]: *** [stage3_build] Error 2
make[1]: Leaving directory `/var/tmp/portage/gcc-3.3.3-r6/work/build/gcc'
make: *** [bootstrap-lean] Error 2

!!! ERROR: sys-devel/gcc-3.3.3-r6 failed.
!!! Function src_compile, Line 551, Exitcode 2
!!! (no error message)[/code:1:fc5e79330c]

Mi a fene gonbja lehet? Másnál is ezt csinálja?[/quote:fc5e79330c]

Ilyen esetben a kovetkezo a teendo:
1. Megprobalod megerteni a hibauzenetet, es ha olyan, amit valoszinuleg meg tudsz oldani, akkor megoldod. (Pl fuggoseg hianyzik, vmi USE flag beallitas rossz, stb..)
2. Ha nem boldogulsz, akkor keresel a gentoo forumain, ugyanis az ilyen problemak 99,99%-arol mar van thread, es jo esellyel a megoldas is megvan, vagy egy kesobbi idopontban ott fogod megtalalni. Ha meg tudtad oldani a problemat es meg senki sem tudott megoldast, akkor nem art itt kozzetenni.
3. Ha nincs megoldas a forumon, akkor keresel a bug reportok kozott, es eleg nagy valoszinuseggel meg fogod talalni a problemat.
4. Ha nincs meg a bug jelentve, akkor egyszeruen bejelented. Megjobb, ha azonnal az ebauild javitasat is mellekeled.

Az rc.confban ez benne van:
[code:1:42ffeee9db]UNICODE="yes"[/code:1:42ffeee9db]
Nem tudom, kell még vmi?

akkor mondom, törölj ki mindent az /etc/conf.d/net -ből és próbáld úgy.

[quote:a57040ae1b="PcZolee"]
Ezt írja ki a forgatás során:
[code]
...
...
...
insn-recog.c:26542: internal compiler error: Segmentation fault
Mi a fene gonbja lehet? Másnál is ezt csinálja?[/quote:a57040ae1b]
tanuld meg kiszűrni a tényleges problémát. a hőn szeretett gcc3, mint már annyiszor (mplayer libfaadnél bizonyos esetekben reprodukálhatóan) dobott neked egy szép kis "ice"t :wink:
(ez az, ami miatt olyan sokan sírják vissza a gcc 2.95öt)
hogy mi a teendőd, azt már fdavid leírta :wink:

> 3) emerge --fetchonly mozilla-firefox
> 4) Megpöcsölöd

Szerintem nem tömöríti ki a work-be, csak leszedi a csomagot, azaza ha megpuherálom a tar.gz-t, gondolom veszik az md5, ...

nem lesz tartós megoldás..., de megnézem :)

OFF: BikMak, aláírásod Gyalog Galopp?

/usr/portage/net-www/mozilla-firefox/mozilla-firefox-0.8-r2.ebuild
[code:1:a8e2d15992]
src_unpack() {
unpack firefox-source-${PV}.tar.bz2

# alpha stubs patch from lfs project.
# <taviso@gentoo.org> (26 Jun 2003)
use alpha && epatch ${FILESDIR}/mozilla-1.3-alpha-stubs.patch
use amd64 && epatch ${FILESDIR}/mozilla-firebird-amd64.patch

--->epatch $(FILESDIR)/my-patch-file

}
[/code:1:a8e2d15992]

talán, ha ide szúrom be, akkor ok lesz.

ui: vagy ide?
/var/db/pkg/net-www/mozilla-firefox-0.8-r2/mozilla-firefox-0.8-r2.ebuild [/b]

[quote:6253b30c6e="vmiklos"]ha megmondanád a progi nevét, még lehet, h válaszolni is tudnánk :wink:[/quote:6253b30c6e]

vegastrike,de nem csak ez az egy,az a gond,hogy pl.:emerge-el fölrakok egy progit.ok minden,succes,de nem futtatja,ha jól vettem észre /usr/bin-ben vannak a futtatható progik.
Rosszul emergelt,vagy miért?De újraemergeltem,és akkor is rossz volt,és ez nagyon soxor előfordult.40%.Elég gáz

Hali!

Egy olyan gondom, lenne, hogy még anno nagy sikerrel feltettem a gentoomra a kde-t. Az alábbi leírás szerint csináltam: [url]http://www.gentoo.org/doc/en/kde-config.xml[/url]. Ez alapján a kde-meta-t pakoltam fel, mert gondoltam az úgy jó nekem :). Nem is volt semmi gond. A tegnapi nap folyamán az emerge -pv world parancs kiadása után rengeteg blokkolt csomag jelent meg. Gyakorlatilag az egyik kde-s csomag blokkolta a másikat. Sajna ezt a listát elfelejtettem lementeni. Frissítettem a kde-meta-t (emerge kde-meta), amivel nem volt semmi gond szépen lefordult és azóta működik is, de továbbra is széles a blokkolt csomagok listája.

[code:1:a452cb2ccd][blocks B ] =kde-base/kontact-specialdates-3.4* (is blocking kde-base/kdepim-3.4.3)
[blocks B ] =kde-base/kaddressbook-3.4* (is blocking kde-base/kdepim-3.4.3)
[blocks B ] =kde-base/libkpimexchange-3.4* (is blocking kde-base/kdepim-3.4.3)
[blocks B ] =kde-base/kappfinder-3.4* (is blocking kde-base/kdebase-3.4.3-r1)
[blocks B ] =kde-base/kcheckpass-3.4* (is blocking kde-base/kdebase-3.4.3-r1)
...
[/code:1:a452cb2ccd]

Mi lehet a hiba? Mit csinálok rosszul?

Köszi a segítségeteket.

smerli

[quote:6435f07733="nsuperbus"]En a rovidebb verziot csinaltam meg, es szerintem az boven eleg,meg gyors is. A libstdc++-t hasznalo progikat forditja csak ujra. De akinek van ideje az meg szorakozzon az emerge -e world-el. Ennek a modszernek szerintem az a hatranya hogy azokat is ujrarakja amit nem kell leforditani.[/quote:6435f07733]
En is azzal kezdtem, de fel akartam tenni a blendert es belefutottam ebbe az undefined reference baromsagba. Na akkor nekiestem revdep-rebuildnek, ott is feluton lerohadt. Nyomtam neki egy emerge -e system, majd emerge -e world-ot. Detto. fix_libtools.sh is volt, megcsinalta, aztan megint semmi. Most mar ott tartok, hogy 2 honapja nem vot frissitve a rendszer nagy resze es --skipfirsttel ugralom at a c++ progikat. ;(

Mas kerdes: nem tudjatok veletlenul, h a locate parancs miert nem mukodik?

En egy sajat verzioju ebuild-ot szoktam csinalni, aztan emerge force sajat verzio :) . Szerintem nagyon egyszeru a file felepitese, egy perc alatt atlathato.

[quote:c29bb93408="BikMak"]Az rc.confban ez benne van:
[code:1:c29bb93408]UNICODE="yes"[/code:1:c29bb93408]
Nem tudom, kell még vmi?[/quote:c29bb93408]
[code:1:c29bb93408]
CONSOLEFONT="utf8"
[/code:1:c29bb93408]
igy?

A kernelbe kell usb mass-storage es scsi-disk tamogatas is (meg persze fat)

Tetszik mrxvt, és kate helyett mit tudnál ajánlani?

na, valami ötlet? Vagy, ekkora hülyeséget kérdeztem?

http://www.gentoo.org/doc/en/utf-8.xml
nekem ment a dolog minden problema nelkul

Itt egy masik forditas eredmenye
http://pastebin.com/506346

sziasztok

azt hogy tudom megnezni, hogy adott binaris melyik csomaghoz tartozna?

a socket nevu progit szeretnem feltenni, de az egyik ebuild sem jo, amik tartalmazzak ezt a szot, tobbnyire, c/c++ libraryk. Arra tippelek valamelyik altalanos netes csomagban lesz, de melyikben?

b

A stabil/nem maszkolt kde-3.4.3 csomagok listája még nem teljes, így van, amiből még csak a 3.4.2 vagy 3.4.1-es változat az elérhető. Várj még pár napot, utána már nem lesz ilyen blokkolt lista

most már jó az ékezet, köszi.

OFF: igen Gyalog Galopp

Ha már itt járok zaklatlak még egy kicsit titeket.

Az ékezetekkel baj van a filerendszerek terén is.
Bizonyos programok, az ékezeteket ?-ekkel helyettesítik.Tipikusan a gnome-os progik ilyenek, és az mc is. Míg a kde-s progikra ez nem jellemző. Valamint, ha bármilyen programmal a fat32-es partíciómra ékezetes nevű file-t akarok másolni, közli hogy nincs jogom hozzá.

[quote:fc778b710a="atlantic"][quote:fc778b710a="testerlnx"]Tudnátok olyan egyszerű xterm-et javasolni amely képes több tab-on xterm-et futtatni, és kezeli az ALT kombinációkat, és lehet jobb gombos menüvel Copy-zni róla? Nagyjából a konsole-on és a gnome-terminal-on megszokott alap feature-oket szeretnem elerni, anelkul hogy gnome-ot vagy kde-t kellene telepítsek, most jelenleg xfce van fent, és állati gyors :) Nem szeretném ha lassulna a rendszer ;)[/quote:fc778b710a]

én az mrxvt-t ajánlom neked. megtalálod [url=http://materm.sourceforge.net/index.html]itt.[/url][/quote:fc778b710a]

Én pedig a direkt xfce-re fejlesztett [url=http://terminal.os-cillation.com/]terminal nevű terminált[/url].
(Nekem tetszett, de egyelőre xfce alatt is maradtam a konsole-nál, hála égnek már nem kell hozzá az egész kde :D

Most kezdtem el *jra a Gentoo telep*teni,mert kor*bban az Xem teljessen megnyekkent, mert a figyelmetlens*gem miatt agyon hackeltem a dolgokat :). Most ez a gyorsabb megold*s meg sok minden *gy sem volt be*ll*tva. Van egy p*r k*rd*s, amit az*rt itt teszek meg, mert links2 -vel nem mindig a legk*nyelmesebb b*ng*szni a vil*gh*l*t. Egy AMD64 rendszerre akarom feltorn*szni az oper*ci*s rendszert. Let*lt*ttem az Universal 2005.0 CD isot, majd ki*rtam. Bebootoltam, megcsin*ltam a f*jlrendszereket, felcsatoltam, majd a Cdr*l a stage3 t*m*r*tett *llom*nyt kit*m*r*tettem a /mnt/gentoo -ba. A snapshotot is *s a distfileokat is a megfelel* helyre. Majd chroot -oltam, env-update && source /etc/profile. Szerkesztettem a make.conf -ot. A CFLAGS="-march=athlon64 -pipe -O2"
Felvettem m*g MAKEOPTS="-j2". A USE="gtk gnome alsa oss dvd cdr opengl -kde -qt" form*t kapta. Csak a Gnome -ot szeretn*m majd haszn*lni.
Majd k*vetkezett az emerge sync
Miut*n leszedte a f*jlokat, *rta, hogy felt*tlen*l friss*tsem a portage -t, miel*tt b*rmi m*s csomagot telep*ten*k. *s most az emerge -u world megy jelenleg is. Miut*n befejezte, j*n az emerge gentoo-sources genkernel
Majd a genkernel --menuconfig. Itt kiszedem a DRM t*mogat*st (ami miatt a kor*bbi telep*t*sn*l sz*vt@m). Ut*nna telep*ten*m az x-org -ot. Els* k*rd*sem: mehet sim*n, hogy emerge xorg-x11, vagy adjak neki m*s USE flageket el*tte, vagy j* az amit a make.conf -ba *rtam (l*sd feljebb)? Azt szeretn*m v*gre, hogy a Radeon X600 -as k*rty*mmal sz*pen menjen a 3Ds gyors*t*s, *s ne zuhanjon meg az X. Majd j*nne ACCEPT_KEYWORDS="~amd64" emerge ati-drivers ati-drivers-extra (mert maszkolva van, csak nem tudom mi*rt, ha egyszer m*r stable a driver vagy m*g sem?). K*rd*sem m*g az lenne miel*tt kiadn*m az emerge gnome gdm parancsot, hogy a make.conf -ba *ll*tsak -e m*g valamit, vagy j* lesz ez *gy ahogy van, csak nem akarok megint akkor*t sz*vni :). Mert a kor*bbi telep*t*sn*l csak az icewm volt hajland* elindulni, a Gnome a splash -n*l elsz*llt. Az Icewm rendesen m*k*d*tt, ha vesa drivert haszn*ltam, a radeon -n*l *tletszer*en elhasalt. Ezt szeretn*m most elker*lni. A seg*ts*geket el*re is k*sz*n*m!

Laci

[quote:8cea8d3888="-GreG-"]
[code:1:8cea8d3888]
CONSOLEFONT="utf8"
[/code:1:8cea8d3888]
igy?[/quote:8cea8d3888]

Így biztos nem. valami lat2-16 vagy hasonló.. van a gentoo wikiben leírás (ami szerintem enm mindenhol értelmes) meg a gentoo.org-on hivatalos.

szerintem a handbookban is van róla szó, hogy hogyan kell fontot beállítani. Nincs külön utf8 font.

Most már üres. Ennyi változott:
[code:1:f2cfe90ed7]/etc/init.d/net.eth0 restart
* Starting eth0
* Cannot default to dhcp as there is no dhcp module loaded
* No configuration for eth0 [/code:1:f2cfe90ed7]

Mindjárt rászokom a dohányzásra :(

[quote:9a376f4160="testerlnx"]Tetszik mrxvt, és kate helyett mit tudnál ajánlani?[/quote:9a376f4160]

Ez egy kissé nehezebb, mert a kate elég sokat tud. Persze meg sem közelíti a vim-et, gVim-et és az Emacs-ot. Nekem pillanatnyilag a "sima" vim a kedvencem, elképesztő dolgokat lehet vele +regexp-vel.
Grafikus felületen a viszonlag egyszerű kinézetű [url=http://fte.sourceforge.net/]Fte[/url]-t használm már évek óta, és nagyon elégedett vagyok vele, majd mindent tud, ami nekem kell, [url=http://gnosis.cx/publish/programming/review_fte.html]itt[/url] találsz róla egy kritikát.
Ha meg multiplatformos kellene akkor [url=http://www.jedit.org/]jedit[/url], csak ne lenne annyi függősége...

[quote:4636d83300="whitehawk"][quote:4636d83300="-GreG-"]
[code:1:4636d83300]
CONSOLEFONT="utf8"
[/code:1:4636d83300]
igy?[/quote:4636d83300]

Így biztos nem.[/quote:4636d83300]
hopsz, tenyleg..
visszaszivtam.

Az mrxvt-ben ha benyomom az altgr -t akkor az ablak cimsoraban irja, hogy atvalt Greek:iso bevitelre, le lehet ezt tiltani vhol? Egyáltalán hol a config-ja a home alatt nem találtam .mrxvt vagy hasonló könyvtárat... "Külső" clipboard-ot is szertenék rá, vagyis ha át sshzok egy másik gépre és a terminál-on kijelölök egy szövegrészt akkor azt át tudjam copy-zni egy másik ablakba, ez a CTRL+INS, SHIFT+INS vagy középső egérgombbal nem megy... Ezt a funkciót a konsole és a gnome-terminal a jobb gombos Copy-val támogatta...

[quote:0edb9112e6="lacika"]Most kezdtem el *jra a Gentoo telep*teni,mert kor*bban az Xem teljessen megnyekkent, mert a figyelmetlens*gem miatt agyon hackeltem a dolgokat :). Most ez a gyorsabb megold*s meg sok minden *gy sem volt be*ll*tva. Van egy p*r k*rd*s, amit az*rt itt teszek meg, mert links2 -vel nem mindig a legk*nyelmesebb b*ng*szni a vil*gh*l*t. Egy AMD64 rendszerre akarom feltorn*szni az oper*ci*s rendszert. Let*lt*ttem az Universal 2005.0 CD isot, majd ki*rtam. Bebootoltam, megcsin*ltam a f*jlrendszereket, felcsatoltam, majd a Cdr*l a stage3 t*m*r*tett *llom*nyt kit*m*r*tettem a /mnt/gentoo -ba. A snapshotot is *s a distfileokat is a megfelel* helyre. Majd chroot -oltam, env-update && source /etc/profile. Szerkesztettem a make.conf -ot. A CFLAGS="-march=athlon64 -pipe -O2"
Felvettem m*g MAKEOPTS="-j2". A USE="gtk gnome alsa oss dvd cdr opengl -kde -qt" form*t kapta. Csak a Gnome -ot szeretn*m majd haszn*lni.
Majd k*vetkezett az emerge sync
Miut*n leszedte a f*jlokat, *rta, hogy felt*tlen*l friss*tsem a portage -t, miel*tt b*rmi m*s csomagot telep*ten*k. *s most az emerge -u world megy jelenleg is. Miut*n befejezte, j*n az emerge gentoo-sources genkernel
Majd a genkernel --menuconfig. Itt kiszedem a DRM t*mogat*st (ami miatt a kor*bbi telep*t*sn*l sz*vt@m). Ut*nna telep*ten*m az x-org -ot. Els* k*rd*sem: mehet sim*n, hogy emerge xorg-x11, vagy adjak neki m*s USE flageket el*tte, vagy j* az amit a make.conf -ba *rtam (l*sd feljebb)? Azt szeretn*m v*gre, hogy a Radeon X600 -as k*rty*mmal sz*pen menjen a 3Ds gyors*t*s, *s ne zuhanjon meg az X. Majd j*nne ACCEPT_KEYWORDS="~amd64" emerge ati-drivers ati-drivers-extra (mert maszkolva van, csak nem tudom mi*rt, ha egyszer m*r stable a driver vagy m*g sem?). K*rd*sem m*g az lenne miel*tt kiadn*m az emerge gnome gdm parancsot, hogy a make.conf -ba *ll*tsak -e m*g valamit, vagy j* lesz ez *gy ahogy van, csak nem akarok megint akkor*t sz*vni :). Mert a kor*bbi telep*t*sn*l csak az icewm volt hajland* elindulni, a Gnome a splash -n*l elsz*llt. Az Icewm rendesen m*k*d*tt, ha vesa drivert haszn*ltam, a radeon -n*l *tletszer*en elhasalt. Ezt szeretn*m most elker*lni. A seg*ts*geket el*re is k*sz*n*m!

Laci[/quote:0edb9112e6]

Most csak nálam van minden ékezetes betű helyén egy *, vagy másnál is? :D

van egy kis gondom:a kernelforditas evvel a hibaval all le:drivers/media/media.o(.text+0x24f87): In function `init_bttv_i2c':
: undefined reference to `i2c_bit_add_bus'
make: *** [vmlinux] Error 1

valamit rosszul allitottam be?

cd /usr/bin && ls -lhtr
a te barátod :D

[quote:86f3451cdc="Panther"]A stabil/nem maszkolt kde-3.4.3 csomagok listája még nem teljes, így van, amiből még csak a 3.4.2 vagy 3.4.1-es változat az elérhető. Várj még pár napot, utána már nem lesz ilyen blokkolt lista[/quote:86f3451cdc]

Köszi

[quote:79bebf61e8="BikMak"]Most már üres. Ennyi változott:
[code:1:79bebf61e8]/etc/init.d/net.eth0 restart
* Starting eth0
* Cannot default to dhcp as there is no dhcp module loaded
* No configuration for eth0 [/code:1:79bebf61e8]

Mindjárt rászokom a dohányzásra :([/quote:79bebf61e8]
Ha jol sejtem ez maradt le:
[code:1:79bebf61e8]# emerge dhcpcd[/code:1:79bebf61e8]

[quote:fc1f1570e5="BikMak"]Most már üres. Ennyi változott:
[code:1:fc1f1570e5]/etc/init.d/net.eth0 restart
* Starting eth0
* Cannot default to dhcp as there is no dhcp module loaded
* No configuration for eth0 [/code:1:fc1f1570e5]

Mindjárt rászokom a dohányzásra :([/quote:fc1f1570e5]

Ez felettébb érdekes, dhcpcd fentvan azt állítod?

[quote:51bf406b88="testerlnx"][quote:51bf406b88="PcZolee"][quote:51bf406b88="testerlnx"]A Greek: iso kontra AltGR jobban izgat, amúgy xfce-ről nincs kedvem emiatt fluxbox-ra váltani :)[/quote:51bf406b88]

Miért baj az, hogy átvált?[/quote:51bf406b88] Mert az ALTGR+V a @ nálam ami pl scp-nél ssh-nál stb kell a ;-ről nem is beszélve, és ha ezeket a kombinációkat beütöm akkor Greek: iso-ban marad a beviteli formátum!!!! Vagyis azt képzeld el, hogy írod az scp sort és beírod a user nevet majd a kukac után nem a host nevet sikerül beírnod, hanem egy csomó ékezetes karaktert, bash script-et írni vele pedig rémálom, hiszen a pontosvessző szinte mindenhiva kell... Remélem most már egyértelmű hogy miért "zavar" :)[/quote:51bf406b88]

Na jó, de utánna nyomsz még egy altgr-t, és visszaáll!

[quote:74d05ff972="blau"]memtest[/quote:74d05ff972]
az lesz.
[quote:74d05ff972="blau"]dd ext3-asparticio, ezt az imaget fsck.ext3-azni, hatha okes lesz[/quote:74d05ff972]
sajnos ehez egyenlore nincs helyem.
[quote:74d05ff972="blau"]a dolog nem egeszen tiszta: a suse most nem serult akkor, ugye?[/quote:74d05ff972]
egyenlore a suse-s particioval nincs gondom
[quote:74d05ff972="blau"]amikor ugy leallt a gep, akkor sysrq-val probalkoztal?[/quote:74d05ff972]
ISP-nel van, ezert nem en allitottam le.

Amugy ezek vannak a message-ben:

[code:1:74d05ff972]
May 3 16:39:25 www kernel: EXT3-fs warning (device hdc3): ext3_unlink: Deleting nonexistent file (2818081), 0
May 3 16:39:51 www kernel: EXT3-fs error (device hdc3): ext3_free_blocks: bit already cleared for block 5660052
May 3 16:39:51 www kernel: Aborting journal on device hdc3.
May 3 16:39:51 www kernel: ext3_reserve_inode_write: aborting transaction: Journal has aborted in __ext3_journal_get_write_access<2>EXT3-fs error (device hdc3) in ext3_reserve_inode_write: Journal has aborted
May 3 16:39:51 www kernel: ext3_reserve_inode_write: aborting transaction: Journal has aborted in __ext3_journal_get_write_access<2>EXT3-fs error (device hdc3) in ext3_reserve_inode_write: Journal has aborted
May 3 16:39:51 www kernel: EXT3-fs error (device hdc3) in ext3_orphan_del: Journal has aborted
May 3 16:39:51 www kernel: EXT3-fs error (device hdc3) in ext3_truncate: Journal has aborted
May 3 16:39:51 www kernel: ext3_abort called.
May 3 16:39:51 www kernel: EXT3-fs abort (device hdc3): ext3_journal_start: Detected aborted journal
May 3 16:39:51 www kernel: Remounting filesystem read-only
May 3 16:39:51 www kernel: EXT3-fs error (device hdc3) in start_transaction: Journal has aborted
May 3 16:41:03 www kernel: __journal_remove_journal_head: freeing b_committed_data
May 3 16:41:08 www kernel: kjournald starting. Commit interval 5 seconds
May 3 16:41:08 www kernel: EXT3-fs warning (device hdc3): ext3_clear_journal_err: Filesystem error recorded from previous mount: IO failure
May 3 16:41:08 www kernel: EXT3-fs warning (device hdc3): ext3_clear_journal_err: Marking fs in need of filesystem check.
May 3 16:41:08 www kernel: EXT3-fs warning: mounting fs with errors, running e2fsck is recommended
May 3 16:41:08 www kernel: EXT3 FS on hdc3, internal journal
May 3 16:41:08 www kernel: EXT3-fs: recovery complete.
May 3 16:41:08 www kernel: EXT3-fs: mounted filesystem with ordered data mode.
[/code:1:74d05ff972]

Tehát, ha jól értem, a bugos ati driver miatt újraraktad a gentoot, hogy hátha most majd nem lesz bugos?

lenne egy kerdesem:ugyebar a emerge -k sys-kernel/gentoo-sources parancs a 2.4.x kernelt szedi le.Milyen parancs szedi le a 2.6.x-et,mert abban mar bennvan az alsa,egy gondal kevesebb....

próbáld ezt:

fix_libtool_files.sh 3.3.5 --oldarch i386-pc-linux-gnu

[quote:c5e344c132="LiRul"]eselect maradt. :)

mas. frissitettem gcc-t 3.4.4-re minden rendben ment. kerdes: muszaj nekem feltenni a sys-libs/libstdc++-v3-3.3.4 -et? baromi nagy es jo lenne, ha semmi nem akarná a regi stdc-t hasznalni.[/quote:c5e344c132]

Szia!

IMHO Ha nem használsz bináris csomagokat, (pl.: OOo-bin), akkor nincs rá szükséged.

Üdv.: Tomyellow

gentoo-dev-sources kell gentoo-sources helyett

http://forums.gentoo.org/viewtopic-t-318790.html

search and get wise

[quote:ee9646c49a="Anonymous"]lenne egy kerdesem:ugyebar a emerge -k sys-kernel/gentoo-sources parancs a 2.4.x kernelt szedi le.Milyen parancs szedi le a 2.6.x-et,mert abban mar bennvan az alsa,egy gondal kevesebb....[/quote:ee9646c49a]
[code:1:ee9646c49a]emerge development-sources
emerge mm-sources[/code:1:ee9646c49a]
bar csak egy kicsit kellett volna atolvasni ezt a forumot :)

Amúgy a 3-5-ös is már a Portage-ben van, és működik is.

[quote:adcbbceb30="strangedr"]http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=1

private scripts és commands táblázat, doins és insinto parancsok talán segíthetnek[/quote:adcbbceb30]

kösz. A legelső megoldás jó volt amit írtál. Ebuildben átírtam egy elérési utat és működik.

Következő probléma: Apache szintén csak chrooton belül látja a dolgokat? Hiába írom át a conf-ban, hogy ne a /var/www/localhost/htdocs legyen a DocumentRoot, Forbiddennek jelzi a böngészőm. Apacheot is telepítsem a másik partícióra, vagy van egyszerűbb megoldás?

még egy megoldás:

cd /az/ebuild/helye
ebuild akarmi.ebuild unpack
(letölti, kicsomagolja)
cd /var/tmp/portage/akarmi/work
patchelés
cd vissza az ebuildhez
ebuild akarmi.ebuild compile
ebuild akarmi. ebuild qmerge

szerintem így is működik

[quote:44cd43abcb="Anonymous"]van egy kis gondom:Knoppix alol akarnam telepiteni a Gentoo-t,de amikor atvaltanam a home konyvtarat a usemod -d /root -n root parancsal,kiirja hogy usemod nem talalhato parancs 8O
akkor most mivan?sajt?[/quote:44cd43abcb]
Az nem [b:44cd43abcb]usemod -d /root -n root[/b:44cd43abcb], hanem
[code:1:44cd43abcb]usermod -d /root -m root[/code:1:44cd43abcb] :wink:

Ha ez nem tetszik átírhatod a /etc/passwd filet is (egy kis help: az első sorban keresgélj :D)

[quote:44cd43abcb="Anonymus"]van egy kis gondom:a kernelforditas evvel a hibaval all le:drivers/media/media.o(.text+0x24f87): In function `init_bttv_i2c':
: undefined reference to `i2c_bit_add_bus'
make: *** [vmlinux] Error 1

valamit rosszul allitottam be?[/quote:44cd43abcb]
mondjuk az sokat segítene, ha megmondanád, legalább hogy milyen kernelt használsz. Egyébként én azt mondom hogy i2c támogatást nem forgattál a kernelbe (vagy modulba). Ha jól emlékszem nekem is ilyesmit vinnyogott egyszer, én is csak a bt848 modult jelöltem be, de az i2c-ből semmit.

[quote:1f8b749e92="strangedr"]próbáld ezt:

fix_libtool_files.sh 3.3.5 --oldarch i386-pc-linux-gnu[/quote:1f8b749e92]

így már megx, aminek nem értem a logikáját, mert a CHOST értékét én nem állítottam át. Persze lehet hogy csak nem olvastam eléggé utánna :oops:

senki?

[quote:97f083fd5e="whitehawk"]Telepítetted már? Nem ír erről semmit az ebuild? Mert ha ilyen funkció van akkor szoktatk megjegyzést tenni a dologról.[/quote:97f083fd5e]

megjegyzés nem volt, de nem volt nehéz kitalálni, hogy mit kell átírni :)

Hmm...problémám akadt emergelésnél a configure scriptek egy része az alábbi hibával áll le:

Checking for XML::Parser... configure error : XML::Parser perl module is required for intltool

???Valami nincs fent?

Udv!
Ha emerge-vel felrakok valamit ami dependel mindenfele mas csomaggal, h tudom utana leszedni az egeszet? Van ra valami mod, h az adott csomag eltavolitasanal azt is lekapja ami a csomag miatt kerult fel?
-Orgi-

[quote:bed22fd9bc="BikMak"]Hmm...problémám akadt emergelésnél a configure scriptek egy része az alábbi hibával áll le:

Checking for XML::Parser... configure error : XML::Parser perl module is required for intltool

???Valami nincs fent?[/quote:bed22fd9bc]

Aham. Rakd fel hatha segit. :)

[code:1:bed22fd9bc]
cpan> install XML::Parser
[/code:1:bed22fd9bc]

hi!

Nekem nem megy a revdep-rebuild. Az alábbi hibaüzenettel áll elő:

[code:1:bb73d6b871]All prepared. Starting rebuild...
emerge --oneshot --nodeps =dev-db/hk_classes-0.7.1 =dev-db/myodbc-3.51.11 =dev-db/mysqlnavigator-1.4.2 =dev-db/xmysqladmin-1.0 =dev-libs/cyrus-sasl-2.1.20 =gnome-base/gnome-applets-2.8.1.1 =gnome-extra/evolution-webcal-2.0.1 =kde-base/kdegraphics-3.3.2-r2 =mail-client/evolution-2.0.2-r1 =media-libs/imlib-1.9.14-r3 =media-libs/imlib2-1.2.0-r2 =media-libs/tunepimp-0.3.0 =media-sound/alsaplayer-0.99.76 =net-fs/samba-3.0.14a-r2 =net-irc/bitchx-1.1-r1 =net-libs/gnutls-1.2.3 =net-libs/libwww-5.4.0-r3 =www-client/opera-8.51
..........
Calculating dependencies -
emerge: there are no ebuilds to satisfy "=gnome-base/gnome-applets-2.8.1.1".

Result is not OK, you have following choices:
- if emerge failed during build, fix the problems and re-run revdep-rebuild
or
- use -X or --package-names as first argument (try to rebuild package, not exact
ebuild - ignores SLOT!)
or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
(and remove /root/.revdep-rebuild.5_order to be evaluated again)
or
- modify the above emerge command and run it manually
or
- compile or unmerge unsatisfied packages manually, remove temporary files and
try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*
[/code:1:bb73d6b871]

most ezzel mit kéne kezdeni?

Volna meg egy kerdesem. Ha felteszek egy alaprendszert stage3-bol az mar a gcc-3.4.4 van forgatva, vagy kulon migralni kell?

btw, a fenti problemamra tudna vki megoldast? Nem szivesen telepitenem ujra, de mivel fel kell tennem nehany progit lassan rakenyszerulok. :)

Koszi megegyszer

[quote:669e7cbb6f="BikMak"]Most már üres. Ennyi változott:
[code:1:669e7cbb6f]/etc/init.d/net.eth0 restart
* Starting eth0
* Cannot default to dhcp as there is no dhcp module loaded
* No configuration for eth0 [/code:1:669e7cbb6f]

Mindjárt rászokom a dohányzásra :([/quote:669e7cbb6f]
Nekem ilyen az egyik:
[code:1:669e7cbb6f]cat /etc/conf.d/net
config_eth0="10.0.0.13 netmask 255.255.255.0 broadcast 10.0.0.255"
routes_eth0="default gw 10.0.0.21"
[/code:1:669e7cbb6f]
Es ilyen a masik:
[code:1:669e7cbb6f]cat /etc/conf.d/net
config_eth0=( "dhcp" )
dhcpcd_eth0="-t 3"
[/code:1:669e7cbb6f]

Új problémám van! Az feltettem a 3.3.3 -as gcc-t, és le próbáltam fordítani a Ooo-t, most nem a bison-ra panaskodik, most ez a gondja:[code:1:0379801682]Segmentation fault
dmake: Error code 139, while making '../../../../../unxlngi4.pro/misc/com_sun_star_comp_servicemanager_dummy.java'
---* TG_SLO.MK *---

ERROR: Error 65280 occurred while making /var/tmp/portage/openoffice-1.1.1-r1/work/oo_1.1.1_src/jurt/com/sun/star/comp/servicemanager

!!! ERROR: app-office/openoffice-1.1.1-r1 failed.
!!! Function src_compile, Line 364, Exitcode 1
!!! Build failed!
[/code:1:0379801682]

Mi a fene van már megint vele???

[quote:9647d15207="Sea-you"]A kernelbe kell usb mass-storage es scsi-disk tamogatas is (meg persze fat)[/quote:9647d15207]
Az scsi-disk támogatás hiányzott. :oops:
Kösz mindenkinek! Most már jó.

Most próbálok Gentoot telepíteni LiveCD-vel, stage3. A leírásban minden nagyon jól megvan, de a kernel telepítése emerge-el nem megy. Segítsen valaki: hogyan kell ezt cd-ről csinálni (nincs szélessévú kapcsolatom)?
Mindig a netről akarja letölteni.

kézzel kell felraknod a csomagokat:
emerge --oneshot dev-db/hk_classes dev-db/myodbc stb

a --nodeps nem kell!

Másik lehetőség: A gnome-appletsből nincsen meg az adott verzió. Ezt kézzel felrakod, majd revdep-rebuild (és előtte rm /root/.revdep-rebuild*.?_*).
Tehát:
emerge --oneshot gnome-applets

Talaltam vmi erdekeset az elozo problemamhoz kapcsolodoan:
[code:1:e92f70e521]# ls -l
total 520
lrwxrwxrwx 1 root root 21 Jan 16 00:25 c++ -> i686-pc-linux-gnu-c++
-rwxr-xr-x 1 root root 91400 Jan 16 00:25 cpp
lrwxrwxrwx 1 root root 21 Jan 16 00:25 g++ -> i686-pc-linux-gnu-g++
lrwxrwxrwx 1 root root 21 Jan 16 00:25 g77 -> i686-pc-linux-gnu-g77
lrwxrwxrwx 1 root root 21 Jan 16 00:25 gcc -> i686-pc-linux-gnu-gcc
-rwxr-xr-x 1 root root 16426 Jan 16 00:25 gccbug
-rwxr-xr-x 1 root root 21960 Jan 16 00:25 gcov
-rwxr-xr-x 2 root root 95204 Jan 16 00:25 i686-pc-linux-gnu-c++
-rwxr-xr-x 2 root root 95204 Jan 16 00:25 i686-pc-linux-gnu-g++
-rwxr-xr-x 1 root root 98788 Jan 16 00:25 i686-pc-linux-gnu-g77
-rwxr-xr-x 1 root root 90520 Jan 16 00:25 i686-pc-linux-gnu-gcc
lrwxrwxrwx 1 root root 21 Jan 16 00:25 i686-pc-linux-gnu-gcc-3.4.4 -> i686-pc-linux-gnu-gcc
[/code:1:e92f70e521]
Nem tul keves ez? Nalatok ez hogy nez ki?

Koszi

Helo

Hogy lehet az, hogy az 'emerge -vpDu world' par csomagot ir ki, amik kozott nincs ott A, viszont az 'emerge -vp A' -re meg kiirja, hogy van ujabb verzio?

regenworld -ot mar probaltam, masnak ez megoldotta. Valakinek valami tipp esetleg?

elore is koszi

Nálam lefordult tegnap gond nélkül ugyanez, úgyhogy nem biztos hogy globális probléma lesz..

Nézd meg először is, hogy mit akar letölteni:
[code:1:48167aaaed]emerge -pv <kernel-típusa>[/code:1:48167aaaed]
Nézd meg, hogy ebből melyik verziószám van rajta a live-cd-n, majd:
[code:1:48167aaaed]emerge =<kernel-típusa>-livecds-verzió-szám[/code:1:48167aaaed]
Így remélhetőleg nem akar majd letölteni.

Olyan biztos, hogy ez az egyszerubb megoldas?

tökjó, pont a segmentation fault előtti (néhány) sor lenne a fontos :wink:

Hali!
Ismét megprobálkoznék a Gentoo feltelepítésével.De némi megerösítésre szorúlnék.Igaz hogy a telepítés közben nem muszáj make.config-ot állítani?Van alap config is?

[quote:8fd18767e4="mindegy"][quote:8fd18767e4="LiRul"]eselect maradt.[/quote:8fd18767e4]
ez lesz a Gentoo standard kiválasztó progija: opengl, gcc, java, stb.[/quote:8fd18767e4]
es akkor miert kellett lecserelni az eselect-php-t php-toolkit-re?

[quote:8fd18767e4="mindegy"][quote:8fd18767e4="LiRul"]muszaj nekem feltenni a sys-libs/libstdc++-v3-3.3.4 -et? baromi nagy es jo lenne, ha semmi nem akarná a regi stdc-t hasznalni.[/quote:8fd18767e4]
Én mondjuk használok bináris csomagokat, úgyhogy szükségem is van rá. Viszont egyáltalán nem mondanám arra a másfél megára, melyet ténylegesen elfoglal, hogy sok lenne...[/quote:8fd18767e4]
oops bocsanat, en csak az emerge -pv outputban neztem, hogy valami 23MB a distfile.

Nem volt fenn a dhcpd :oops:
Eddig a dhcpcd -vel indult a net.

Nos, felraktam. De nem tudom, hogy kéne kinéznie a dhclient filenak, egy sima kábelnethez.

[quote:6b3992fd14="PP"]Hali!
Ismét megprobálkoznék a Gentoo feltelepítésével.De némi megerösítésre szorúlnék.Igaz hogy a telepítés közben nem muszáj make.config-ot állítani?Van alap config is?[/quote:6b3992fd14]

Nem muszáj, de botorság nem beállítani a _make.conf_ot. IMHO a gentoot akkor kezdd el nyúzni, ha nagyon jól ismered a linuxot, és egy-egy fordítási hibát is meg tudsz érteni.

aham, kösz.

Még annyit, hogy vannak blokkolt csomagjaim. ( az emerge B -vel jelzi őket ), ezeket hogy tudom megszüntetni / mi okozta őket?

[quote:2225ad55b3="rigidus"]Volna meg egy kerdesem. Ha felteszek egy alaprendszert stage3-bol az mar a gcc-3.4.4 van forgatva, vagy kulon migralni kell?

btw, a fenti problemamra tudna vki megoldast? Nem szivesen telepitenem ujra, de mivel fel kell tennem nehany progit lassan rakenyszerulok. :)

Koszi megegyszer[/quote:2225ad55b3]

Letöltöd, megnézed: tar tjf stage3*bz2 | grep gcc-3
szvsz stage1-ről érdemes indulni. Csak napokba telik a teljes rendszer felrakása. Kevesebb, mint egy napi előny a stage3... 8)

Nincsen benne a world fileban és egyik csomag sem hivatkozik rá. Írd bele kézzel, ha a regenworld nem írná bele.

Sziasztok.

Miert van az hogy az altalam keszitett csomagok kitomoritesekor a kovetkezo hibat kapom:
# tar -xvjf apache-2.0.49-r4.tbz2
...
./var/www/localhost/cgi-bin/test-cgi

bzip2: (stdin): trailing garbage after EOF ignored

Vagy ha maskepp csomagolom ki:
# bunzip2 -c apache-2.0.49-r4.tbz2 | tar xvp
...
./var/www/localhost/icons/world1.png

bunzip2: apache-2.0.49-r4.tbz2: trailing garbage after EOF ignored
./var/www/localhost/icons/world2.gif
./var/www/localhost/icons/world2.png
./var/www/localhost/cgi-bin/
./var/www/localhost/cgi-bin/printenv
./var/www/localhost/cgi-bin/test-cgi

eddig 4 csomagot keszitettem mindegyiknel hasonlo hiba van.
A csomagokat az emerge -B <stuff> paranccsal keszitem pl. emerge -B apache.

York.

Nos ennek a hibának köszönhetően nem futott le rendesen az
[code:1:01e43933b5]emerge -uvD world[/code:1:01e43933b5]
De én csak az utólsó oldalt láttam, hogy tudom megnézni, hogy mit kellene megint újraforgatni, és mit nem( mert már lefordult ).
gondolom, ha megint kiadnám az [code:1:01e43933b5]emerge -uvD world[/code:1:01e43933b5] -t
akkor megint mindent végig fordítana, ami egy nap :(

[quote:b0330ba45e="LiRul"]nesze neked mindent-azzal-forditok-amivel-akarok philosophy :D[/quote:b0330ba45e]

természetesen nem szó szerint kell érteni (ezt sem) :) mindent avval fordítasz, amivel _lehet_ és amihez a gentoo portage maintainer megadta neked a lehetőséget (régebben a libcaca-ra ment egy csekk valamelyik progriban, de a "caca" mint választható USE paraméter még nem szerepelt semmilyen listában, ezért érdemes az ebuildeket amikből installálsz nézgetni).
a "glib" egyébként nem egy egyszerű téma és C programozóknak óriási segítséget jelent (én is szeretem erősen). amellett, hogy érdemes feltenni mert sok progi igényli, az mc esetén is gyanítom, hogy több olyan helyen használják, amelyeket nem lenne egyszerű kiváltani valami más libbel (vagy libekkel).
összesítve tehát : tedd fel, jó lesz az még máshoz (pl irssi-hez) is :)

[quote:592d366872="lacipac"]Nincsen benne a world fileban és egyik csomag sem hivatkozik rá. Írd bele kézzel, ha a regenworld nem írná bele.[/quote:592d366872]

Ott a pont, koszonom. Kb ures volt a file.

nem ertem, valamit nagyon kifelejtek, de nem jovok ra mit. kerdeztem toletek par hete ezt a kernel forras maszkolast, hogy ne akarja mindig frissiteni a world a source-t. akkor fogtam magam, s beirtam:[code:1:f07a0fa52a]echo '>=sys-kernel/gentoo-sources-2.6.13-r3' >>/etc/portage/package.mask[/code:1:f07a0fa52a]
es teljesen jo volt. idokozben felhuztam egy masik gentoot is vmwareba, ott mar nehany revizioval ujabb kernel van.
[code:1:f07a0fa52a]$ uname -r
2.6.13-gentoo-r3
$ cat /etc/portage/package.mask
>=sys-kernel/gentoo-sources-2.6.13-r3
$ emerge -pvuD world
Calculating world dependencies ...done!
[ebuild NS ] sys-kernel/gentoo-sources-2.6.12-r10 -build -doc -symlink -ultra1 36,910 kB[/code:1:f07a0fa52a]
miert akar ez downgradelni? egyszeruen ne tegyen fel ujabbat, en csak azt szeretnem. :cry:

[quote:a0a5f98adb="simca"]Nálam lefordult tegnap gond nélkül ugyanez, úgyhogy nem biztos hogy globális probléma lesz..[/quote:a0a5f98adb]

IMHO tuti nem globális probléma lévén hogy kb 5-6 gentoo rendszert frissítek elég rendszeresen és eddig még hasonlóval sem találkoztam :)

Ott valami mással akadt az össze szvsz. A teendök meg egyértelmüek a fent említettek szerint.

Annyit füznék még hozzá hogy utolsó reménysugárként ha már mindent végig jártál akkor IRCnet@#gentoo.hu ha ott sem akkor #gentoo...

[quote:fd94d530c7="vnyuszi"]
Annyit füznék még hozzá hogy utolsó reménysugárként ha már mindent végig jártál akkor IRCnet@#gentoo.hu ha ott sem akkor #gentoo...[/quote:fd94d530c7]

Vagy #gentoo-hu@irc.freenode.org :)

nem akar downgradelni semmit, csak a számára látható legújabb verziót szeretné feltenni (hiszen a magasabb verziószámúakat maszkoltad)

vedd ki a relációjeleket és a verziószámot a package.maskból, és akkor egyálatlán nem akar majd gentoo-sourcest frissíteni

Az újabb ebuildek nem viselik el valamely program régebbi változatát. A [ B ] sorban van, hogy milyen_program, majd zárójelben mi blokkolja. emerge -C milyen_program, és akkor lehet frisebb csomagokat felrakni. De azért ésszel :)

[quote:dad7d52f18="Panther"][quote:dad7d52f18="rigidus"]Volna meg egy kerdesem. Ha felteszek egy alaprendszert stage3-bol az mar a gcc-3.4.4 van forgatva, vagy kulon migralni kell?

btw, a fenti problemamra tudna vki megoldast? Nem szivesen telepitenem ujra, de mivel fel kell tennem nehany progit lassan rakenyszerulok. :)

Koszi megegyszer[/quote:dad7d52f18]

Letöltöd, megnézed: tar tjf stage3*bz2 | grep gcc-3
szvsz stage1-ről érdemes indulni. Csak napokba telik a teljes rendszer felrakása. Kevesebb, mint egy napi előny a stage3... 8)[/quote:dad7d52f18]
Ez latod eszeme se jutott. :oops:

Koszi, eppen most jott le es 3.3.5-os gcc van benne, ugyh targytalan lesz. Amugy gentoo-m van kb. 2 eve, nem idegen a rendszer, de ez a gcc migralas mar ket honapja szivat es mar nagyon elegem van belole. Se a forumon nem tudtak hozzaszolni, az irc-n mar tobbszor is felvetettem a kerdest, se a fejlesztocsapat nem reagalt erdemben, meg egyenlore semmi valasz nem erkezett. Az a gaz, hogy most mar egetoen kellene, hogy feltelepitsek vmit ill. frissitsek es mar azt is fontolgattam, h hardcore gentoofan letemre mas disztro utan nezek. :cry:

Koszi megegyszer ;)

WoOh voltam. Elfelejtettem belepni.

Köszi a választ. NTFS kilőve, mert nem tudom írni linux alól. Fatokat xp-n csináltam PMagiccel, bár ez mindegy. Úgy is esedékes egy új vinyó, majd arra csinálok ext3at vagy reisert, és átpakolom.

Ha volt akkor bocs:

mi a kulonbseg a ketto kozott:

emerge --update world
emerge --update --deep world

pl:bash-2.05b# emerge --update world --pretend

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild U ] sys-devel/gcc-3.4.3.20050110-r1 [3.4.3.20050110]
[ebuild U ] app-arch/tar-1.15.1 [1.14]
[ebuild U ] www-client/mozilla-launcher-1.29 [1.23]
[ebuild U ] mail-client/mozilla-thunderbird-1.0.2 [1.0]
[ebuild FU ] dev-java/sun-jdk-1.5.0.02 [1.5.0.01]
[ebuild U ] www-client/mozilla-firefox-1.0.2 [1.0.1]
bash-2.05b# emerge --update world --pretend --deep

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild FU ] dev-java/sun-jdk-1.5.0.02 [1.5.0.01]
[ebuild U ] sys-devel/gcc-3.4.3.20050110-r1 [3.4.3.20050110]
[ebuild U ] media-plugins/xmms-mad-0.8 [0.7]
[ebuild U ] app-arch/tar-1.15.1 [1.14]
[ebuild N ] dev-libs/pth-1.4.0
[ebuild U ] app-crypt/gpgme-1.0.2 [0.9.0-r1]
[ebuild U ] www-client/mozilla-launcher-1.29 [1.23]
[ebuild U ] mail-client/mozilla-thunderbird-1.0.2 [1.0]
[ebuild N ] app-arch/cabextract-1.1
[ebuild N ] media-fonts/corefonts-1-r2
[ebuild U ] www-client/mozilla-firefox-1.0.2 [1.0.1]

A deep miert akar nekem folrakni 3 uj csomagot? es miert nem akarja az xmms-mad-et update-elni?

[quote:1becce96da="AMDFan"]Hogyan tudom megmondani a szerencsétlen apachenak, hogy ne a /var/www/localhost/htdocs -ba rakja a chroot-ját hanem a /mnt/akarmi -be? Ebuildben átírtam nem segített. Vagy nem veszi figyelembe az ebuildet ha újból emergelem?
GLFTPD-nél segített ha átírtam az ebuildben, hogy hova telepítse.
Help plz :( :?: :([/quote:1becce96da]

próbáld tötölni a munkakönyvtárat a /var/tmp/portage/apache-ban és utána emergelni újra
az ebuild átírás után nem rsynceltél véletlenül? mert akkor felülírja a módosítást, hacsak el nem mented az ebuildedet az overlay könyvtáradba

[quote:2c8e7e6965="tomyellow"]
A $HOME/.bash_profile -ba tedd be a
[ -f ~/.bashrc ] && . ~/.bashrc
sort, ennek meg kéne oldania a problémát.
[/quote:2c8e7e6965]
Még nem oldódott meg, de amint kész leszek, beszámolok róla :)
(Pillanatnyilag CUPS-érdekességekkel bíbelődöm...)

[quote:b59255fdbe="york"]# bunzip2 -c apache-2.0.49-r4.tbz2 | tar [b:b59255fdbe]xvp[/b:b59255fdbe][/quote:b59255fdbe]
ez xvj akart lenni, nem? :wink:

[quote:6251738d42="strangedr"]vedd ki a relációjeleket és a verziószámot a package.maskból, és akkor egyálatlán nem akar majd gentoo-sourcest frissíteni[/quote:6251738d42]
[code:1:6251738d42]$ cat /etc/portage/package.mask
sys-kernel/gentoo-sources
$ emaint --check world
Checking world for problems

'sys-kernel/gentoo-sources' has no ebuilds available
$ emerge -pvuD world
Calculating world dependencies
[ebuild N ] sys-kernel/hardened-sources-2.6.11-r15 -build -doc -symlink 36,206 kB[/code:1:6251738d42]
azt idaig nem mondtam, hogy hardened-gentoo van fent.[code:1:6251738d42]$ ls -lF /etc/make.profile
lrwxrwxrwx 1 root root 40 Oct 25 15:31 /etc/make.profile -> ../usr/portage/profiles/hardened/x86/2.6/[/code:1:6251738d42]
ha beirom a 'hardened-sources'-t is a mask fileba -- az emaint akkor is anyazik --, akkor mar kernel forrast nem akar frissiteni, viszont bekerulnek az 'i2c' es az 'lm_sensors-modules' csomagok, mint amiket frissiteni kell. ezt meg nem mertem kiprobalni. (ha kernel forrast frissitenem, akkor nem szol, hogy az 'i2c' is obsolete lenne)

[quote:2482eac3f1="strangedr"]
próbáld tötölni a munkakönyvtárat a /var/tmp/portage/apache-ban és utána emergelni újra
az ebuild átírás után nem rsynceltél véletlenül? mert akkor felülírja a módosítást, hacsak el nem mented az ebuildedet az overlay könyvtáradba[/quote:2482eac3f1]

Ok. Megpróbálom így. Nem rsynceltem. A /usr/portage/net-www/apache/ -ban írtam át az ebuildet. De én úgy vettem észre, hogy az emergelés után automatice törli ezeket a tmp könyvtárakat.

hálózat beállításához csak az /etc/conf.d/net fájlt kell piszláni
semmi mást!! dhcpcd jó kéne, hogy legyen.

etc-updatet szoktál csinálni update után?

hi mindenki!
szoval minden mukodik rendesen ati driver, nforce hang es net, csak ha gtk-s programot akarok forditani a gcc proba.c 'gtk-confg --cflags --libs' parancsal akkor a kovetkezo hibauzit kapom:
"gcc: gtk-config --cflags --libs: no such file or directory" megneztem kulon a gtk --cflags --libs parancsot es mukodik kiirja az includeok helyet. Probaltam anjutaval projectkent letrehozni ugy viszont azt mondja hogy gtk/gtk.h no such file or directory. a glib es a gtk telepitve van.

2.6.10-es kernelt használok, de az emerge -Duva world leszedte a 2.4.22-es kernel headers-t, és az info is azt jelzi aktív kernel headers-nek. Ez normális dolog, vagy vmit elszúrtam?

fourth root # emerge --info
Portage 2.0.51.19 (default-linux/x86/2004.3, gcc-3.3.5, glibc-2.3.4.20040808-r1, 2.6.10-gentoo-r6 i686)
=================================================================
System uname: 2.6.10-gentoo-r6 i686 Intel(R) Pentium(R) 4 CPU 2.80GHz
virtual/os-headers: 2.4.22-r1

[quote:b13bbd963d="fdavid"][quote:b13bbd963d="PcZolee"]Nem akartam már új topic-ot nyitni, de van egy problémám! Frissíteni akarom a rendszert, kiadtam tehát az emerge sync, majd emerge -up system (hogy lássam mi is kell), majd emerge -u system, minden lejött, és felment, kivéve a gcc-3.3.3-r6 -ot!
Ezt írja ki a forgatás során:

[code:1:b13bbd963d]
...
...
...
stage2/xgcc -Bstage2/ -B/usr/i686-pc-linux-gnu/bin/ -march=athlon-xp -O2 -DIN_GCC -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -DHAVE_CONFIG_H -I. -I. -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc/. -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc/config -I/var/tmp/portage/gcc-3.3.3-r6/work/gcc-3.3.3/gcc/../include -c insn-recog.c \
-o insn-recog.o
insn-recog.c: In function `recog_17':
insn-recog.c:26542: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugs.gentoo.org/> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[2]: *** [insn-recog.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/gcc-3.3.3-r6/work/build/gcc'
make[1]: *** [stage3_build] Error 2
make[1]: Leaving directory `/var/tmp/portage/gcc-3.3.3-r6/work/build/gcc'
make: *** [bootstrap-lean] Error 2

!!! ERROR: sys-devel/gcc-3.3.3-r6 failed.
!!! Function src_compile, Line 551, Exitcode 2
!!! (no error message)[/code:1:b13bbd963d]

Mi a fene gonbja lehet? Másnál is ezt csinálja?[/quote:b13bbd963d]

Ilyen esetben a kovetkezo a teendo:
1. Megprobalod megerteni a hibauzenetet, es ha olyan, amit valoszinuleg meg tudsz oldani, akkor megoldod. (Pl fuggoseg hianyzik, vmi USE flag beallitas rossz, stb..)
2. Ha nem boldogulsz, akkor keresel a gentoo forumain, ugyanis az ilyen problemak 99,99%-arol mar van thread, es jo esellyel a megoldas is megvan, vagy egy kesobbi idopontban ott fogod megtalalni. Ha meg tudtad oldani a problemat es meg senki sem tudott megoldast, akkor nem art itt kozzetenni.
3. Ha nincs megoldas a forumon, akkor keresel a bug reportok kozott, es eleg nagy valoszinuseggel meg fogod talalni a problemat.
4. Ha nincs meg a bug jelentve, akkor egyszeruen bejelented. Megjobb, ha azonnal az ebauild javitasat is mellekeled.[/quote:b13bbd963d]

Az első 3 pontot végigcsináltam (bocs, de ennyire azért nem vagyok kezdő :twisted: ), bug report-ot még nem küldtem, gondoltam, előbb megkérdezem, hátha már más is találkozott ezzel!

[quote:812d5f59a0="Begi"]Sziasztok!

Nem tud nekem vki segiteni abban, hogy az SB Live 5.1-t gentoo linux alatt hogy tudom beconfigolni, hogy a Genius Home Theater 5.1-en menjen rendesen a bass?
Ugyebar win alatt ott van a creativ cucca, de linux alatt?[/quote:812d5f59a0]

Szia!

ALSA vagy OSS? Esetleg arts? Egyébként a https://www.hup.hu/modules.php?name=Forums&file=viewtopic&t=16&start=15 topikban volt ilyesmiről szó.

[quote:4ebe5c310d="borz"]Kell jelszot megadni/megvaltoztani?[/quote:4ebe5c310d]
passwd usernev

igen SOS jellegű lenne hogy választ kapjak rá, ha tud valaki, valamit, ne kíméljen.

[quote:12e01faf70="vmiklos"][quote:12e01faf70="york"]# bunzip2 -c apache-2.0.49-r4.tbz2 | tar [b:12e01faf70]xvp[/b:12e01faf70][/quote:12e01faf70]
ez xvj akart lenni, nem? :wink:[/quote:12e01faf70]

Nem, mert:
# bunzip2 -c apache-2.0.49-r4.tbz2 | tar xvj
bzip2: (stdin) is not a bzip2 file.
tar: Child died with signal 13
tar: Error exit delayed from previous errors

[quote:9c907c47a3="BikMak"]Nos ennek a hibának köszönhetően nem futott le rendesen az
[code:1:9c907c47a3]emerge -uvD world[/code:1:9c907c47a3]
De én csak az utólsó oldalt láttam, hogy tudom megnézni, hogy mit kellene megint újraforgatni, és mit nem( mert már lefordult ).
gondolom, ha megint kiadnám az [code:1:9c907c47a3]emerge -uvD world[/code:1:9c907c47a3] -t
akkor megint mindent végig fordítana, ami egy nap :([/quote:9c907c47a3]

Szia!

Ha újra kiadod az emerge -uvD world parancsot, nem fog semmit *újra* fordítani. Csak azokat fordítja, amik nem lettek lefordítva. Ha szeretnéd látni az emerge közben kiadott üzeneteket, akkor állítsd be a PORTAGE_LOGDIR változót a /etc/make.conf -ban.
Amúgy pedig, ha elszáll egy emerge, akkor emerge --resume -mal tudsz visszatérni. Ha nem tudod megoldani a problémát, de szeretnéd folytatni a frissítést, akkor használhatod az emerge --skip-first --resume parancsot, ami az éppen következő csomagot kihagyja, és utánna folytatja a megkezdett frissítést.

Üdv.: Tomyellow

[quote:e32934442f="LiRul"]van gentooban olyan mint debian dpkg-nal a --purge ? vagyis minden filet (beleertve a modositott configokat is) szedje le?[/quote:e32934442f]

Szia!

Két lehetőséged van. Üresre állítod a $CONFIG_PROTECT változót, de vigyázz, hogy utánna állítsd is vissza a következő emerge előtt, mert különben a telepítés vadul felül fogja írkálni a config-file-jaidat. A másik, hogy figyeled az unmerge kimenetét, és amire azt írja, hogy CFGPRO, azt letörlöd kézzel.

Üdv.: Tomyellow

konzolban milyen parancsal lehet symlinket letrehozni?Csak MC-ben tudom hogy kell :oops:

Gond nélkül lement az "emerge -e system".
Az "emerge -e world" viszont problémás. Többször is leakadt kernel konfigurációs problémákkal de ezeket megoldottam.
Az "emerge -e --resume world" fojtatja a megkezdett frissítést az utolsó elkészült csomagtól.
Most viszont van egy csomag ami nem fordul le, nevezetesen a dosemu-1.2.2.
Erre nekem nincs semmi szükségem, de mindenáron ezt akarja felrakni. Hiába csináltam meg, hogy az 1.3.2-es menjen fel alapból, és az eltávolítás se segít. Valami ideiglenes fájlban tárolja a hátralevő csomagok listáját, amit viszont nem tudom merre keressek.
Hogyan lehet megoldani, hogy a folytatás lehetőségét meghagyva kimaradjon ez a csomag?

[quote:ae81e48d76="Anonymous"]konzolban milyen parancsal lehet symlinket letrehozni?[/quote:ae81e48d76]

ln -s <filename> <symname>

jah, télleg, de hülye vok :oops:
próbáld -p nélkül :wink:

a 2.6-os kernelsorozathoz tartozó headers-csomag csak nem olyan régen jelent meg a portage-ben, nem is tudom, demaskolták-e már; mindenesetre én úgy tudom, nyugodtan lehet 2.6-os kernel mellett 2.4-es headers (igen sokáig így ment a rendszerem, hiszen nem is volt 2.6-os)
valószínűleg valamelyik csomag dependelt rá

emerge -C ezt csinalja, nem?

[quote:0c6332a301="Anonymous"]konzolban milyen parancsal lehet symlinket letrehozni?Csak MC-ben tudom hogy kell :oops:[/quote:0c6332a301]
[code:1:0c6332a301]ln -s <amirol> <amire>[/code:1:0c6332a301]

amugy:
[code:1:0c6332a301]info coreutils[/code:1:0c6332a301]

emerge -e --resume --skipfirst :)

[quote:ec7cb0d475="tomyellow"]IMHO Ha nem használsz bináris csomagokat, (pl.: OOo-bin), akkor nincs rá szükséged.[/quote:ec7cb0d475]
Nem használok. Szuper, köszi!

Ha beleírod a csomag nevét az [b:b26403cdb8]/etc/portage/profile/package.provided[/b:b26403cdb8]-be, akkor nem fogja feltenni azt. pl:
[code:1:b26403cdb8]echo app-emulation/dosemu-1.3.2 > /etc/portage/profile/package.provided[/code:1:b26403cdb8]

Maszkolt csomagokat ogy kell feltenni.
a man emerget nem mondjátok, mert nem bírtam kibogarászni.
Egyébként általában ~X86 al vannak maszkolva amik nekem nem mennek fel.

most nézem csak hogy senki nem válaszolt még az (egyik) eredeti kérdésre. nevezetesen arra hogy
[quote:6f11dc3474="Quain"]Az alap rendszernek mennyi kell??? (Hány MB-ot szed le bootstraphez,majd a többi cucchoz) [/quote:6f11dc3474]
ezt én egyelőre még nem tudom megválaszolni, de a következő hét végén már elvileg a saját tapasztalataimat fogom leírni...

akkor használd a pye scriptemet:

http://magenta.linuxforum.hu/downloads/pye

ez kilistázza a frissítendő fájlokat és a user kijelölheti, miket emergeljen és miket ne - így ugyan megjelenik a listában, de kihagyhatod

okok

[quote:2c68c61e5c="wry"][quote:2c68c61e5c="LiRul"]nesze neked mindent-azzal-forditok-amivel-akarok philosophy :D[/quote:2c68c61e5c]

természetesen nem szó szerint kell érteni (ezt sem) :)[/quote:2c68c61e5c]

koszi a reszletes valaszt. persze ez csak ironia volt reszemrol, no flame. azert kerdeztem csak, mert ugy elt bennem regebbi mc-kkel kapcsolatban, hogy volt egy --without-glib opcio. de most megneztem a 4.6.0-t, ebben nincs. szoval durcasan, de felmegy akkor glib. :)

tomyellow, eleg erthetoen kerdeztem szerintem: glib nelkul akartam mc-t. de mar megneztem az ebuild fajlokat, s lam valoban forszolt glib depend van bennuk.

thx.

még egy kérdés, én php 5 -öt szeretnék feltenni. de ha beírom hogy emerge php akkor a 4-est rakja fel, hogy tudnám elintézni, hogy az 5-öst rakja fel?

[quote:4f9d5d65e9="selli"]Ha volt akkor bocs:

mi a kulonbseg a ketto kozott:

emerge --update world
emerge --update --deep world

pl:bash-2.05b# emerge --update world --pretend

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild U ] sys-devel/gcc-3.4.3.20050110-r1 [3.4.3.20050110]
[ebuild U ] app-arch/tar-1.15.1 [1.14]
[ebuild U ] www-client/mozilla-launcher-1.29 [1.23]
[ebuild U ] mail-client/mozilla-thunderbird-1.0.2 [1.0]
[ebuild FU ] dev-java/sun-jdk-1.5.0.02 [1.5.0.01]
[ebuild U ] www-client/mozilla-firefox-1.0.2 [1.0.1]
bash-2.05b# emerge --update world --pretend --deep

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild FU ] dev-java/sun-jdk-1.5.0.02 [1.5.0.01]
[ebuild U ] sys-devel/gcc-3.4.3.20050110-r1 [3.4.3.20050110]
[ebuild U ] media-plugins/xmms-mad-0.8 [0.7]
[ebuild U ] app-arch/tar-1.15.1 [1.14]
[ebuild N ] dev-libs/pth-1.4.0
[ebuild U ] app-crypt/gpgme-1.0.2 [0.9.0-r1]
[ebuild U ] www-client/mozilla-launcher-1.29 [1.23]
[ebuild U ] mail-client/mozilla-thunderbird-1.0.2 [1.0]
[ebuild N ] app-arch/cabextract-1.1
[ebuild N ] media-fonts/corefonts-1-r2
[ebuild U ] www-client/mozilla-firefox-1.0.2 [1.0.1]

A deep miert akar nekem folrakni 3 uj csomagot? es miert nem akarja az xmms-mad-et update-elni?[/quote:4f9d5d65e9]

man emerge:

[code:1:4f9d5d65e9]
--deep (-D)
When used in conjunction with --update, this flag forces emerge to
consider the entire dependency tree of packages, instead of check-
ing only the immediate dependencies of the packages. As an exam-
ple, this catches updates in libraries that are not directly listed
in the dependencies of a package.
[/code:1:4f9d5d65e9]

Üdv

Van egy ATA100 alaplapi integrál raid vezérlőm, és két db vincsi
1es módban akarom használni (mirror), létrehoztam az arrayt, az a kérdésem, hogy hogyan kell úgy telepíteni a gentoo-t, hogy rendesem működjön.

Tudom volt már hasonló téma itt a hupon is, de nem igazán találom a megoldást a problémámra. Emergeltem egy gcc 4.0.2-őt a gépemre a hozzá tartozó csomagokkal együtt. Szertnék csinálni egy emerge -uD word-öt, de persze vissza akarja rakni a régi gcc-t a cuccaival együtt. Hogyan lehet rávenni, hogy békén hagyja az újabb csomagokat.
Ami dokumentációt találtam, mind elég régi, ha valami újabb irományt láttatok az is jó lenne.
Az /etc/portage/package.keywords és package.unmask nem igazán akarnak összejönni.

[quote:99d0614403="N0rr3c"]Ha beleírod a csomag nevét az [b:99d0614403]/etc/portage/profile/package.provided[/b:99d0614403]-be, akkor nem fogja feltenni azt. pl:
[code:1:99d0614403]echo app-emulation/dosemu-1.3.2 > /etc/portage/profile/package.provided[/code:1:99d0614403][/quote:99d0614403]

Az így csak akkor működne, ha elölről kezdenék mindent.
Az "emerge -e --resume world" figyelmen kívül hagyja az /etc/portage beállításait.
Nem szeretném elölről kezdeni, mert a 423 csomag lefordítása elég hosszú idő. A jelenlegi állásnál csak kb százegynéhány van hátra.

thx :)

a gentoo-ban hozod letre, es oda telepitesz.

t

[quote:0f6236364b="ssa2"]Tudom volt már hasonló téma itt a hupon is, de nem igazán találom a megoldást a problémámra. Emergeltem egy gcc 4.0.2-őt a gépemre a hozzá tartozó csomagokkal együtt. Szertnék csinálni egy emerge -uD word-öt, de persze vissza akarja rakni a régi gcc-t a cuccaival együtt. Hogyan lehet rávenni, hogy békén hagyja az újabb csomagokat.
Ami dokumentációt találtam, mind elég régi, ha valami újabb irományt láttatok az is jó lenne.
Az /etc/portage/package.keywords és package.unmask nem igazán akarnak összejönni.[/quote:0f6236364b]

Szerintem ennyi kell csak:

[code:1:0f6236364b]
echo "<sys-devel/gcc-4.0" >> /etc/portage/package.mask
echo "=sys-devel/gcc-4.0.2-r2 ~x86" >>/etc/portage/package.keywords
emerge -e system
emerge -e world
[/code:1:0f6236364b]

Vagyis inkább ezt olvasd el:
http://www.gentoo.org/doc/en/gcc-upgrading.xml

ssa2: a -t (tree) kapcsoloval lehet megnezni,hogy melyik csomagnak van szuksege a dosemu-ra,torold ki azokat a csomagokat amelyiknek szuksege van a dosemu-ra es kesz.
Kerdes: gcc 3.3.x-rol 3.4.x-re frissitesz? mert ha igen akkor van gyorsabb megoldas is.

Na hi! Kezdő vagyok Gentoo téren, de sok jót hallottam róla itt a HUP-on, meg a gentoo.hu-n :) szóval gondoltam kipróbálom.
Engem a stage 1 érdekelne igazán, csak az otthoni nettel van problémám. 56k-s modemem van ugyanis, az meg elég lassú... :( Leszedtem a LiveCD-t (az install-x86-minimal-2004.3-r1.iso filet) a kollégiumból, viszont a frissítéseket - ha jól vettem ki a doksiból - nekem kell majd letöltetnem a géppel.
Meg tudom oldani ezt úgy, hogy leszedem a legfrissebb csomagokat a netről innen a kollégiumi gépről és úgy viszem haza, hogy ne kelljen az otthoni lassú nettel szenvednem? Úgy lenne az igazi, ha "egyben" le tudnám húzni a cuccost, nem többszáz betömörített forrást egyenként, de ha külön-külön lehet csak, végül is úgy is jó, csak ne otthon szórakozzak a letöltéssel. A kollégiumban úgyis "ingyen" vagy a net. :)

[quote:abca27d2b0="tomyellow"]Két lehetőséged van. Üresre állítod a $CONFIG_PROTECT változót, de vigyázz, hogy utánna állítsd is vissza a következő emerge előtt, mert különben a telepítés vadul felül fogja írkálni a config-file-jaidat. A másik, hogy figyeled az unmerge kimenetét, és amire azt írja, hogy CFGPRO, azt letörlöd kézzel.[/quote:abca27d2b0]

koszonom. asszem a masodik megoldasnal maradok.

kozben akadt egy mas temaju kerdesem is. :) johet konkret rtfm is, de pliz ne csak annyi h [i:abca27d2b0]man ez[/i:abca27d2b0] hanem, hogy mit keressek. :) szoval le szeretnem szedni az osszes selinux-os csomagot ugy, hogy lehetoseg szerint ne en adjam meg kezzel az osszes fent levo package-t, hanem leszednek valami alapot amire az osszes dependel, s igy lehuzna mindet. az --unmerge nem figyel fuggosegekre, a --clean meg mindenre azt irja nekem h no packages selected for removal.

[code:1:abca27d2b0]# emerge -pv selinux-mysql
[ebuild R ] sec-policy/selinux-mysql-20050605 0 kB
# emerge --clean selinux-mysql
>>> clean: No packages selected for removal.[/code:1:abca27d2b0]

thx.

[quote:44b31227e4="vmiklos"]jah, télleg, de hülye vok :oops:
próbáld -p nélkül :wink:[/quote:44b31227e4]

bunzip2 -c apache-2.0.49-r4.tbz2 | tar xv
Igy is hibat ir :|. le lehet azt ellenorizni valahogy hogy a csomagolas hibatlan-e?

York.

Sziasztok!

Kellett egy kis hely a gépemen és csináltam is a következő módon:
emerge prune
rm -r /var/tmp/portage/*
rm -r /usr/portage/distfiles/*

De ezek után ugyan hely lett rengeteg, de a következővel örvendeztet az "emerge world -uDpv":
>>> cfg-update-1.8.0-r3 : No new packages have been emerged, checksum index OK...
/usr/bin/python: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory

Erre mit tanácsoltok?

a headerek úgy működnek, hogy vannak sys-kernel/linux-headers és sys-kernel/linux26-headers csomagok. Amikor feltelepíted valamelyiket akkor az megadja a virtual/os-headers változót, tehát a másikat nem tudod feltenni, és mivel más a csomagnév, ezért nem is tudod csak úgy frissíteni 2.4-es headerekről 2.6-os headerkre. Szóval le kell szedni az összes 2.4-es headert, és telepíteni a linux26-headerst. És azt utánda dorwngradelni se fogja.

az érdekelne hogy miért fogy el iszonyat gyorsan a szabad hely pár progi installtól....van 425 MB szabad helyem egy 5 GB-os partíción,és alig van fönn progi...amikor a suse foglalt 3,8 GB-ot,minden szar volt fönn....

nincs valami parancs amivel lehetne ellenőrizni van-e cucc ami szemét csak?

az így készült csomagot utána tudod hiba nélkül emergelni?

[quote:f8b9b006e2="tibyke"]a gentoo-ban hozod letre, es oda telepitesz.

t[/quote:f8b9b006e2]

lehet, hogy félreértettél, vagy én nem értem a választ, de nekem szoftveres nem jó

ezenkívűl a pontos menete is érdekelne, mert gyorsan kellene telepíteni, sajnos nem érek rá kísérletezni

hol talalhatok a modulok?mert szeretnem betoltetni a halokartya moduljat indulaskor,de nem talalom a pontos nevet

[quote:377647ed38="zdesigner"]
Meg tudom oldani ezt úgy, hogy leszedem a legfrissebb csomagokat a netről innen a kollégiumi gépről és úgy viszem haza, hogy ne kelljen az otthoni lassú nettel szenvednem? Úgy lenne az igazi, ha "egyben" le tudnám húzni a cuccost, nem többszáz betömörített forrást egyenként, de ha külön-külön lehet csak, végül is úgy is jó, csak ne otthon szórakozzak a letöltéssel. A kollégiumban úgyis "ingyen" vagy a net. :)[/quote:377647ed38]

Szia!
A portage fa rendszeres frissítése tudomásom szerint megoldható. (Elvileg lehet letölteni snapshotokat úgy, mint a telepítőben van, de hogy hogyan, azt nem tudom.)

A csomagok frissítése elég egyszerű: Az emerge parancs -f és -p kacsolóját együtt használva egy URL listát hoz ki neked. Ez a lista jó hosszú sorokból áll, minden egyes sorban egy rakás URL, ahonnan az adott file-t le lehet tölteni (a mirrorokat is beleveszi).

Ezt lehet valahogy automatizálni is, de én nekiestem egy szövegszerkesztővel, minden sorban csak 1 URL-t hagytam meg, és töröltem az üres sorokat, majd egy getright-nak odaadtam a listát, és szépen leszedte mindet.

Ezeket csak be kell tenni a /usr/portage/distfiles könyvtáradba, majd jöhet az emerge letöltés nélkül.

Lehet, hogy van egyszerűbb megoldás is...

Üdv, I.

[quote:5d15000e86="Anonymous"]az érdekelne hogy miért fogy el iszonyat gyorsan a szabad hely pár progi installtól....van 425 MB szabad helyem egy 5 GB-os partíción,és alig van fönn progi...amikor a suse foglalt 3,8 GB-ot,minden ***** volt fönn....

nincs valami parancs amivel lehetne ellenőrizni van-e cucc ami szemét csak?[/quote:5d15000e86]
[list:5d15000e86]- http://forums.gentoo.org/viewtopic.php?t=142475
itt van egy script, amivel a nem használt függőségeket törölheted le, mivel az emerge depclean általában nem a legjobb megoldás :D
- http://www.hup.hu/modules.php?name=Forums&file=viewtopic&t=1392
itt van egy példa hely fölszabadításra, de nekem nincs is olyan könyvtáram, mint ami a témában szerepelt, ezért gőzöm sincs hogy mi van ott :D
- [u:5d15000e86]AUTOCLEAN = ["yes" | "no"][/u:5d15000e86]
van (?) egy ilyen sor a make.conf-ban, a default a yes, de ha "no" van akkor azt sztem érdemes átírni vagy kitörölni azt a sort.[/list:u:5d15000e86]

Egyébként nekem is sokkal kevesebb szabad helyem van, mint más disztribeknél!

ha jo, ha nem jo, az szoftveres lesz csak.

t

[quote:af96b954f3="nsuperbus"]ssa2: a -t (tree) kapcsoloval lehet megnezni,hogy melyik csomagnak van szuksege a dosemu-ra,torold ki azokat a csomagokat amelyiknek szuksege van a dosemu-ra es kesz.
Kerdes: gcc 3.3.x-rol 3.4.x-re frissitesz? mert ha igen akkor van gyorsabb megoldas is.[/quote:af96b954f3]

Az benne a pláne, hogy az "emerge -tp dosemu" nem mutat semmi függőséget. Szerintem csak azért települ, mert az "emerge -e world" kiadásakor bekerült az újrafordítandó csomagok listájába.
Egyébként 4.0.2-re frissítek.

[quote:2edc54f66a="BikMak"]Maszkolt csomagokat ogy kell feltenni.
a man emerget nem mondjátok, mert nem bírtam kibogarászni.
Egyébként általában ~X86 al vannak maszkolva amik nekem nem mennek fel.[/quote:2edc54f66a]

echo 'kategória-alkategória/csomag ~x86' >> /etc/portage/package.keywords

hardmask esetén

echo 'kategória-alkategória/csomag' >> /etc/portage/package.unmask

[quote:a59d100f62="dr_strange"]az így készült csomagot utána tudod hiba nélkül emergelni?[/quote:a59d100f62]
Igen
emerge -k apache szepen feltelepiti.
vegulis nekem csak az kell, hogy egy /akarmi konyvtarba tudjam kipakolni a csomag tartalmat emergevel nem jottem ra hogy kell.

York.

[quote:83121f83a8="zdesigner"]Na hi! Kezdő vagyok Gentoo téren, de sok jót hallottam róla itt a HUP-on, meg a gentoo.hu-n :) szóval gondoltam kipróbálom.
Engem a stage 1 érdekelne igazán, csak az otthoni nettel van problémám. 56k-s modemem van ugyanis, az meg elég lassú... :( Leszedtem a LiveCD-t (az install-x86-minimal-2004.3-r1.iso filet) a kollégiumból, viszont a frissítéseket - ha jól vettem ki a doksiból - nekem kell majd letöltetnem a géppel.
Meg tudom oldani ezt úgy, hogy leszedem a legfrissebb csomagokat a netről innen a kollégiumi gépről és úgy viszem haza, hogy ne kelljen az otthoni lassú nettel szenvednem? Úgy lenne az igazi, ha "egyben" le tudnám húzni a cuccost, nem többszáz betömörített forrást egyenként, de ha külön-külön lehet csak, végül is úgy is jó, csak ne otthon szórakozzak a letöltéssel. A kollégiumban úgyis "ingyen" vagy a net. :)[/quote:83121f83a8]

Szia!

Nem tudom mennyire olvastál utánna a frissítés menetének, ha nagyon kínai, amit leírok, akkor mentsd el valahova, mire a frissítéshez érsz érteni fogod.

Szóval van az emerge parancs. Ennek van egy -f paramétere, ami a fetch rövidítése, tehát ez semmit nem csinál, csak letölti a szükséges dolgokat. Illetve van egy -p paraméter, ami a pretend rövidítése. Ha ezt a kettőt vegyíted, akkor megtudod, hogy miket akar letölteni. A kimenetet beviszed koliba, letöltöd, kiírod CD-re, vagy beviszed a HDD -t. A letöltött cuccot beteszed a distfile könyvtárba, aztán simán tudsz frissíteni.

Amúgy a Gentoo telepítése egy úgynevezett bootstrap -pel kezdődik, amihez a forrásokat ugyancsak net-ről lehet leszedni, de itt is működnie kell a -pf paraméternek.

Amúgy a telepítést bármikor megszakíthatod, tehát eljutsz a bootstrap -ig, megnézed mi kell, bemész koliba, letöltöd, hazamész folytatod, emerge mindenféle, koli, haza, stb.

HTH.
Üdv.: Tomyellow

OK, újrakezdem, és beillesztem, de egyébként szerintem ami kell ott van!

na jovan,en is gondolkodhatnek neha :oops:
hol mashol lennenek a kernel modulok mint az /usr/src/kernel mappaban? :roll:
drivers/net-ugye itt van a halokartya modulja?
ugyebar van a /etc/modules.autoload.d/kernel fajl,oda kell beirni a modul nevet.de a teljes eleresi ut kell (/usr/src....) vagy eleg csak a modul neve hogy 8139cp.ko.cmd?

a 2. megoldás tetszett,meg is csináltam.Bár nekem sem volt ilyen mappám,szívfájdalom nélkül kipucoltam a portage mappát 8)

elindult a gentoo,úgyhogy nincs baj. :D

az autoclean a make.globals-ban van

van egy kis gondom a LILO-val.szeretném ha be tudnék egy másik linuxot is tölteni,de hiába írom be jól (remélem),nem jelenik meg bootnál a választhatók között,csak a Gentoo van.
Így néz ki a LILO conf:

boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=60
lba32
default=Gentoo
vga=791

image=/boot/bzImage
label=Gentoo
read-only
root=/dev/hda6

image=/boot/bzImage
label=other-linux
read-only
root=/dev/hda2

Hali!

A snapshot-ok nem túl gyakoriak. Szerintem azt érdemes modemmel csinálni. Nem olyan túl nagy letöltés, rsync-et használ, tehát nem hiszem, hogy ez gond, persze mindenkinek más az optimális megoldás.

Üdv.: Tomyellow

Hi!
felraktam a gentoo-t viszont van egy kis probléma bármit felrakor az emerge parancsal az fel is települ de az emerge -p csomagnév kiír egy szép nagy [R] betüt ha jól olvastam a man-t akkor újra kellne rakni a csomagot de utánna is ott az R betü hogy lehet meggyöni az emerge-t hogy rakja fel rendesen??

[quote:41890fb9b8="Anonymous"]hol talalhatok a modulok?[/quote:41890fb9b8]

modprobe -l

az R nem azt jelenti, hogy újra [b:8ed97ed2f0]kell[/b:8ed97ed2f0] forgatni, hanem hogy a csomag telepítve van, és az emerge csomagnév parancs hatására újrafordul (továbbá: N = még nincs telepítve; U = új verzió telepíthető)

tegnap sikerult tuljutnom az alaprendszer felpakolasan, es szerettem volna egy midnight commandert feltenni, mar csak az editor miatt is. emerge mc utan 12 csomagot tett fel 8O koztuk a sambát is... miert :?: :?: :?:
az USE flagjaim kozott keressem a hiba okat, igaz?

[quote:820e64b5f6="LiRul"]mi a modja annak, ha nem szeretnem frissiteni world-del a kernel forrast? van egy masina amin a world upgrade-elne 25 csomagot, koztuk a gentoo-sources-t is, de en ez utobbit nem szeretnem. idaig beirtam kezzel a sources-en kivul az osszes csomagnevet az emerge utan, de ez ez eleg lame megoldas :) valami olyasmit keresek mint debian alatt a [i:820e64b5f6]dpkg --set-selections[/i:820e64b5f6] thx.[/quote:820e64b5f6]
[url]http://magenta.linuxforum.hu/?q=node/597[/url]

Igazabol az a baj, hogy az SB Live pont forditva adja ki a center es sub jeleket,mint ahogy a hangfal veszi. Win alatt van olyan a creative centerbe, hogy bass redirection, es ezzel ugyebar megcsereljuk a centert es subot. Na marmost ezt itten alsa-ban hogy lehet megcsinalni?

Felfrissitettem az xmms-t es azota nem tudom halgatni a webradiokat :(
Melyik plugin-t kene hozza felrakjam, mert ahogy latom kiszerveztek belole egy csomo mindent pluginba?

köszi!
akkor ezekszerint roszul olvastam (az angol tudásom nem az igazi)
köszi mégegyszer!

[quote:58f2b1d8e2="PcZolee"][quote:58f2b1d8e2="testerlnx"][quote:58f2b1d8e2="PcZolee"][quote:58f2b1d8e2="testerlnx"]A Greek: iso kontra AltGR jobban izgat, amúgy xfce-ről nincs kedvem emiatt fluxbox-ra váltani :)[/quote:58f2b1d8e2]

Miért baj az, hogy átvált?[/quote:58f2b1d8e2] Mert az ALTGR+V a @ nálam ami pl scp-nél ssh-nál stb kell a ;-ről nem is beszélve, és ha ezeket a kombinációkat beütöm akkor Greek: iso-ban marad a beviteli formátum!!!! Vagyis azt képzeld el, hogy írod az scp sort és beírod a user nevet majd a kukac után nem a host nevet sikerül beírnod, hanem egy csomó ékezetes karaktert, bash script-et írni vele pedig rémálom, hiszen a pontosvessző szinte mindenhiva kell... Remélem most már egyértelmű hogy miért "zavar" :)[/quote:58f2b1d8e2]

Na jó, de utánna nyomsz még egy altgr-t, és visszaáll![/quote:58f2b1d8e2]

Mivel ezt más kozolokban, terminálokban nem kell megtenni, és elég sok altgr kombinációt használok (vagy legalábbis gyakran), ezért nagyon nem szeretnék hozzá szokni... A vicc az, hogy ezt az --enable-greek fordítási opcióval ha jól értettem ki lehetne hgyni emerge-nél, de Nekem az --enable-greek nélkül fordított mrxvt is így működik :( disable meg nincs, konfig-ot nem látok sehol, a forráskódban tudnám csak kiszedni?

Akarok egy initrd-t csinálni a kernelemhez, de amit a mkinitrd csinál, abban alapból 3 modult tesz bele. Ha hozzá is adok még modulokat, akkor sem hajlandó indulni vele, nem találja a root particiót. Megnézve az initrd-t szinte semmit nem tesz bele, úgyhogy nem is csodálkozom, hogy nem bootol be.

probald meg igy:
[code:1:f474ef7f36]
emerge -etpv world
[/code:1:f474ef7f36]

Igy mar latod.Az mar mas, en nem csinalnam meg a helyedben.

[quote:7aefefda7e="LiRul"]
tomyellow, eleg erthetoen kerdeztem szerintem: glib nelkul akartam mc-t. de mar megneztem az ebuild fajlokat, s lam valoban forszolt glib depend van bennuk.[/quote:7aefefda7e]

Az OK, hogy glib nélkül, de ugye a glib nem poénból kell, tehát helyette kell valami, ami produkálja azt, amit a glib-nek kéne.
Lehet, hogy a régi mc-k tartalmazták a szükséges rutinokat, és lehetett azokkal használni.
Ezzel az a probléma, ezért is egyre ritkább, hogyha megjelenik valamilyen, teszem azt biztonsági frissítés a glib-hez, akkor új verziót kell kiadni az mc-ből is. Például a qt-t lehet a csomagban lévő zlib-bel is fordítani, amikor megjelent egy sec. fix a zlib-hez, jött új qt is.

Üdv.: Tomyellow

[quote:454b8f6125="nsuperbus"]probald meg igy:
[code:1:454b8f6125]
emerge -etpv world
[/code:1:454b8f6125]

Igy mar latod.Az mar mas, en nem csinalnam meg a helyedben.[/quote:454b8f6125]

Ez a lényegen semmit nem változtat. Én a már megkezdett folyamatot szertném folytatni, nem elölről kezdeni az egészet.

[quote:d8659a2bbe="strangedr"]takaríts az /usr/portage/distfiles és a /var/tmp/portage és /var/logs/emerge könyvtárakban, utána nézd meg megint[/quote:d8659a2bbe]

Ezt a portage nem csinálja meg egyáltalán? Tehát az ősrégi csomagok forrásai is fentmaradnak nem csak azok amikre esetleg szükség lehet később(remerge)?

Nincs valami szkript esetleg ami átnézi ezeket a könyvtárakat, hogy ne "kézzel" kelljen megcsinálni mindezt?

Sziasztok!

Ha egy csomagot el szeretnék távolítani, hogyan tudom megnézni, hogy még milyen csomagok függnek ettől a csomagtól? van erre az apt-get remove -hoz hasonló megoldás, ami kiírja, hogy ha ezt le akarod szedni, akkor még ezt is, meg ezt is le fogom? bár nekem elég lenne az is, hogy megmondja a függőségeket.

[quote:485ef87f07="rigidus"]Udv Mindenki

A gondom nem eletbevago, csak amolyan formai. Feltettem a KDE 3.4.0-t es szandekomban allna leszedni a regit (3.3.2). Gentoo forumokon korulneztem az ugy erdekeben, talaltam is megoldast, de nem mukodik. A srac szerint "emerge -C =kde-base/kde-3.3*" lenne a megoldas, ez viszont jelzi, hogy nincs ilyen csomag. Elvacakoltam vele egy darabig, kiprobaltam nehany mas formaban is. Az "emerge -C =kde-base/kde-3.3.2" mukodott, megtalalta az ilyen nevu csomagot, le is szedte, de a fuggosegeihez hozza sem nyult. A masik gond, hogy probaltam leszedni a kdelibs-et es diszes tarsasagat egyenkent, de nem tudom kulon valasztani oket az uj verzio csomagjaitol, amit viszont szeretnek megtartani. Vagy minden lejon egyszerre, vagy semmi.[/quote:485ef87f07]
Ebben a [url=http://forums.gentoo.org/viewtopic-t-333625-highlight-.html]fórumban[/url] sokkal jobb megoldások vannak.
HTH

Itt a "teljes" lista!
[code:1:e45240f72f]
adding: org/openoffice/java/accessibility/MenuItem.class (deflated 49%)
adding: org/openoffice/java/accessibility/Paragraph$AccessibleParagraph.class (deflated 61%)
adding: org/openoffice/java/accessibility/Window.class (deflated 54%)
adding: org/openoffice/java/accessibility/FocusTraversalPolicy.class (deflated 57%)
adding: org/openoffice/java/accessibility/AccessibleObjectFactory.class (deflated 56%)
adding: org/openoffice/java/accessibility/AccessibleKeyBinding.class (deflated 37%)
adding: org/openoffice/java/accessibility/Icon.class (deflated 50%)
adding: org/openoffice/java/accessibility/Component.class (deflated 58%)
adding: org/openoffice/java/accessibility/RadioButton$AccessibleRadioButton.class (deflated 58%)
adding: org/openoffice/java/accessibility/AccessibleActionImpl.class (deflated 47%)
-------------
/var/tmp/portage/openoffice-1.1.1-r1/work/oo_1.1.1_src/accessibility/bridge/org/openoffice/accessibility
Making dpj...
------------------------------
Making: ../../../../unxlngi4.pro/misc/java_uno_accessbridge.dpc
dmake subdmake=true -f makefile.mk product="full" depend=t ALLDPC
------------------------------
No Dependencies
javac -classpath ".:../../../../unxlngi4.pro/class:/opt/blackdown-jdk-1.4.1/jre/lib/rt.jar:.:/var/tmp/portage/openoffice-1.1.1-r1/
work/oo_1.1.1_src/solver/645/unxlngi4.pro/bin/sandbox.jar:/var/tmp/portage/openoffice-1.1.1-r1/work/
oo_1.1.1_src/solver/645/unxlngi4.pro/bin/jurt.jar:/var/tmp/portage/openoffice-1.1.1-r1/work/oo_1.1.1_src/
solver/645/unxlngi4.pro/bin/unoil.jar:/var/tmp/portage/openoffice-1.1.1-r1/work/oo_1.1.1_src/
solver/645/unxlngi4.pro/bin/ridl.jar" -d ../../../../unxlngi4.pro/class AccessBridge.java KeyHandler.java
PopupWindow.java WindowsAccessBridgeAdapter.java

Segmentation fault
dmake: Error code 139, while making '../../../../unxlngi4.pro/misc/java_uno_accessbridge_dummy.java'
---* TG_SLO.MK *---

ERROR: Error 65280 occurred while making /var/tmp/portage/openoffice-1.1.1-r1/work/
oo_1.1.1_src/accessibility/bridge/org/openoffice/accessibility

!!! ERROR: app-office/openoffice-1.1.1-r1 failed.
!!! Function src_compile, Line 364, Exitcode 1
!!! Build failed![/code:1:e45240f72f]

Remélem sikerül vmit kihámozni belőle!

[quote:e33f609a3d="Anonymous"]vagy eleg csak a modul neve hogy 8139cp.ko.cmd?[/quote:e33f609a3d]

nem tudom pontosan mit akarsz a .cmd fileokkal, de azokat a regi *.flags helyett vannak

hát az szerintem nem volt egy túl jó ötlet, utána majd lesznek fájdalmaid, mivel ott van a world file, ami nem túl jó ha nincs meg ott volt még a Portage fa is, bár az egy emerge sync-cel pótolható.
A lilo dologhoz: szerintem elfelejtetted futtatni a "lilo" -t, de ha nem, akkor milyen "Added ..." sorokat ír ki?

koszi a linket, erdekes valoban a sok --search mozilla result. feltettem at a csomagot amiben van az equery es az esearch, eupdatedb lefutasa utan lenyegesen gyorsabban lehet keresni a portage faban. de mondjuk ennek a cache-nek az elkeszitese sem ket pillanat :) nembaj, en is raerek annyira nem hajt a tatar.

mas. kivaloan mukodik a PORTDIR_OVERLAY, viszont lehetne-e olyat csinalni, hogy a sajat portage famat egy sajat cvs/svn repobol frissitse mindig a sync? az elkeszitett csomagjaimat szeretnem valami kozponti helyen tarolni, hogy egyszeru legyen akarhany gepre atvinni.

LiRul: az a bejegyzés (>=...) a /etc/portage/package.mask-ban tutira azért volt, mert akkoriban elhasalt az új kerneled. Viszont miután kijött újabb, érdemes törölni, hátha már nincs meg az a probléma. Esetleg csak kikommentezni :)

[code:1:b30ce178af] --prune (-P short option)
WARNING: This action can remove important packages!
Removes all but the most recently installed version of a package
from your system. This action doesn't verify the possible binary
compatibility between versions and can thus remove essential
dependencies from your system.
The argument format is the same as for the --clean action.[/code:1:b30ce178af]

Elő a livecd... boot, chroot, emerge -uD system vagy hasonló, asszem. :D kínos...

Elvileg a system updateje miatt felhúzza a hiányzó depet.

[code:1:7f800b43b3]* media-sound/emu10k1
Latest version available: 0.20a-r7
Latest version installed: 0.20a-r7
Size of downloaded files: [no/bad digest]
Homepage: http://www.sourceforge.net/projects/emu10k1/
Description: Drivers, utilities, and effects for Sound Blaster cards (SBLive!, SB512, Audigy)

* media-sound/alsa-utils
Latest version available: 1.0.7
Latest version installed: 1.0.7
Size of downloaded files: [no/bad digest]
Homepage: http://www.alsa-project.org/
Description: Advanced Linux Sound Architecture Utils (alsactl, alsamixer, etc.)
[/code:1:7f800b43b3]
Ajanlom figyelmedbe ezeket az ebuildeket. :-) Marmint ha alsa-t hasznalsz.

[quote:71348c93fc="Anonymous"]az érdekelne hogy miért fogy el iszonyat gyorsan a szabad hely pár progi installtól....van 425 MB szabad helyem egy 5 GB-os partíción,és alig van fönn progi...amikor a suse foglalt 3,8 GB-ot,minden ***** volt fönn....

nincs valami parancs amivel lehetne ellenőrizni van-e cucc ami szemét csak?[/quote:71348c93fc]

A gentoo egyben fordít le mindent, vagyis ha neked pl csak openldap-devel kellene, akkor is fenn lesznek a libek + a server, stb. Pl a debian a kde-et kismillió apró programra szedte szét, a suse sokkal kevesebbre, a gentoo meg egyben hagyta, így csak 10-15 csomagból áll, de az igencsak nagy.

- Nézzél szét a /vat/rmp/portage könyvtár alatt, h van-e ott olyan könyvtár, amiben befejezetlen fordítás van.
- /usr/portage/distfiles könyvtárbeli fájlok törölhetőek (max még1x le kell tölteni, úgyhogy nem biztos, h jó 5let).

Más lehetőséget nem tudok (a /tmp-t tudom még hizlalni, na de az más tészta)

Sziasztok

Ez most miert?
# emerge sys-kernel/rsbac-dev-sources
Calculating dependencies
!!! all ebuilds that could satisfy "sys-kernel/rsbac-dev-sources" have been masked.
!!! possible candidates are:
- sys-kernel/rsbac-dev-sources-2.6.7-r1 (masked by: ~keyword)

!!! Error calculating dependencies. Please correct.

Nézz utána nyugodtan, azt mondják az okosak, hogy a linux szoftver réjdje bármely alaplapi vezérlőnél jobb teljesítményt nyújt. Főleg, hogy azok se igazi hardveres megoldások, hanem szoftveres. Az igazán komoly hardveres vezérlőkártyák sok tízezer forintba kerülnek.
Szóval nem kell tartani attól a szoftver raid-től. A szerveren nálunk is az van, hiába van az alaplapon vmi vezérlő-szerűség.

Olvashatsz erről sokat a [url=http://groups.google.co.hu/groups/dir?sel=33609146&expand=1]linux és a linux-kezdő lista archívumában[/url].

Ha megcsinálom ezeket
echo "<sys-devel/gcc-4.0" >> /etc/portage/package.mask
echo "=sys-devel/gcc-4.0.2-r2 ~x86" >>/etc/portage/package.keywords

és nyomok egy ilyet
emerge -pv gcc
akkor ez az eredmény
These are the packages that I would merge, in order:

Calculating dependencies
!!! All ebuilds that could satisfy "gcc" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-devel/gcc-3.3.5.20050130-r2 (masked by: package.mask, ~x86 keyword)
- sys-devel/gcc-3.4.3-r1 (masked by: package.mask, ~x86 keyword)
- sys-devel/gcc-3.4.3.20050110-r2 (masked by: package.mask, ~x86 keyword)
- sys-devel/gcc-3.4.4-r1 (masked by: package.mask)
- sys-devel/gcc-3.3.2-r7 (masked by: profile, package.mask)
- sys-devel/gcc-3.3.6 (masked by: package.mask)
- sys-devel/gcc-4.0.1 (masked by: -* keyword)
- sys-devel/gcc-3.3.5-r1 (masked by: package.mask)
- sys-devel/gcc-3.1.1-r2 (masked by: profile, package.mask)
- sys-devel/gcc-3.3.5.20050130-r1 (masked by: package.mask)
- sys-devel/gcc-3.4.1-r3 (masked by: package.mask, ~x86 keyword)
- sys-devel/gcc-4.1.0_beta20051223 (masked by: -* keyword)
- sys-devel/gcc-3.2.2 (masked by: profile, package.mask, -* keyword)
- sys-devel/gcc-3.2.3-r4 (masked by: profile, package.mask)
- sys-devel/gcc-4.0.2-r2 (masked by: -* keyword)
- sys-devel/gcc-2.95.3-r9 (masked by: profile, package.mask)
- sys-devel/gcc-3.4.5 (masked by: package.mask, -* keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.

Itt már elvileg a gcc 4.0.2-nek kellene lennie nem?
Mostanában nem változtattak valamit a csomagok maszkolásán a gentooék?
Van egy olyan gyanúm, hogy megint újabb a rendszerm mint a doksik.

Sziasztok, nemtudom hogy talalkoztatok mar ilyesfajta problemaval:

Van egy maxtor winyom(hdd), van rajta egyetlen particio(hdd1), amely fat32es,mikor beindul a gentoom, feldob 1 csomo errort a winyoval kapcsolatban.
[code:1:4ffd3b5364]Oct 27 05:01:15 localhost hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
Oct 27 05:01:15 localhost hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
Oct 27 05:01:15 localhost ide: failed opcode was: unknown
Oct 27 05:01:15 localhost hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
Oct 27 05:01:15 localhost hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
Oct 27 05:01:15 localhost ide: failed opcode was: unknown
Oct 27 05:01:15 localhost hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
Oct 27 05:01:15 localhost hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
Oct 27 05:01:15 localhost ide: failed opcode was: unknown
Oct 27 05:01:15 localhost hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
Oct 27 05:01:15 localhost hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
Oct 27 05:01:15 localhost ide: failed opcode was: unknown
Oct 27 05:01:15 localhost ide1: reset: master: error (0x7f?)
Oct 27 05:01:15 localhost hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
Oct 27 05:01:15 localhost hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
Oct 27 05:01:15 localhost ide: failed opcode was: unknown
Oct 27 05:01:15 localhost hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
Oct 27 05:01:15 localhost hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
Oct 27 05:01:15 localhost ide: failed opcode was: unknown
Oct 27 05:01:15 localhost hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
Oct 27 05:01:15 localhost hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
Oct 27 05:01:15 localhost ide: failed opcode was: unknown
Oct 27 05:01:15 localhost hdd: dma_intr: status=0x51 { DriveReady SeekComplete Error }
Oct 27 05:01:15 localhost hdd: dma_intr: error=0x84 { DriveStatusError BadCRC }
Oct 27 05:01:15 localhost ide: failed opcode was: unknown
Oct 27 05:01:15 localhost ide1: reset: master: error (0x7f?)
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071487
Oct 27 05:01:15 localhost Buffer I/O error on device hdd1, logical block 160071424
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071488
Oct 27 05:01:15 localhost Buffer I/O error on device hdd1, logical block 160071425
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071489
Oct 27 05:01:15 localhost Buffer I/O error on device hdd1, logical block 160071426
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071490
Oct 27 05:01:15 localhost Buffer I/O error on device hdd1, logical block 160071427
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071491
Oct 27 05:01:15 localhost Buffer I/O error on device hdd1, logical block 160071428
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071492
Oct 27 05:01:15 localhost Buffer I/O error on device hdd1, logical block 160071429
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071493
Oct 27 05:01:15 localhost Buffer I/O error on device hdd1, logical block 160071430
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071494
Oct 27 05:01:15 localhost Buffer I/O error on device hdd1, logical block 160071431
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071487
Oct 27 05:01:15 localhost Buffer I/O error on device hdd1, logical block 160071424
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071488
Oct 27 05:01:15 localhost Buffer I/O error on device hdd1, logical block 160071425
Oct 27 05:01:15 localhost end_request: I/O error, dev hdd, sector 160071489
[/code:1:4ffd3b5364]
Windowsban mukodik, sot ha jol emlexem gentoo telepitocdvel is, genkernelt raktam fel mint a gentoo livecdn is van, de egyszeruen nem ertem mi lehet a baja, nem hinnem hogy win only winyo lenne...

[code:1:4ffd3b5364]localhost ~ # hdparm -i /dev/hdd

/dev/hdd:

Model=Maxtor 6Y080L0, FwRev=YAR41BW0, SerialNo=Y2J8TK8E
Config={ Fixed }
RawCHS=16383/16/63, TrkSize=0, SectSize=0, ECCbytes=57
BuffType=DualPortCache, BuffSize=2048kB, MaxMultSect=16, MultSect=off
CurCHS=16383/16/63, CurSects=16514064, LBA=yes, LBAsects=160086528
IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
PIO modes: pio0 pio1 pio2 pio3 pio4
DMA modes: mdma0 mdma1 mdma2
UDMA modes: udma0 udma1 udma2 udma3 *udma4 udma5 udma6
AdvancedPM=yes: disabled (255) WriteCache=enabled
Drive conforms to: (null):

* signifies the current active mode

localhost ~ # hdparm /dev/hdd

/dev/hdd:
multcount = 0 (off)
IO_support = 1 (32-bit)
unmaskirq = 1 (on)
using_dma = 1 (on)
keepsettings = 0 (off)
readonly = 0 (off)
readahead = 256 (on)
geometry = 65535/16/63, sectors = 81964302336, start = 0

[/code:1:4ffd3b5364]
Koszi elore is a segitseget.

legnagyobb guru lol, hat az meg fenyevnyire van :) koszi a valaszt. azert kerdeztem ra erre a maintainersegre, mert debiannal ez szinte teljesen eselytelen. persze ez valamennyire biztositek a silany buildek kikerulesere.

mas. egy sync utani portage cache frissites eltart kb. husz percig egy 1.7-es Celeron-on 256 mega rammal. nem lehet ezt picit gyorsitani?

huh mostanra sikerult atolvasnom a teljes topicot, igy az elozo kerdesemre elvileg megvan a valasz: [url=http://forums.gentoo.org/viewtopic.php?t=142475]dep[/url]

most lehet valamit nagyon elcsesztem....szoval az eredeti 2.4-es kernel helyett a 2.6-ost raktam fol....de indulasnal semmi nem valtozott,pedig megcsinaltam mindent ami kell.Ugyanazok a hibak,semmi nem valtozott,szoval a bzImage-t beraktam a /boot-ba,megcsinaltam a szukseges symlinket,valamit meg at kell irni tuti....de mit,hol?

közben végigolvastam a threadet, és irta valaki, hogy a kde-t sem darabolták szét mint más disztribúciókban... lehet hogy a samba is egyben van? (máshol samba-common, samba-client, samba, libek...) ez okozhatja a problémát, mert van smb USE flag beállitva, és ha jól láttam az mc-be forditott smb vfs támogatást is. sajnos nem tudom megnézni most :?

de azért jó lenne, ha valaki megerősitene, vagy rávilágitana, hogy nem ez a probléma :)

Sziasztok!

Megpróbáltam feltelepíteni a Gentoo-t, és ott akadtam el, hogy nem látja a PCI RAID vezérlőmre pakolt hdd-ket, pedig az egyikre szeretném rárakni...
Viszont van rajta már pl. egy SuSE9.1-esem ami viszont felismerte. Ha jól gondolom akkor a SuSE egy kernel modult használ hozzá ami a Gentoo livecd-jén lévő kernel-ben nincs benne?
Hogy tudnám megállapítani, hogy hogyan ismeri fel a SuSE?

Az lspci-t lefuttattam és ez lenne az eszköz:
0000:01:06.0 RAID bus controller: CMD Technology Inc PCI0680 (rev 02)

Kikapcsoláskor / vagy újraindításkor (az ALSA leállításánál) a rendszer ledöglik a következő üzenetekkel:

Code: 89 4b 04 89 19 89 51 04 89 4e 08 eb c7 8b 19 8b 51 04 89 1a
Work <1>Unable to handle kernel NULL pointer dereference at virtual address 000000c0
Work printing eip:
Work c037d485
Work *pde = 00000000
Work Oops: 0002
Work CPU: 0
Work EIP: 0010:[<c037d485>] Tainted: P
Work EFLAGS: 00210292
Work eax: 80030000 ebx: 00000000 ecx: 00000000 edx: c037d420
Work esi: dfa4e9bf edi: ffffffea ebp: 00000400 esp: d4ac5f94
Work ds: 0018 es: 0018 ss: 0018
Work Process lsmod.old (pid: 3714, stackpage=d4ac5000)
Work Stack: c0138cf3 dfa4e9c0 40018000 00000400 dfa4e9e0 d4ac4000 00000004 d4ac4000
Work 08069010 00000000 bfffe024 c0108a3f 00000003 40018000 00000400 08069010
Work 00000000 bfffe024 00000003 0000002b 0000002b 00000003 400d64d8 00000023
Work Call Trace: [<c0138cf3>] [<c0108a3f>]

Ezután már csak a "katapult" (reset) segít. Tudna valaki használható tanácsot adni??? Hozzáteszem, hogy eddig nem volt semmi probléma...

Sziasztok!

Szomorú helyzet állt elő. Gentoo telepítés, amikor a stage3 tarball-t kell kicsomagolni leáll a következő hibaüzivel:
[code:1:26af9d9f36]tar: ./usr/lib/locale/tr_TR/LC_NAME: Cannot write: no space left on device[/code:1:26af9d9f36]

Én értem mi a gond. Megtelt a lemez. 40 Gb-s vinyó, kb 10 Gb van lefoglalva.
mkswap és mke2fs megvolt.
/dev/hda6 swap, swapon megvolt, /dev/hda7 a root partíció, ez mountolva van.
A swap mérete ~1.1 Gb, a / mérete ~29.5 Gb. A cd-n levő handbook azt írja, hogy a swapon után mountolni kell a swap-ot. Akárhogy nézegetem nem megy, nem engedi a mount-al, bár nem hiszem, hogy azzal kell. Az online magyar (1.4-es) manuál szerint csinálom.
Ott nem volt említve, de nem lehet, hogy a stage3 tarball kicsomagolását már az új fájlrendszeren kell elvégezni ? (/mnt/gentoo)
Ha nem, akkor mi a hibám ?

SZERK: én hülye...valahogy elkerülte a figyelmem, de át kell lépni az /mnt/gentoo-ba. Bocsánat!

[quote:bf442e278b="testerlnx"]0000:01:06.0 RAID bus controller: CMD Technology Inc PCI0680 (rev 02)[/quote:bf442e278b]

siimage.(k)o, ha jol tudom

(CMD Technology Inc == Silicon Image)

ez a hiba nálam bash frissítés után jött elő> baselayoutot kellett hozzá frissíteni, és megszűntek a dhcp indulási hibák

[quote:f9c99fe529="nzmark"]Sziasztok!

Ha egy csomagot el szeretnék távolítani, hogyan tudom megnézni, hogy még milyen csomagok függnek ettől a csomagtól? van erre az apt-get remove -hoz hasonló megoldás, ami kiírja, hogy ha ezt le akarod szedni, akkor még ezt is, meg ezt is le fogom? bár nekem elég lenne az is, hogy megmondja a függőségeket.[/quote:f9c99fe529]

qpkg --query-deps csomagneve

Bár lehet, hogy már nem aktuális, de nekem ezen a héten, amikor telepítettem meggyűlt a bajom a #88777-es buggal ([url]bugs.gentoo.org/88777[/url]), hogy a python-fchksumot előbb akarja emegrelni, mint magát a pythont...

A megoldás: a bootstrap után, emerge -e system előtt kell: emerge python

Nekem ugyanaz volt a bajom telepítésnél, mint amit az első oldalon írtatok. GCC-nél szállt el.

Másodikra túljutott rajta, akkor a kernel-headers is felment, aztán a modules -nél megint elhasalt.

Vagy 4x álltam neki eddig Gentoot telepíteni, most már csak ez akadályozott meg :) Talán jövő ilyenkorra fel sikerül majd raknom (olyan márciusban próbáltam először).

ACCEPT_KEYWORDS="~x86" emerge sys-kernel/rsbac-dev-sources

Köszönöm!
Hmmm
Elég szűk szavú vagy :)
Nézelődök, egyenlőre csak SATA-val kapcsolatos írásokat találtam hozzá.
Nem kernel modul, ha jól látom, legalábbis SuSE lsmod-nál nem ír ilyet.
Ahh a SuSE-s kernel forrásban benne van: ./drivers/ide/pci/siimage.c :)
Ez egy kernel patch? Kellene forgatnom egy kernelt evvel a patch-el és
avval felrakni a gentoo-t?

[quote:c92df53382="Begi"]Igazabol az a baj, hogy az SB Live pont forditva adja ki a center es sub jeleket,mint ahogy a hangfal veszi. Win alatt van olyan a creative centerbe, hogy bass redirection, es ezzel ugyebar megcsereljuk a centert es subot. Na marmost ezt itten alsa-ban hogy lehet megcsinalni?[/quote:c92df53382]

figyu, paraszt módszer de valszeg bejön:

Nézz körül a /dev/snd illetve /dev/sound -ban ott lenne valahol a pcm, pcm2 (legalábbis nálam), gondolom neked reméljük ott lesz center és a sub is. aztán valahova csinálj ln -s paranccsal linkeket rájuk úgy hogy aztán ezeket adod meg az xmms-ben vagy mplayerben, vagy amiben akarod.
Más ötletem nincs.

[quote:9ea9053ca2="PcZolee"]OK, újrakezdem, és beillesztem, de egyébként szerintem ami kell ott van![/quote:9ea9053ca2]
[code:1:9ea9053ca2]
Segmentation fault
dmake: Error code 139, while making '../../../../../unxlngi4.pro/misc/com_sun_star_comp_servicemanager_dummy.java'
---* TG_SLO.MK *---
[/code:1:9ea9053ca2]
az a baja, hogy vmi elsegfaultolt. imho hogy pontosan mi, azt írta ki az előző sorban
aztán kiírta, hogy segfault
_imho_ :wink:

Ja, és azt nem értem, hogy 9/14 már készen volt a bootstrapből, hogy

1. miért nem képes érzékelni hogy 9 már megvolt miért nem kezdi 10-től?
2. ha nem 10-től, akkor miért nincs egy nem-monolitikus bootstrap.sh ami az egész bootstrapet csinálja, miért nincs mondjuk külön egy a modules-hez..?

Lehet tudna bonyolítani dolgokat, de egy 433-as celeronon fél nap fordulás után kiadni egy hibaüzit, majd újbóli próbánál vígan előről kezdeni mindent, nem jó poén.

[quote:579f889297="Anonymous"]valamit meg at kell irni tuti....de mit,hol?[/quote:579f889297]

uname -r mit mond? mar a 2.6-ost bootolja? ha nem, akkor ertesitsd a bootmanagered (grub, esetleg lilo) a valtozasrol

Hopp gentoo alatt viszont van ilyen modul, a fene sem érti :)
Nah kiprób...
kernel/drivers/ide/pci/siimage.o

Ott írja, hogy a 4.0.2-r2-nek -* a maszkolása, tehát a package.keywordsbe nem ~x86-ot kell írni, hanem -* -t

[quote:1dcba6c49e="PcZolee"]Itt a "teljes" lista!
[code:1:1dcba6c49e]
adding: org/openoffice/java/accessibility/MenuItem.class (deflated 49%)
adding: org/openoffice/java/accessibility/Paragraph$AccessibleParagraph.class (deflated 61%)
adding: org/openoffice/java/accessibility/Window.class (deflated 54%)
adding: org/openoffice/java/accessibility/FocusTraversalPolicy.class (deflated 57%)
adding: org/openoffice/java/accessibility/AccessibleObjectFactory.class (deflated 56%)
adding: org/openoffice/java/accessibility/AccessibleKeyBinding.class (deflated 37%)
adding: org/openoffice/java/accessibility/Icon.class (deflated 50%)
adding: org/openoffice/java/accessibility/Component.class (deflated 58%)
adding: org/openoffice/java/accessibility/RadioButton$AccessibleRadioButton.class (deflated 58%)
adding: org/openoffice/java/accessibility/AccessibleActionImpl.class (deflated 47%)
-------------
/var/tmp/portage/openoffice-1.1.1-r1/work/oo_1.1.1_src/accessibility/bridge/org/openoffice/accessibility
Making dpj...
------------------------------
Making: ../../../../unxlngi4.pro/misc/java_uno_accessbridge.dpc
dmake subdmake=true -f makefile.mk product="full" depend=t ALLDPC
------------------------------
No Dependencies
javac -classpath ".:../../../../unxlngi4.pro/class:/opt/blackdown-jdk-1.4.1/jre/lib/rt.jar:.:/var/tmp/portage/openoffice-1.1.1-r1/work/oo_1.1.1_src/solver/645/unxlngi4.pro/bin/sandbox.jar:/var/tmp/portage/openoffice-1.1.1-r1/work/oo_1.1.1_src/solver/645/unxlngi4.pro/bin/jurt.jar:/var/tmp/portage/openoffice-1.1.1-r1/work/oo_1.1.1_src/solver/645/unxlngi4.pro/bin/unoil.jar:/var/tmp/portage/openoffice-1.1.1-r1/work/oo_1.1.1_src/solver/645/unxlngi4.pro/bin/ridl.jar" -d ../../../../unxlngi4.pro/class AccessBridge.java KeyHandler.java PopupWindow.java WindowsAccessBridgeAdapter.java

Segmentation fault
dmake: Error code 139, while making '../../../../unxlngi4.pro/misc/java_uno_accessbridge_dummy.java'
---* TG_SLO.MK *---

ERROR: Error 65280 occurred while making /var/tmp/portage/openoffice-1.1.1-r1/work/oo_1.1.1_src/accessibility/bridge/org/openoffice/accessibility

!!! ERROR: app-office/openoffice-1.1.1-r1 failed.
!!! Function src_compile, Line 364, Exitcode 1
!!! Build failed![/code:1:1dcba6c49e]

Remélem sikerül vmit kihámozni belőle![/quote:1dcba6c49e]
Nekem még soha nem sikerölt ooo leforgatno
de elméletileg fordul csak 4-5 Gb szabad hely kell
cchast mindenképp ki kell kapcsolni
2Gb a fordítás végén
és kb 1gb memória szükséges a gépben (ennek jó része lehet swap is)

és igy kb 8-10 óra alatt lefordul

LILO-m van,hogy szoljak neki hogy nem tetszik amit csinal? :)

[quote:e016af60f5="lacipac"]De azért pl a sambánál én előnyösebbnek tartanám ha külön lenne a szerver-kliens-lib, minthogy ha van egy gentoom amit desktopnak üzemeltetek, ezen rajta van a szerver is, feleslegesen, a szerver gentoon meg rajta van a samba kliens, aminek szintén nincs túl sok haszna.[/quote:e016af60f5]
ebben van valami, de imho sokkal több baj van vele, mint amennyi hasznot hoz
én az 1 csomag 1 forrás elvet vallom :wink:

ujra emerge-eljem a lilo-t?

van vki akinek 2.6-os kernel alatt leforog az uj nvidia-kernel csomag ?
nalam kiirja hogy szedjem ki a kernelbol a rivafb-t vagy mit, de nincs is ilyen a kernelemben....

[quote:7ab1094004="strangedr"]az ilyen feature requesteket hivatalosan a bugs.gentoo.orgra kell beküldeni, de persze nem árt, ha reklámozod kicsit másutt is; mondjuk nyiss a témának egy topikot az FGO-n a Network szekcióban...[/quote:7ab1094004]
koszi a tippet. nezegettem a bugs.gentoo-t, s ott bukkantam ra a net-firewall/ipp2p ebuildre. :oops: egy gonddal kevesebb. viszont lehet, hogy ilyenforman megcsinalom a geoip-t s akkor nem kell hozzanyulnom az official iptables ebuildhez. hmmm.

[quote:43579d3303="testerlnx"]Az mrxvt-ben ha benyomom az altgr -t akkor az ablak cimsoraban irja, hogy atvalt Greek:iso bevitelre, le lehet ezt tiltani vhol?í [/quote:43579d3303]
Utána néztem egy pár helyen, köztük a google-on is de csak ezt az 1998-as msg-t (http://mlf.linux.rulez.org/Archivum/linux-199804/msg00083.html) találtam amire nem kapott választ a srác, remélem 6 év alatt vki csak megoldotta :)

Na:

Modemről telepítek gentoot, és kíváncsi vagyok, nektes is elérhetetlen a mirrorok többsége, emerge sync nem működik sem default, sem az európai mirrorral???
(tulajdonképpen 1 wingate-es gép mögűl vagyok, de nem kéne gondot okoznia, nat megy...)
Még 1 furcsa dolog::: mirrorselect is v.hogy furcsán megy:ha először indítom, akkor jó eséllyel megy, ha viszont utána ctrl-c, majd újra próbálkozom megint nem tudja letolteni a mirror listet...

[quote:fa2c81580e="Orgi"]Udv!
Ha emerge-vel felrakok valamit ami dependel mindenfele mas csomaggal, h tudom utana leszedni az egeszet? Van ra valami mod, h az adott csomag eltavolitasanal azt is lekapja ami a csomag miatt kerult fel?
-Orgi-[/quote:fa2c81580e]
Na én utánajártam a dolgoknak és arra jutottam, hogy az emerge unmerge ezeket a dependency-ket nem törli le, és nincs mód, hogy azokat is letörölje, DE az [b:fa2c81580e]emerge depclean[/b:fa2c81580e] letörli azokat a függőségeket amelyeket egyik csomag sem használ. A gentoo installation handbookban azt írják hogy használd a -p opcióval, különben lehet hogy egyes programok nem fognak működni (persze ezután is lehet, de az más kérdés).

ujra emerge-eltem a lilo-t,mostmar a 2.6.7-est tolti...viszont a net meg mindig rossz....valaki le tudna nekem irni szajbaragosan hogy mit kell irni a etc/modules.autoload.d/kernel-2.xx fajlba,hogy betoltse a 8139-es halokartyam moduljat indulaskor?meg sose csinaltam ilyet :oops:

Tudomásom szerint ezt még csak a már feltelepített csomagoknál tudod megnézni. Esetleg próbáld más disztribúcióban megnézni, feltehetőleg hasonlít a gentoos ebuild neve is (ha szerencséd van).

rigidus: fgo-n van egy topic, ahol vannak hasznos portage utility-k, amik nincsenek benne a portage-ben, többek között a dep, ami eltávolítja a nem kellő csomagokat (amire semmi sem hivatkozik), és egy másik, ami meg "remove cruft" vagy valami ilyesmi néven van reklámozva, de ha végignézed ezt a topicot akkor biztos sok jó programra lelsz: http://forums.gentoo.org/viewtopic-t-67849-highlight-portage+utilities+listed.html

Remélem nem vertek meg amiért a kis felbontásotok miatt széthúzza a link a boxokat :)

[quote:0b37a66340="lacipac"]DE az [b:0b37a66340]emerge depclean[/b:0b37a66340] letörli azokat a függőségeket amelyeket egyik csomag sem használ. A gentoo installation handbookban azt írják hogy használd a -p opcióval, különben lehet hogy egyes programok nem fognak működni (persze ezután is lehet, de az más kérdés).[/quote:0b37a66340]

valoban nem fognak mukodni bizonyos dolgok (pl emerge :))
ha tud valaki olyan toolt, ami tenyleg ugy mukodik, hogy kilistazza azokat a csomagokat, amire mas csomagoknak nincs szuksege szoljon (~deporphan)

Sztem scak annyit, hogy:
8139too

congo: először ha telepítés előtt nyomsz egy "emerge -pv mc" parancsot, akkor láthatod, hogy melyik program milyen a USE flageket használ, és hogy milyen csomagokat töltene le. mivel én az mc-t X nélkül szoktam használni, amikor használom, és közben még az egeret sem húzkodom, és még samba sincs errefelé, ezért nyogodt szívvel megnézhetem hogy a [code:1:692c2f9fc9]USE="-X -gpm -samba" emerge -pv mc[/code:1:692c2f9fc9] parancs mit ad eredményül, és én az eredménnyel meg vagyok elégedve, ezért a [u:692c2f9fc9]p[/u:692c2f9fc9] és a [u:692c2f9fc9]v[/u:692c2f9fc9] paramétereket nem használva felrakom az mc-t.

ui: Nekem alapból -samba van, de Neked ismeretlen okokból (régi Portage fa (?)) a samba ott volt.

uiui: A USE flagjaid között van a hiba :wink:

[quote:dc83f1c698="LiRul"]koszi a linket, erdekes valoban a sok --search mozilla result. feltettem at a csomagot amiben van az equery es az esearch, eupdatedb lefutasa utan lenyegesen gyorsabban lehet keresni a portage faban. de mondjuk ennek a cache-nek az elkeszitese sem ket pillanat :) nembaj, en is raerek annyira nem hajt a tatar.

mas. kivaloan mukodik a PORTDIR_OVERLAY, viszont lehetne-e olyat csinalni, hogy a sajat portage famat egy sajat cvs/svn repobol frissitse mindig a sync? az elkeszitett csomagjaimat szeretnem valami kozponti helyen tarolni, hogy egyszeru legyen akarhany gepre atvinni.[/quote:dc83f1c698]

emerge gentoolkit-dev
gensync --help
/etc/gensync szerkesztése

Mért hol akartad kitömöríteni a stage3-at?

megcsinálod a partíciókat cfdiskkel. BOOT, ROOT, SWAP. (helyettesítsd be mondjuk hda1 hda3 hda3)
aztán:
[code:1:53eaa66da6]mkfs.ext2 /dev/BOOT
mkfs.ext3 /dev/ROOT
mkswap /dev/SWAP[/code:1:53eaa66da6]

[code:1:53eaa66da6]mount /dev/ROOT /mnt/gentoo[/code:1:53eaa66da6]
letöltöd a stage3-at az /mnt/gentooba.
[code:1:53eaa66da6]cd /mnt/gentoo
wget MIRROR/releases/ARCH/current/stages/SUBARCH/stage3.tar.bz2 [/code:1:53eaa66da6]
Ott kicsomagolod.
[code:1:53eaa66da6]tar -jxf stage3.tar.bz2[/code:1:53eaa66da6]

Akkor lesz /mnt/gentoo/boot könyvtár.
akkor pedig
[code:1:53eaa66da6]mount /dev/BOOT /mnt/gentoo/boot/[/code:1:53eaa66da6]

a swapot nem úgy mountolod...
[code:1:53eaa66da6]swapon /dev/SWAP[/code:1:53eaa66da6]

ha az van beállítva a make.conf-ban, akkor igen

Hogy lehet beállitani, hogy a gentoo unstable, stable, vagy az épp aktuális 2005.0 kiadását használjam?
Debianban ez az apt-sources, gentooban accpet_keyword="~86" lenne csak az unstable-re váltás? Mi a különbség a stable és a 2005.0 között?

[quote:15d7fcf6a6="Anonymous"]LILO-m van,hogy szoljak neki hogy nem tetszik amit csinal? :)[/quote:15d7fcf6a6]

/etc/lilo.conf átírása, aztán lilo futtatása

Én mostanában térek át a 2.6 szériára és akkor elvileg kipróbálom az nvidia modult is, csak 2.4 alatt vesafb-vel nekem az volt vele a problémám, hogy amikor elindítottam az X-et, az összes tty* terminált összegányolta, teljesen használhatatlan volt. Bár azt írják hogy nem is szeretik egymást, de azért engem szíven ütött a dolog.

modprobe siimage
behúztam de továbbra se m látom a hdd-imet :(

Akkor nem érdekel, 8-10 órám nincs rá, fenn van a bináris, az is jó, nem hinném, hogy sokkal gyorsabb lenne!

nos, köszönöm a javaslatot. az use flageket szépen beállitottam egyenként az alaprendszer előtt, mikor a handbook javasolta, és ott megadtam hogy nekem kell a samba, mert nyugodtan forditson samba támogatást mindenbe amiben van ilyenre lehetőség.

akkor most kicsit célirányosabban teszem fel a kérdést: azért rakta fel a samba (szerver)csomagot, mert samba támogatást kértem? nem elég ilyenkor valami samba libeket feltennie?

xmms-mpg123 talan?

[quote:98452bd7e3="PcZolee"]Akkor nem érdekel, 8-10 órám nincs rá, fenn van a bináris, az is jó, nem hinném, hogy sokkal gyorsabb lenne![/quote:98452bd7e3]
a ximianost viszont érdemes kiprobálni az nekem 1 ora alatt lefordult
meg is voltam rajta lepődve rendesen

Annyi finomito javaslattal élnék, hogy -p helyett -a, és akkor nem kell ujra kiadni -p nélkul, hanem csak enterrel jováhagyni a kérdést. (-a = ask)

[quote:bfb63179d8="Anonymous"]ACCEPT_KEYWORDS="~x86" emerge sys-kernel/rsbac-dev-sources[/quote:bfb63179d8]

Ezt miert nem tudja magatol?

York.

dmesg:

SiI680: IDE controller at PCI slot 01:06.0
SiI680: chipset revision 2
SiI680: not 100% native mode: will probe irqs later
SiI680: BASE CLOCK == 133
ide2: MMIO-DMA , BIOS settings: hde:pio, hdf:pio
ide3: MMIO-DMA , BIOS settings: hdg:pio, hdh:pio

Hogy érem utol Őket?

Sziasztok!

Probalt mar valaki gentoo live cd t bootolni HT s p4 en?
Ha a hyperthreading be van kapcsolva, segmention faultal elszall...
Ez csak nalam van igy? Vagy van ra valami magyarazat.

sajna nem, debian alatt 'socket' a neve, slackware alatt meg nincs ilyen nevu csomag :(

Telepítettem egy új rendszert. Majdnem mindent sikerült beállítanom, csak a hangkártyával van némi gondom. Vagy inkább az udev-vel. Bootoláskor nem jön létre a /dev/sound könyvtár a hozzá tartozó fájlokkal.
Ezeknek kellene létrejönni:
sh-3.00# ls -l /dev/sound/
összesen 0
crw-rw---- 1 root audio 14, 12 nov 12 17:09 adsp
crw-rw---- 1 root audio 14, 4 nov 12 17:09 audio
crw-rw---- 1 root audio 14, 3 nov 12 17:09 dsp
crw-rw---- 1 root audio 14, 0 nov 12 17:09 mixer

sh-3.00# ls -l /dev/ds*
lrwxrwxrwx 1 root root 9 nov 12 17:09 /dev/dsp -> sound/dsp

A hankártya egy közönséges sblive.
A régi renszeremen tökéletesen működik, de azon van dev is. Az újon viszont nem tudom elindítani a devfsd-t.
A régi rendszeremen lég volt egy RC_DEVFSD_STARTUP="yes" sor az etc/conf.d/rc fájlba, de azóta már totál szétbarmolták az rc cuccokat. Az új rendszeren ez már nem megy.
A kérdésem az lenne, hogyan lehet mostanában devfs-t csinálni gentoora, vagy hogyan lehet az udev-et normális működésre rávenni.

Érdekesség képpen megjegyzem, hogy ha a régi rendszeremről megpróbálom a /dev/dsp fájlt átmásolni az újba (ami persze baromság) akkor kapok egy hibaüzenetet, de létrejönnek a fentebb említett fájlok, és működik is minden rendesen, egészen a következő újraindításig, amikoris törlődnek ezek az állományok...

Sziasztok újra!

Örömmel jelentem :), hogy van egy alap Gentoo Linux-om. Van /boot is :)
Most épp a dhcp-t kívánom felvarázsolni. Utána éjszakára egy kis x11 fordítás :)

A /etc/conf.d/net -ben megadtam az iface_eth0 után az IP-t, a broadcast-ot és a gateway-t, de hibát dobott boot-oláskor, nem ismerte fel a parancsot. Utána kiszerkesztettem a beírt dolgokat, hogy dhcp legyen. Akkor az lett a baj, hogy nincs dhcp modul.
Ezt csak megemlítem, amikor ezt olvassátok, már vadul dolgozom a probléma megoldásán :) (kis agyalás, utánaolvasás után)
Debian-nál mindent a képembe tolt a telepítő :) de nem hiszem, hogy gondot okozhat mostmár, ha eddig eljutottam.

A framebuffer támogatás benne van, de ha a hogyan-ban leírt módon egészítem ki a Grub-ot, nem változik semmi!

mert nem ' kell (shift-1) hanem ` (altgr-7)
Egyébként a gtk.org-on a
[code:1:d49ba43ca6]$ gcc foo.c -o foo `pkg-config --cflags --libs gtk+-2.0`[/code:1:d49ba43ca6]
parancsot ajánlják, nekem így működik.

Hi All!

Volna mégegy problémám, amivel kezdö gentoosként nem birkózom meg:
Fetchonly-zok éppen adsl-röl egy cimbinél, és leszedtem X.org-ot.
Amikor le akarom szedni pl. gkrellm-et, mindenáron akar hozzá X4.3-at is szedni. Hogy lehet neki megmondani, hogy ott az X.org?

pink

ha lefuttatsz rajta egy wines scandisket, nem mutat semmilyen hibát?

Egyebkent kellemes ünnepeket mindenkinek :D

Khiráály!!
Azé' örülök hogy valaki ért is hozzá, nem csak használja mint én:)

Python upgrade után(nem most volt), 2.4-essel nem megy ez emerge:
[code:1:213c75f9d9]# emerge --info
Traceback (most recent call last):
File "/usr/bin/emerge", line 10, in ?
import portage
File "/usr/lib/portage/pym/portage.py", line 7231, in ?
portdb=portdbapi(settings["PORTDIR"])
File "/usr/lib/portage/pym/portage.py", line 5185, in __init__
self.eclassdb = eclass_cache(self.porttree_root, self.mysettings)
File "/usr/lib/portage/pym/portage.py", line 5028, in __init__
self.dbmodule = self.settings.load_best_module("eclass_cache.dbmodule")
File "/usr/lib/portage/pym/portage.py", line 1232, in load_best_module
return load_mod(best_mod)
File "/usr/lib/portage/pym/portage.py", line 139, in load_mod
mod = __import__(modname)
File "/usr/lib/portage/pym/portage_db_cdb.py", line 21, in ?
import cdb
ImportError: No module named cdb[/code:1:213c75f9d9]

Ezekbe a fájlokba nem tudom mit kellene belebuherálni.

2.3-al megy frankón, ezért python upgrade-ek után workaroundként mindig visszaállítom a /usr/bin/python symlinket a 2.3-asra.

Aztán egyszercsak az fordult elő, hogy a dbus upgrade-hez kell a 2.4-es python:

[code:1:213c75f9d9]checking for python... /usr/bin/python
checking for python version... 2.3
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.3/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.3/site-packages
checking whether /usr/bin/python version >= 2.4... too old
checking for pyrexc... pyrexc
checking for headers required to compile python extensions... found
configure: error: Building python explicitly requested, but can't build python bindings because either Pyrex, Python headers or a suitable Python version was not found[/code:1:213c75f9d9]

Van még egy ilyenem de nagyon hosszú:
[code:1:213c75f9d9]!!! Please attach the config.log to your bug report:
!!! /var/tmp/portage/dbus-0.60-r1/work/dbus-0.60/config.log[/code:1:213c75f9d9]

Másik workaround: USE="-python" emerge dbus, de mivel python alapból benne van a useok között, ezért minden emerge-nél kézzel kell trükközni.

Volt másnak hasonló hibája, mit lehet tenni?

[code:1:213c75f9d9]# emerge --info
Portage 2.0.53 (default-linux/x86/2005.0, gcc-3.3.6, glibc-2.3.5-r2, 2.6.13-gentoo-r5 i686)
=================================================================
System uname: 2.6.13-gentoo-r5 i686 Intel(R) Pentium(R) 4 CPU 1.60GHz
Gentoo Base System version 1.6.13
ccache version 2.3 [enabled]
dev-lang/python: 2.3.5, 2.4.2
sys-apps/sandbox: 1.2.12
sys-devel/autoconf: 2.13, 2.59-r6
sys-devel/automake: 1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils: 2.16.1
sys-devel/libtool: 1.5.20
virtual/os-headers: 2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /usr/X11R6/bin/startx /etc/env.d"
CXXFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://gentoo.ITDNet.net/gentoo ftp://gentoo.itdnet.net/gentoo/ ftp://pandemonium.tiscali.de/pub/gentoo/"
LANG="hu_HU"
LC_ALL="hu_HU"
LINGUAS="hu"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aac acpi alsa apache2 arts audiofile avi bash-completion bitmap-fonts bzip2 cdb cdparanoia cdr crypt curl dga divx4linux dri dvd dvdr dvdread encode exif expat fam ffmpeg gd gif glut gmp gpm gstreamer gtk2 icq idn imagemagick imlib ipv6 java javascript jpeg kde kdeenablefinal lcms lm_sensors mad mbox mikmod mime mmap mmx mng motif mp3 mpeg msn nas ncurses nls nptl nptlonly nsplugin ogg oggvorbis opengl oss pam pcre pdflib perl pic png python qt quicktime readline recode sdl slang spell sse sse2 ssl tcltk tcpd tiff truetype truetype-fonts type1-fonts udev unicode usb v4l v4l2 vcd vorbis win32codecs xine xml2 xmms xv xvid zlib linguas_hu userland_GNU kernel_linux elibc_glibc"
Unset: ASFLAGS, CTARGET, LDFLAGS, PORTDIR_OVERLAY
[/code:1:213c75f9d9]

[code:1:213c75f9d9]# more /etc/make.conf
# These settings were set by the catalyst build script that automatically built this stage
# Please consult /etc/make.conf.example for a more detailed example
CFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j2"
GENTOO_MIRRORS="http://gentoo.ITDNet.net/gentoo ftp://gentoo.itdnet.net/gentoo/ ftp://pandemonium.tiscali.de/pub/gentoo/"
USE="-gtk -gnome -berkdb -cups -apm -emboss -foomaticdb -fortran -gdbm -gphoto2 -libg++ -libwww qt kde dvd alsa cdr
msn sse sse2 mmx dvdread dvdr unicode usb ffmpeg xvid cdparanoia win32codecs lm_sensors aac acpi bzip2 dga exif vcd
java pic nptl divx4linux icq javascript kdeenablefinal mime mmap v4l v4l2 nas -eds nptlonly mbox apache2
dri nsplugin"
LINGUAS="HU"
KEYMAP="hu"
FEATURES="ccache"
CCACHE_DIR="/var/tmp/ccache"
CCACHE_SIZE="2G"
CONFIG_PROTECT_MASK="/usr/X11R6/bin/startx"
[/code:1:213c75f9d9]

szedd le az alsa-lib, alsa-driver, alsa-utils csomagok legfrissebb verzióit (1.09 asszem) a megfelelő helyről, vagy győződj meg róla az emerge --pretend alsa-driver futtatása után hogy konkrétan melyik verzió kell neked, aztán tedd be a csomagok közé (/usr/portage/distfiles)
emerge -k alsa-driver
ez eltart egy darabig
aztán emerge -k alsa-utils
aztán az etc/modules.d/alsa konfigfileban unkommentezni kell a megfelelő sorokat, valamint az alsa oldalán (legalul) nézd meg hogy mi a hangkártyád moduljának a neve, az is kell oda.
aztán modules-update
az alsa-mixer-rel meg tuningolhatod a csatornákat, mert alapba minden némítva van.

bővebb infó:
http://www.gentoo.org/doc/hu/alsa-guide.xml
http://www.alsa-project.org/alsa-doc/

frissitettem opera-t, 8.0-rol 8.0.1-re.
azota nem indul, csak segfaultot dob. mit tudok tenni? revdep-rebuild mar lefutott (ketszer is), az az operat mindig hibasnak talalja, de ez eddig is igy volt. (a libXm.so-val van valami gubanc)

ez a dillo meg gyors, de azert megsem opera.

hi!
magyar ekezeteket csalnek elo valahogy
mennek is de sok helyen az ekezetes betuk helyett krikszkrakszok vannak :(
mit kellene feltegyek vagy beallitsak hogy a konzolon is legyen ekezet ( debian fonty) ???
a masik ahonnan hianyzik az a szerkeszto (vim) ott is csak krikszkrakszok vannak.

plz help:)

elore is koszi

tisztelettel

zsomi

[quote:319ad1160d="LiRul"]
koszi a reszletes valaszt. persze ez csak ironia volt reszemrol, no flame. azert kerdeztem csak, mert ugy elt bennem regebbi mc-kkel kapcsolatban, hogy volt egy --without-glib opcio. de most megneztem a 4.6.0-t, ebben nincs. szoval durcasan, de felmegy akkor glib. :)
[/quote:319ad1160d]

az iróniát egyébként éreztem a szövegből, de gondoltam hátha másnak újat mond (pl nem-programozók nem biztos, hogy tisztában vannak a dolgokkal és a gentoot bár nehéz feltenni, szerintem kellőképpen meg van támogatva ahhoz, hogy akár kezdők rendszere is legyen, a karbantartás és a csomagok frissítése baromi könnyű (a legtöbb esetben)).

a glibet furcsállom egyébként, hogy nem használja több program (bár nem tudom mennyire portolható más nem-POSIX rendszerek alá), de egy rettentő erős löketet ad a sima glibc mellé. alapjáratban mindenki sír, hogy a C milyen nehéz, meg hogy lehetetlen vele rendes nagy progikat fejleszteni és ez egy sima alap glibc-vel nem áll túl messze az igazságtól, de a glibes cuccok a C-t olyan szelíddé változtatják, mintha Perlben kellene fejleszteni :) kis költői túlzással...

[quote:e041ffc506="york"][quote:e041ffc506="Anonymous"]ACCEPT_KEYWORDS="~x86" emerge sys-kernel/rsbac-dev-sources[/quote:e041ffc506]

Ezt miert nem tudja magatol?

York.[/quote:e041ffc506]

Csinálj rá egy alias-t. Azért nem tudja magától, mert a maskolt csomagok azért vannak maskolva, mert használatát nem ajánlja a készítője/tesztelője/stb.

[quote:047769e262="lbodnar"]hi!
magyar ekezeteket csalnek elo valahogy
[/quote:047769e262]
http://www.gentoo.org/doc/hu/guide-localization.xml

az új portage-gel még nem megy a portage_cdb modul; az /etc/portage/modules fájlt nevezd át valamire, és elvileg újra mennie kell

Sziasztok sracok!

A Gentoommal elegge erdekes problemaim vannak. Kb ket honapja nem tudok mplayerrel (pre5) lejatszani, artsd nem indul, k3d nem indul. A problemam mindegyikukkel ugyanaz: Segmentation fault. Egy P4-es laptoprol van szo konkretan. A rendszer mindennap frissitve van, tobbszor leforgattam mar az emerge world-t, visszavettem -O2 -re a gcc CFLAGS-t is. Termeszetesen maszkok nincsenek bekapcsolva.

Sajna pillanatnyilag nem vagyok a kozelebe, de holnap bedobok egy reszletes postot az emerge info kimenetebol. Ha addig is valakinek volna hozzasolasa jelenseghez azt elore is megkoszonnem. :)

Udv

Rigidus

illetve ezután még megpróbálhatod, hogy újraemergeled a python-cdb csomagot, ismét visszaállítod a modules fájlt, hátha neked szerencséd lesz, és elindul... ha nem, újra átnevez és úgy majd (gyorsítás nélkül, de) megy

[quote:751eeaec86="lacipac"]mert nem ' kell (shift-1) hanem ` (altgr-7)
Egyébként a gtk.org-on a
[code:1:751eeaec86]$ gcc foo.c -o foo `pkg-config --cflags --libs gtk+-2.0`[/code:1:751eeaec86]
parancsot ajánlják, nekem így működik.[/quote:751eeaec86]

Koszonom igy mar nekem is mukodik:)

Viszont anjuta ala meg mindig nem birom rendesen beizzitani:(
a compile megy rendesen de a build-nel kiirja hogy:
gcc proba.c -o proba `pkg-config --cflags --libs gtk+-2.0`
gcc: `pkg-config: No such file or directory
gcc:gtk+-2.0`: No such file or directory
cc1:error: unrecognized option `-fcflags'
cc1:error: unrecognized option `-flibs'

[quote:5c634aa5bc="testerlnx"][quote:5c634aa5bc="PcZolee"][quote:5c634aa5bc="testerlnx"][quote:5c634aa5bc="PcZolee"][quote:5c634aa5bc="testerlnx"]A Greek: iso kontra AltGR jobban izgat, amúgy xfce-ről nincs kedvem emiatt fluxbox-ra váltani :)[/quote:5c634aa5bc]

Miért baj az, hogy átvált?[/quote:5c634aa5bc] Mert az ALTGR+V a @ nálam ami pl scp-nél ssh-nál stb kell a ;-ről nem is beszélve, és ha ezeket a kombinációkat beütöm akkor Greek: iso-ban marad a beviteli formátum!!!! Vagyis azt képzeld el, hogy írod az scp sort és beírod a user nevet majd a kukac után nem a host nevet sikerül beírnod, hanem egy csomó ékezetes karaktert, bash script-et írni vele pedig rémálom, hiszen a pontosvessző szinte mindenhiva kell... Remélem most már egyértelmű hogy miért "zavar" :)[/quote:5c634aa5bc]

Na jó, de utánna nyomsz még egy altgr-t, és visszaáll![/quote:5c634aa5bc]

Mivel ezt más kozolokban, terminálokban nem kell megtenni, és elég sok altgr kombinációt használok (vagy legalábbis gyakran), ezért nagyon nem szeretnék hozzá szokni... A vicc az, hogy ezt az --enable-greek fordítási opcióval ha jól értettem ki lehetne hgyni emerge-nél, de Nekem az --enable-greek nélkül fordított mrxvt is így működik :( disable meg nincs, konfig-ot nem látok sehol, a forráskódban tudnám csak kiszedni?[/quote:5c634aa5bc]

nem. lásd 5-tel feljebbi hozzászólásomat.

Hali!
Van Gentoo life cd?
Én csak install találtam.
:cry:

[quote:5d256b4b7a="rigidus"]Segmentation fault[/quote:5d256b4b7a]

nekem elcseszett optimalizaciora illegal instructiont dobott, lehet nem ez a baj. olyat probaltal, hogy forrasbol felrakod az mplayert?

b

[quote:64b5d19dae="PP"]Hali!
Van Gentoo life cd?
Én csak install találtam.
:cry:[/quote:64b5d19dae]

marmint live cd? az van, install cd nincs :) de a gentoo live afaik nem tartalmaz X-et, szoval nem a szokvanyos juzerLive cd.

Üdv mindenkinek!

Hogyan lehet a betűméretet beállítani úgy, ahogy a telepítőnél van? Most, hogy fenn van a rendszer 25*40 soros csak a képernyőm!

[quote:27b095f2fe="pityuf1"]szedd le az alsa-lib, alsa-driver, alsa-utils csomagok legfrissebb verzióit (1.09 asszem) a megfelelő helyről, vagy győződj meg róla az emerge --pretend alsa-driver futtatása után hogy konkrétan melyik verzió kell neked, aztán tedd be a csomagok közé (/usr/portage/distfiles)[/quote:27b095f2fe]
1.0.8 a legfrisebb és benne van a portageban. (Lehet, hogy ~x86) Ne töltögess sehonnan külön semmit, a portage megoldja. mielőtt telepítenéd add ki az [code:1:27b095f2fe]emerge -pv alsa-driver[/code:1:27b095f2fe] parancsot. (a -p a --pretend a -v a --verbose) Ez azért jó, mert kiírja a USE flageket is. Érdemes az alsa drivert OSS use flaggel telepíteni, mert mmég nem minden ismeri az ALSAt, és így lesz OSS emulációd. Ezt kétféle képpen teheted meg, vagy [code:1:27b095f2fe]USE="oss" emerge alsa-driver[/code:1:27b095f2fe] vagy megszerkeszted a /etc/portage/package.use fájlt és beleírod, hogy: media-sound/alsa-driver oss (persze lehet, hogy alapból működik már ez a flag, akkor egyik sem kell)

[quote:27b095f2fe="pityuf1"]emerge -k alsa-driver
ez eltart egy darabig
aztán emerge -k alsa-utils[/quote:27b095f2fe]
-k nem kell. A -k apcsoló arra jó, hogy ha van bináris csomagod akkor azt teszi fel. Ha nincs akkor meg forgat. Nem tart sokáig, ha a make.confban megadod az ALSA_CARDS="" változóba azoknak a kártyáknak a nevét amelyekhez drivert akarsz. (A te esetedben ALSA_DRIVER="emu10k1") Ebben az esetben nem az összes meghajtót fogja beforgatni. Ezután amennyiben nincsenek meg a modulok egy [code:1:27b095f2fe]modules-update force[/code:1:27b095f2fe] parancsot is kiadni. [quote:27b095f2fe="pityuf1"]aztán az etc/modules.d/alsa konfigfileban unkommentezni kell a megfelelő sorokat, valamint az alsa oldalán (legalul) nézd meg hogy mi a hangkártyád moduljának a neve, az is kell oda.
aztán modules-update
az alsa-mixer-rel meg tuningolhatod a csatornákat, mert alapba minden némítva van.[/quote:27b095f2fe]
általában azért a kártyákat felismeri. És mielőtt tudnál állítgatni bármit el kell indítani az alsat: /etc/init.d/alsasound start. Az inithez sem árt hozzáadni. [code:1:27b095f2fe]rc-update add alsasound default[/code:1:27b095f2fe]

[quote:cbee0b89e2="blau"][quote:cbee0b89e2="PP"]Hali!
Van Gentoo life cd?
Én csak install találtam.
:cry:[/quote:cbee0b89e2]

marmint live cd? az van, install cd nincs :) de a gentoo live afaik nem tartalmaz X-et, szoval nem a szokvanyos juzerLive cd.[/quote:cbee0b89e2]

Nem tartalmaz X-et. :cry:Nem lehet valahogy varázsolni rá?Vagy csak ha telepítek?

csak telepíteni kell a dhcpcd-t.

csinaltam magamnak egy apache modulbol ebulidet. kerdesem lenne ennek terjesztesevel kapcsolatban. van-e esely arra, hogy ez a kozponti repoba bekeruljon? ha igen, mi a szabalyos menete? en csak egyetlen (x86) arch-on tudom kiprobalni h megy-e a modul, leven nincs mas gepem. gondolom minnel tobb architekturan megy vmi annal jobb az eselye, hogy bekerul.

Oké, megy a hálózat. Mindenkinek, mindent köszönök!

Nos, a cd-re tudtok valamit?

Ja, hogy dhcpcd...oké bocsesz.

Szerk.: Köszönöm szépen a segítséget! Mostmár minden szépen megy :)
Egyfolytában [b:bcd68bb292]dhcpd[/b:bcd68bb292]-vel próbálkoztam, az meg persze, hogy nem megy :)
Úgyhogy jöhet is a GNOME :)

Az milyen? Hogyan emergel-jem? Ez az, amikor KDE-s ikonok vannak? Egy címet tudsz dobni? Köszi.

[quote:2b7f06fd31="york"][quote:2b7f06fd31="Anonymous"]ACCEPT_KEYWORDS="~x86" emerge sys-kernel/rsbac-dev-sources[/quote:2b7f06fd31]

Ezt miert nem tudja magatol?

York.[/quote:2b7f06fd31]
beleírod a /etc/make.conf -ba és máris tudja magától :D
Egyébként ez olyan mint pl Debiannál a testing.

Valószínűleg azért mert nem futtatja le a `-k között lévő parancsot. Nézd meg, hogy mit ad vissza egy shellben a pkg-config --libs --cflags gtk+-2.0 parancs és azt írd be a helyére, ` -k nélkül. Nálam például:
[code:1:7179c8edbc]laca@voices ~ $ pkg-config --libs --cflags gtk+-2.0
-DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 [/code:1:7179c8edbc]
ezért a [b:7179c8edbc]gcc foobar.c -o foobar [/b:7179c8edbc]végére azt a sokmindent kell beírni, úgy már biztosan működni fog.

Vagy szedd ki a world file-ból, vagy tedd be az adott csomagokat az /etc/poratge/package.mask fájlba!

pl. így: echo ">x11-base/xfree-4.3.1" > /etc/portage/package.mask

From: magenta

Mi volt a megoldás?

[quote:4da5966c3e="PcZolee"]Az milyen? Hogyan emergel-jem? Ez az, amikor KDE-s ikonok vannak? Egy címet tudsz dobni? Köszi.[/quote:4da5966c3e]
emerge openoffice-ximian
és tegyetek egy sortörést abba forrásba mert nagyon széles az oldal

Mivel maxtor a disk, én nem foglalkoznék vele sokat, hanem forwardolnám a kukába.

Nezegettem az userjaimat es valami furcsa volt.
Mire szolgal az usereim kozott az operator nevu user. root konyvtarbol indul.
Kell jelszot megadni/megvaltoztani.
Googleztam is,de nem talaltam hasznalhato infot.

a net-setup melyik ebuild része?

Igen, utána rájöttem, miután mégegyszer átnéztem a doksit. Jeleztem is a hozzászólásban.
Most ezen már túljutottam, de valamit nagyon elszúrhattam :S
A BOOT mindenképpen kell ? Szinte koltői kérdés, mert mindenhol le van írva. :)
Szóval a BOOT-nak mindenképpen az első partíciónak kell lennie ? Az nálam egy kicsit kivitelezhetetlen lenne, mert ott a win2k terpeszkedik. Ami azért van ott, mert jól jöhet.

Kérdésedre válaszolva: első nekifutásra ahol voltam, a CD-n akartam kicsomagolni :oops:

Bár nem akarom idehozni a magánéletemet, de elég kemény dolog történt és kicsit nehéz a koncentrálás. :(

Majd ismét nekirugaszkodok a doksiknak, mert mostmár kifejezetten zavar, hogy hibáztam. Csak körülbelül tudom, hogy hol. Az első furcsaság akkor jött, amikor nem tudtam CD-ről felrakni semmilyen *cron-t. Meglestem a portage fát, és egyik sem volt ott. A portage fát átmásoltam a CD-ről (universal-x86). Legközelebb inkább frissítem netről, bár a doksiban azt írták, hogy a GRP felhasználók kihagyhatják azt a lépést.

Szóval összegezve. Összevissza beszélek, és marhaságokat csinálok, utána pedig hülyeségeket kérdezek. Elnézést ezért, de okom van rá.

[quote:035636b9e3="atlantic"][quote:035636b9e3="testerlnx"]A Greek: iso kontra AltGR jobban izgat, amúgy xfce-ről nincs kedvem emiatt fluxbox-ra váltani :)[/quote:035636b9e3]

van egy olyan, hogy mrxvt.greekToggle_Key: keysym resource, csak azt nem tudom, hogy milyen az a keysym típus. Pedig ez a kulcsa, .mrxvtrc-be próbáld hogy mrxvt.greekToggle_Key: blabla pl. Remélem ez segíteni fog...
A blabla-t az /usr/lib/X11/etc/xmodmap.std-ből tudod megnézni.[/quote:035636b9e3]

Köszönöm megnézem!
Bocs, vhogy elsiklottam felette...

Múltkor leszedtem az arts-t mivel gondoltam minek az nekem, aztán nem indult az Mplayer, utána újraforgattam az Mplayer-t és ment, a K3B-nek szintén kell valami libgtxxx.so.1 ami az arts része. Anélkül nem indul, ez egy emerge -p k3b után derült ki.
Nem tudom pontosan hogy miért, de az arts-od nem indul és minden problémát ez okoz, fordítsd újra vagy ha tényleg valami túloptimalizált dologról van szó és azért nem megy akkor próbáld meg a Package CD-t leszedni, bemountolni, majd export PKGDIR=/path/to/mountpoint után emerge -K arts
(vagy lehehet hogy x11-libs/arts nemtom nézd meg emerge -p-vel avgy -s-sel)

A "K" azért fontos hogy nagybetű legyen, mert ha kisbetűs akkor csak a /usr/portage/distfiles-ban keresi a forrást és szintén forrásból fordítja.

Ennek tuti működnie kell.

[quote:845edb8261="whitehawk"]Ehez az is hozzá tartozik, hogy nem árt előtte megnézni, hoy mi is fog történni, tehát emerge world -uDpv :D[/quote:845edb8261]

Na igen. Aztán etc-update revdep-rebuild, esetleg prelink.
Amióta prelinket használok, már nem csak elvből rühellem az nvidia zárt driverét.
Ja, szerintem érdemes PORT_LOGDIR -t megadni és megnézni, hogy miket írogatott ki frissítés közben.

Üdv.: Tomyellow

én barom állat beállítottam a mozgó desktopot vagy mit,azaz görgethető a desktop ha nagy....most ezzel szopok én barom.... 8O
hogy kell leállítani,mert az XF86Config beállítás segítője másodszorra már persze nem kérdezni meg hogy akarok-e ilyet :x :x :x :x
Meg hogy lehet azt beállítani hogy 1024X768-ban induljon alapból a Gnome?

:!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea: :!: :idea:

Egy jótanács mindenkinek:

Ha grubot frissítetek, és nem akartok szívni azzal, hogy bootkor bejön csomó GRUB GRUB GRUB felirat... akkorjavaslom, hogy rootként futtassátok a grub parancsot és végezzétek el újra amit telepítéskor. Én ebbe többször belefutottam már, de lehet, hogy csak a ~ ágban van ilyen. :!: :idea:

[quote:7b1269842a="simca"]xmms-mpg123 talan?[/quote:7b1269842a]
Ön nyert! Köszi :)
Honnan találtad ki? (sose jöttem volna rá, átnéztem az összes plugin desc-jét a portage-ben, de erre nem is gondoltam volna...)

[quote:bb9d0ea197="strangedr"]emerge gentoolkit-dev
gensync --help
/etc/gensync szerkesztése[/quote:bb9d0ea197]
many thanks, pont ennyi utmutatasra volt szuksegem!

ssa2,
talan itt talalsz egy kis utmutatast: [url]http://forums.gentoo.org/viewtopic-t-279086.html[/url]

Miert snq-, te Gentoozol? :lol:

[quote:c408a03694="LiRul"]eselect maradt.[/quote:c408a03694]
ez lesz a Gentoo standard kiválasztó progija: opengl, gcc, java, stb.

[quote:c408a03694="LiRul"]muszaj nekem feltenni a sys-libs/libstdc++-v3-3.3.4 -et? baromi nagy es jo lenne, ha semmi nem akarná a regi stdc-t hasznalni.[/quote:c408a03694]
Én mondjuk használok bináris csomagokat, úgyhogy szükségem is van rá. Viszont egyáltalán nem mondanám arra a másfél megára, melyet ténylegesen elfoglal, hogy sok lenne... Nagy az xorg (175MB) meg a qt (75MB).
Nekem a retkes gnóm libektől áll égnek a hajam, tegnap sikeresen leirtottam a feleslegeseket. Nem használok Gnome-ot, gtk-s programok vannak fent, de ez a sok függőség már tényleg idegesítő.

Talán onnan hogy ezzel játszik le mp3-at? :)

[quote:5ebf5d84db="PP"][quote:5ebf5d84db="blau"][quote:5ebf5d84db="PP"]Hali!
Van Gentoo life cd?
Én csak install találtam.
:cry:[/quote:5ebf5d84db]

marmint live cd? az van, install cd nincs :) de a gentoo live afaik nem tartalmaz X-et, szoval nem a szokvanyos juzerLive cd.[/quote:5ebf5d84db]

Nem tartalmaz X-et. :cry:Nem lehet valahogy varázsolni rá?Vagy csak ha telepítek?[/quote:5ebf5d84db]
Nekem pl van egy gentoo liveDVD-m amin van X is meg minden is...

[quote:42164039cd="strangedr"]illetve ezután még megpróbálhatod, hogy újraemergeled a python-cdb csomagot, ismét visszaállítod a modules fájlt, hátha neked szerencséd lesz, és elindul... ha nem, újra átnevez és úgy majd (gyorsítás nélkül, de) megy[/quote:42164039cd]

köszönöm, ez segített most már 2.4-es pythonnal megy az emerge, python-cdb reemerge is sikerült /etc/portage/modules visszanevezve és megy.

dbus emerge mással szállt el:
[code:1:42164039cd]pyrexc ./dbus_glib_bindings.pyx -I. -o ./dbus_glib_bindings.c
Traceback (most recent call last):
File "/usr/bin/pyrexc", line 7, in ?
from Pyrex.Compiler.Main import main
ImportError: No module named Pyrex.Compiler.Main
make[3]: *** [dbus_bindings.c] Error 1
make[3]: *** Waiting for unfinished jobs....
Traceback (most recent call last):
File "/usr/bin/pyrexc", line 7, in ?
from Pyrex.Compiler.Main import main
ImportError: No module named Pyrex.Compiler.Main
[/code:1:42164039cd]

volt egy reemerge pyrex, utána lefordult dbus is, csak kér egy revdep-rebuild-et.

akkor mégiscsak jó amit mondtam..

[quote:3126342c2a="snq-"][quote:3126342c2a="lacipac"]DE az [b:3126342c2a]emerge depclean[/b:3126342c2a] letörli azokat a függőségeket amelyeket egyik csomag sem használ. A gentoo installation handbookban azt írják hogy használd a -p opcióval, különben lehet hogy egyes programok nem fognak működni (persze ezután is lehet, de az más kérdés).[/quote:3126342c2a]

valoban nem fognak mukodni bizonyos dolgok (pl emerge :))
ha tud valaki olyan toolt, ami tenyleg ugy mukodik, hogy kilistazza azokat a csomagokat, amire mas csomagoknak nincs szuksege szoljon (~deporphan)[/quote:3126342c2a]

http://forums.gentoo.org/viewtopic.php?t=142475

Szóval az ide2-n lévő hde és hdf eszközök az utolérni kívánt HDD-k, de mint /dev/hde ként továbbra sem látom Őket :( A "modprobe siimage" után mit kéne még meghívjak?

szuksegem volt a netfilter ipp2p es geoip moduljaira, igy csinaltam egy 1.3.4-r1 ebuildet a local portage faba, keszitettem ket kulon patch-et a modulok szerint, lett 2 uj IUSE flag; ha vmelyik meg van adva, akkor az unpack utan, de meg a compile elott rakerul az adott diff az iptables forrasara. mukodik faszan.

kerdes1: jol csinaltam, vagy van valami official-abb (uh:)) method?
kerdes2: nehez olyan generic iptables ebuildet csinalni, ami sok embernek jo, de lenne lehetoseg ajanlani, hogy x-y modul keruljon be az official ebulildbe?

thx.

irasjelekrol, mint olyanrol hallottal mar? :wink:

[quote:dd134f70e1="whitehawk"]sem az mplayernek sem a k3bnek nem kötelező függősége az arts, csak meg kell adni use flagbe, hogy ne használja. Különben is, az ALSAnak is van sw mixere.[/quote:dd134f70e1]
Eloszor is koszi. :)

Igazabol nekem az arts-ra is szuksegem lenne a timidity miatt. De nem letkerdes. :) Ha ez kell a sikerhez...

Kikapcsoltam az arts-t es le is szedtem. Ujraforgattam oket de semmi sem valtozott. Az erdekes tovabbra is az, hogy mencoder viszont tokeletesen megy.

Amugy tettem fel azota masik bongeszot is, de se firefox, se mozilla nem megy. Mindenki segfaultol.

Nemi reszlet a konfigomrol:

[code:1:dd134f70e1]bash-2.05b# emerge info
Portage 2.0.51.19 (default-linux/x86/2004.3, gcc-3.3.5, glibc-2.3.4.20041102-r1, 2.6.10-mysettings i686)
=================================================================
System uname: 2.6.10-mysettings i686 Intel(R) Pentium(R) 4 CPU 2.00GHz
Gentoo Base System version 1.4.16
Python: dev-lang/python-2.3.4-r1 [2.3.4 (#1, Feb 7 2005, 13:51:27)]
dev-lang/python: 2.3.4-r1
sys-devel/autoconf: 2.59-r6, 2.13
sys-devel/automake: 1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.4
sys-devel/binutils: 2.15.92.0.2-r1
sys-devel/libtool: 1.5.10-r4
virtual/os-headers: 2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/rc.d /etc/terminfo /etc/wget /etc/env.d"
CXXFLAGS="-O2 -march=pentium4 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="ftp://ftp.ndlug.nd.edu/pub/gentoo/ ftp://206.75.217.180/ ftp://206.75.217.205/ ftp://206.75.217.181/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa apm arts avi berkdb binutils-config bitmap-fonts cdr crypt cups curl dietlibc divx4linux emboss encode esd f77 fam flac font-server foomaticdb fortran gdbm gif gnome gpm gtk gtk2 gtkhtml imagemagick imlib ipv6 java jpeg junit kde ldap libg++ libkscan libmcrypt libstdc++ libusb libwww mad mhash mikmod mmx mmx2 motif mp3 mpeg nasm ncurses nls ntfsprogs oggvorbis opengl oss pam pdflib perl php png postgres python qt quicktime readline sane scanner sdl sgml slang spell sse sse2 ssl sudo svga tcpd tiff truetype truetype-fonts type1-fonts x86 xml2xmms xv zlib linguas_en_GB"
Unset: ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS, PORTDIR_OVERLAY
[/code:1:dd134f70e1]

Halvany gozom sincs, hogy mar hol keressem. :( Visszavettem az optimalizacios szintet is. Ujraporgettem a world-ot. Igaz, az mplayer felulbiralja ezeket a forditasnal, de a tobbi reteg ami alatta van, talan maskepp tancol :)

Lenyeg, h kb. 1 honapja szivok vele. Azota mar szinte az egesz rendszer update-elodott egyszer. Van uj X is alatta meg egyebek...

Ami erdekes lehet meg, hogy az OpenGL az a kezdetektol fogva nem megy. Legalabbis csak procibol nyomja. A kartya egy ATi Radeon M6. Ez nem FGLRX tamogatott. Az elozo disztribbekkel ment siman minden. Az NLD9-en pl siman szaladt az Unreal, American Army stb.

Vkinek 5lete? :|

[quote:3499d054bb="lacipac"]http://forums.gentoo.org/viewtopic-t-67849-highlight-portage+utilities+listed.html
Remélem nem vertek meg amiért a kis felbontásotok miatt széthúzza a link a boxokat :)[/quote:3499d054bb]
Legközelebb viszont így: [code:1:3499d054bb][url=http://forums.gentoo.org/viewtopic-t-67849-highlight-portage+utilities+listed.html]fórum topic[/url][/code:1:3499d054bb] ezt is elkerülheted. És ha már a hasznos dolgoknál tartunk (nem a film :) ), akkor még egy egy [url=http://gentooexperimental.org/script/repo/list]linkecskécske[/url], hogy ne csak offtopic legyek.

[quote:8956408032="R3Ce"][quote:8956408032="PP"][quote:8956408032="blau"][quote:8956408032="PP"]Hali!
Van Gentoo life cd?
Én csak install találtam.
:cry:[/quote:8956408032]

marmint live cd? az van, install cd nincs :) de a gentoo live afaik nem tartalmaz X-et, szoval nem a szokvanyos juzerLive cd.[/quote:8956408032]

Nem tartalmaz X-et. :cry:Nem lehet valahogy varázsolni rá?Vagy csak ha telepítek?[/quote:8956408032]
Nekem pl van egy gentoo liveDVD-m amin van X is meg minden is...[/quote:8956408032]

Nekem sajna nem jó a DVD-s.Nem lehet valahogy csinálni egy saját össze állítást? :P

[quote:84e7772439="somedude"]http://forums.gentoo.org/viewtopic.php?t=142475[/quote:84e7772439]

thx

Hello.

Hol tudhatnek meg mindent arrol, hogy hogyan tuntesssem el veglegesen minden egyeb config fajljaval egyutt a devfs -t gentoo alatt?

Es hiaba szedem le a devfsd -t, mindig vissza aakar jonni emerge world nel, es startupkor mindig feljon a figyelmeztetes hogy nincs devfs es allitsam be, de en nem szeretnem.

Elore is kosz,

Udv.

Sziasztok!

Ket napja van Gentoo -m. Az online help szerint installaltam, voltak buktatok, de felment es mukodik. A lenyeg, hogy tetszik. Mert most van egy teljesen plain, letisztult oprendszerem.

De, vannak am furcsasagok is.
Mikor belepek, akkor a jelszo megadasa utan ezzel fogad a shell.
[code:1:0e047c38f9]
PAM-env[6573]: Unknown PAM_ITEM: <DISPLAY>
login[6573]: PAM pam_putenv: delete non-existent entry; DISPLAY
PAM-env[6573]: Unknown PAM_ITEM: <XAUTHORITY>
login[6573]: PAM pam_putenv: delete non-existent entry; XAUTHORITY
login(pam_unix)[6573]: session opened for user root by (uid=0)
[/code:1:0e047c38f9]

Mi lehet ez? Mar utananeztem es ez a PAM csomag fent van, de nemtudom mit kellene vele csinalnom, illetve ezt a nyavajgast megszuntetni. :)

Ha lassúak a külföldi mirrorok, van magyar is: ftp://ftp.rxd.hu például, de ajánlom figyelmetekbe a mirrorselect-et, tényleg elég jól megtalálja a gyors mirrorokat!

Üdv,
Zümi

[quote:dd0035122a="PP"][quote:dd0035122a="R3Ce"][quote:dd0035122a="PP"][quote:dd0035122a="blau"][quote:dd0035122a="PP"]Hali!
Van Gentoo life cd?
Én csak install találtam.
:cry:[/quote:dd0035122a]

marmint live cd? az van, install cd nincs :) de a gentoo live afaik nem tartalmaz X-et, szoval nem a szokvanyos juzerLive cd.[/quote:dd0035122a]

Nem tartalmaz X-et. :cry:Nem lehet valahogy varázsolni rá?Vagy csak ha telepítek?[/quote:dd0035122a]
Nekem pl van egy gentoo liveDVD-m amin van X is meg minden is...[/quote:dd0035122a]

Nekem sajna nem jó a DVD-s.Nem lehet valahogy csinálni egy saját össze állítást? :P[/quote:dd0035122a]

Azt nemtom, de gyanitom, hogyha van liveDVD akkor kell lennie liveCD-nek X-szel.

[quote:522aa4a349="Anonymous"][quote:522aa4a349="snq-"][quote:522aa4a349="lacipac"]DE az [b:522aa4a349]emerge depclean[/b:522aa4a349] letörli azokat a függőségeket amelyeket egyik csomag sem használ. A gentoo installation handbookban azt írják hogy használd a -p opcióval, különben lehet hogy egyes programok nem fognak működni (persze ezután is lehet, de az más kérdés).[/quote:522aa4a349]

valoban nem fognak mukodni bizonyos dolgok (pl emerge :))
ha tud valaki olyan toolt, ami tenyleg ugy mukodik, hogy kilistazza azokat a csomagokat, amire mas csomagoknak nincs szuksege szoljon (~deporphan)[/quote:522aa4a349]

http://forums.gentoo.org/viewtopic.php?t=142475[/quote:522aa4a349]

Ez én voltam, bocs.

A 2004.2-es gentoon megpróbáltam cyrus imap szervert felrakni. Ez ment is simán, de a cyrus-imap-admin csomag nem akart lefordulni (1DES hiánya volt a configure scriptnek). Ezért felraktam a 2.2.8-asat (ill előtte 2.2.3-asat)
A USE flagek közt van kerberos.
A problémám akkor jött elő, mikor a [code:1:fa18ffb523] cyradm --user cyrus localhost[/code:1:fa18ffb523] parancsot kiadtam. (előtte passwd cyrus, shadowban is van már):

[quote:fa18ffb523] cyradm --user cyrus localhost
Password:
cyradm: cannot authenticate to server with as cyrus[/quote:fa18ffb523]

ill syslogban:
[quote:fa18ffb523]Aug 25 22:24:14 zion master[12619]: about to exec /usr/lib/cyrus/imapd
Aug 25 22:24:14 zion imap[12619]: executed
Aug 25 22:24:15 zion imap[12619]: sql_select option missing
Aug 25 22:24:15 zion imap[12619]: auxpropfunc error no mechanism available
Aug 25 22:24:15 zion imap[12619]: _sasl_plugin_load failed on sasl_auxprop_plug_init for plugin: sql
Aug 25 22:24:15 zion imap[12619]: accepted connection
Aug 25 22:24:15 zion perl: GSSAPI Error: Miscellaneous failure (No credentials cache found)
Aug 25 22:24:15 zion imap[12619]: DIGEST-MD5 server step 1
Aug 25 22:24:15 zion perl: DIGEST-MD5 client step 2
Aug 25 22:24:18 zion imap[12619]: DIGEST-MD5 server step 2
Aug 25 22:24:18 zion imap[12619]: no secret in database
Aug 25 22:24:18 zion imap[12619]: badlogin: localhost [127.0.0.1] DIGEST-MD5 [SASL(-13): user not found: no secret in database]
Aug 25 22:24:21 zion perl: NTLM client step 1
Aug 25 22:24:21 zion imap[12619]: NTLM server step 1
Aug 25 22:24:21 zion imap[12619]: client flags: 207
Aug 25 22:24:21 zion perl: NTLM client step 2
Aug 25 22:24:21 zion perl: No worthy mechs found
[/quote:fa18ffb523]

nem tudom elképzelni, mitől van ez. (susén saslauthd, miegyéb ment úgy, hogy lokális user a cyrus, de kerberos + ldap tartalmazza a usereket).

Itt a userek ldap-ban vannak (viszont nem tudnak bejelentkezni).

Valaki tapasztalt már ilyesmit?

[quote:5c71ff9e96="unranked"]
A BOOT mindenképpen kell ? Szinte koltői kérdés, mert mindenhol le van írva. :)
[/quote:5c71ff9e96]
Én erre annak idején egy egyáltalán nem költői "nem"-mel válaszoltam. Vagyis nálam nincs külön partíción. Semmi baj nem történt ettől. Viszont majd a /etc/fstab-ban javítsd a megfelelő bejegyzést.

[quote:5c71ff9e96="unranked"]
Szóval összegezve. Összevissza beszélek, és marhaságokat csinálok, utána pedig hülyeségeket kérdezek. Elnézést ezért, de okom van rá.[/quote:5c71ff9e96]
Csak nyugalom, nem kell mentegetőzni, bárkivel megtörténhet.
Én drukkolok Neked, mindenhez :)

Köszönöm szépen az informáciokat!!
Megprobálom megkeresni a livecd-t.

Nyisd meg egy szövegszerkesztővel az /etc/X11/XF86config-4 vagy /etc/X11/XF86config file-t.
Abban találsz ilyesmit, hogy

Section "Screen"
.
.
.
Subsection "Display"
...
Modes "1024x768" "800x600" "640x480"
Virtual "31415x26536"
...
EndSubsection
Endsection

A "Virtual" kezdetű sort töröld ki (vagy kommentezd '#'-al),
és a "Modes" kezdetű sort írd át, hogy "1024x768" -al kezdődjön.
Asszem ennyi.
Egyébként a Ctrl Alt + illetve a Ctrl Alt - kombinációkkal a Modes utáni felbontások között lehet váltogatni.

[quote:d3bb664924="fabokzs"]...devfs -t gentoo alatt?...[/quote:d3bb664924]

rc-update del devfsd, es passzold a 'gentoo=nodevfs'-t a kernelnek

(semmi köze az eddig elhangzottakhoz: )
Gentoo-ban a bootstrap-oláshoz és az emerge system-eléshez mennyi köze van a USE változóknak? Mert azt gondolná az ember (legalábbis én), hogy semmi, de akkor miért kellett a "Progressing from Stage1 to Stage2" előtt beállítani?
Előre is köszönöm válaszaitokat.

[quote:f9587186ae="LiRul"][quote:f9587186ae="strangedr"]emerge gentoolkit-dev
gensync --help
/etc/gensync szerkesztése[/quote:f9587186ae]
many thanks, pont ennyi utmutatasra volt szuksegem!

ssa2,
talan itt talalsz egy kis utmutatast: [url]http://forums.gentoo.org/viewtopic-t-279086.html[/url][/quote:f9587186ae]

Kösz a tippet. Néhány modul fixen kernelbe forgatása megoldotta a problémám.

[quote:9d4297ce92="maglyarakas"]Sziasztok!

Egy kis segedelemre lenne szükségem. Tegnap megpróbáltam telepíteni ezt a gentoo nevezetű jószágot de a bootstrap alatt a gcc fordításnál elakadt, valami do_make_xxx függvény x. sorának hibája miatt. Pontosabbat nem tudok mondani mert tegnap amikor akartam volna ide írni a knoppixom lefagyott. Szóval, ilyenkor mi a szőr van, mit lehetne csinálni? A neten semmi használhatóra nem akadtam rá.[/quote:9d4297ce92]

pl. lehet stage 2-től kezdeni a telepítést

Nos, épp emergelek, talán holnapra kész is lesz, Köszönöm a segítséget

Gentoo-nak én azt a hátrányát látom pl a Debian-hoz képest, hogy minden csomagot egybe hagy (pl KDE, Gnome, stb.). Ez így van a Samba-val is, a net-fs/samba csomagban benne van a Samba kliens, a szerver és akkor már a libek is. Vagyis ha valamit samba támogatással fordítasz, és a samba még nincs fenn, akkor felrakja a sambát mindenestül.

De én nem akartam flame-et. :D

sem az mplayernek sem a k3bnek nem kötelező függősége az arts, csak meg kell adni use flagbe, hogy ne használja. Különben is, az ALSAnak is van sw mixere.

nemigen tudod gyorsítani a portage nagy mérete és a felépítése miatt; vannak alternatív próbálkozások adatbázis háttér megvalósítására, próbálkozhatsz azzal, vagy légy türelmes és quakezz közben...

Áháháhá, a világon élő > 6 milliárd ember közül én vagyok az egyetlen, aki nem tudja felrakni a gentoot.

Valaki mondja már el két szóban, hogy hova kerülünk a cd-ről bootolva? A cd-n is van /boot - /etc - /sbin - /var - /lib stb. és oda?
És a /mnt/gentoo alá lehet mountolni a vinyó azon partícióját, ami az ottani /etc /lib stb.. könyvtárakat tartalmazza?

Mert ha beléptem boot után ssh-val, akkor a df -h még jó könyvtárszerkezetet adott vissza, a chrootolt enviromentben meg már nem. A root partíció mérete és foglalt helye szerepelt a tmpfs-nél meg mindennél, 6 alkalommal.

Szóval amikor chrootolunk, akkor mit csinálunk..?

majd valaki megfogalmazza jobban, de amikor chrootolsz, akkor hátat fordítasz az addigi rendszer egy részének, és csak egy másik részével foglalkozol. :idea:

a df nem fog működni chrootban. a cd-n perszehogy megvannak a standard könyvtárak, hisz azis linux.

Én tettem bele sortörést! Egyébként mi ez a Ximian???

boot valóban nem kell, de szerintem hasznos, legalábbis nekem úgy tűnik (ehhez nem/sem értek), hogy ha root fs probléma van, akkor a bootról tud bootolni, és utána chekkolni a rootot.. Amíg nem volt boot partícióm addig mintha többet szoptam volna ilyesmivel, de lehet, hogy tévedek...

nem lesz itt flame... (remélhetőleg)
szóval erre lettem volna kíváncsi, mert idegesített: nem tudtam hogy én rontottam el vmit, vagy ez a normális működés. igazából mostmár nem zavar. amúgy jópofa cucc ez a gentoo :D

[quote:1a2537aa48="LiRul"]legnagyobb guru lol, hat az meg fenyevnyire van :) koszi a valaszt. azert kerdeztem ra erre a maintainersegre, mert debiannal ez szinte teljesen eselytelen. persze ez valamennyire biztositek a silany buildek kikerulesere.

mas. egy sync utani portage cache frissites eltart kb. husz percig egy 1.7-es Celeron-on 256 mega rammal. nem lehet ezt picit gyorsitani?[/quote:1a2537aa48]

20 perc az rengeteg! nekem par perc alatt megvan meg notebook-on is.
-q nem segit?

t

[quote:7f98e80ea0="LiRul"]kerdes1: jol csinaltam, vagy van valami official-abb (uh:)) method?[/quote:7f98e80ea0]

Szerintem ez a korrekt mód (nálam mondjuk csak kisebb változtatás volt az ebuildben: függőség módosítás, illetve egy epatch... sor hozzáadása..)

[quote:7f98e80ea0="LiRul"]kerdes2: nehez olyan generic iptables ebuildet csinalni, ami sok embernek jo, de lenne lehetoseg ajanlani, hogy x-y modul keruljon be az official ebulildbe?[/quote:7f98e80ea0]

Akkor experimental lenne kissé, illetve minimum testing, tehát ~arch maszkolással. A nagy része működik ugyebár, de az új modulok tesztelése némi időt venne igénybe (megint csak szerintem).

Egyébként érdemes a megfelelő helyen (pl irc, #gentoo... ) felvetned ezt, aztán kiderül, jó ötlet-e mindenki számára elérhetővé tenni.

na,jonnek szepen sorban a gondok elo :cry:
elso,bootnal kiirja ezt,es nincs net ofkorz:
Bringing eth0 up (192.168.0.2)
SIOCSIFADDR: No such device
eth0:unknown interface no such device
SIOCSIFADDR: No such device
eth0:unknown interface no such device

SIOCSIFNETMASK: No such device

+ alsa telepitesnel van a doksiban ez az utmutato hogy:

# amixer

Warning: Bár ez valószínüleg sosem történik meg, azért előfordulhat, hogy a
fenti parancs kiadása után a következő hibajelzést kapod:''amixer: Mixer attach
default error: No such file or directory'', akkor kézzel kell betöltened a
modprobe parancs segítségével a snd-mixer-oss és snd-pcm-oss modulokat
egyszer. Azután futtasd az amixer-t ismét.

nalam perszre megtortent...leirja hogy toltsem be kezzel a modult:
# modprobe snd-mixer-oss
# modprobe snd-pcm-oss
# amixer

de az elso ket parancsra ezt irja ki:modprobe: Can't open dependencies
file /lib/modules/2.4.26/modules.dep (No such file or directory)

+a gnome szepen ment,majd az utmutato szerint beallitottam hogy automatikusan induljon:

Mindössze annyi van hátra, hogy megbizonyosodj felőle, az X elindul bootoláskor. Szerkeszd át az /etc/rc.conf-ot, hogy benne legyen a DISPLAYMANAGER="gdm" sor.

Code Listing 4.4: A /etc/rc.conf szerkesztése

# vim /etc/rc.conf

Code Listing 4.5: /etc/rc.conf -- setting DISPLAYMANAGER

# What display manager do you use ? [ xdm | gdm | kdm ]
DISPLAYMANAGER=gdm

Most csak azt kell biztosítanunk, hogy az xdm indítószkript bootkor lefusson.

Code Listing 4.6: Az XDM szkript hozzáadása a default futási szinthez

# rc-update add xdm default

na,ezutan elojon egy tok mas bejelentkezo kepernyo,es miutan bejelentkezek,egy szep fekete kepernyo fogad :(

na,regisztraltam egye fene :)
valamit nem ertek:ugyebar a modulok a /lib/modules/2.6.7-gentoo-r6/kernel/drivers/net -ben van,mar ami a halokartyahoz kell,de a modules.autoload a /etc/modules.d -ben keresi a betoltendo modulokat....masoljam at ami kell?Bar csinalok meg 1X egy modules_install parancsot a kernelben,hatha...

Érdekes. 1-2 dolog: érdemes a drm modulokat külön feltenni x11-drm csomagból (meg lehet adni változóba, hogy csak a megfellelő modult forgassa.) Gondolom xorg.conf beállításával nem volt gondod. Egyébként stage1ből raktad a rendszert?

Valószínüleg nem itt a probléma, de próbáld meg:
[code:1:dc690eb930]opengl-update xorg[/code:1:dc690eb930]

Játékokhoz kell, hogy a games csoportban legyél! 3dhez meg kell a video csoport, arra figyelj!

na,mostmar vegleg kifogytam az otletekbol....szoval beraktam a megfelelo modulokat a modules.autoload.d-be,nem rinyal inditaskor hogy ez nem jo modul meg az nem jo modul mint eddig,gondolom akkor betolti...megneztem ujra a config fajlokat,minden ok legalabbis ugy nez ki,mert meg mindig ezt a hibauzit kapom:
Bringing eth0 up (192.168.0.2)
SIOCSIFADDR: No such device
eth0:unknown interface no such device
SIOCSIFADDR: No such device
eth0:unknown interface no such device

SIOCSIFNETMASK: No such device

:x :x

a /etc/hosts -ba a domain meg gepnev meg ilyeneknel mindegy mit adok meg?

[quote:aae23e69ee="PcZolee"]Én tettem bele sortörést! Egyébként mi ez a Ximian???[/quote:aae23e69ee]

Hát, Ximian Evolution, Ximian Gnome (legalábbis a régi neve)

OpenOffice-hoz: http://ooo.ximian.com/

A www.google.com a barátod!

helló

hogy lehet usert törölni,illetve egy létező usert berakni egy csoportba (pl.:wheel)

Szeretném egy kicsit jobban testreszabni a gentoo-mat, de nem nagyon tudom, hogy álljak hozzá. stage3 ból raktam fel, net nélkül, és azóta mivel már van internet, a csomagokat újra frissítettem emerge -uvdp world -el.
Na most, ez azt jelenti hogy a gépem már stage2 -lett? Ja, és hogy tudnám elérni, hogy stage1 -legyen, újrainstallállás nélkül.
Valamint így néz ki a make.conf-om:
[code:1:1044005769]CFLAGS="-O2 -march=pentium4 -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CXXFLAGS="${CFLAGS}"[/code:1:1044005769]

Ezen mit lehetne még változtatni, és az mivel járna?

Linket is adhattok valami részletes leíráshoz, mert én eddig nem találtam. ( úgy látszik nem kezelem natívan a google-t :)

u.i. : a stage1,2,3 lehet hogy nem épp azt jelenti, amire én gondoltam, de jobbat nem találtam rá, de szerintem értitek :wink:

elvileg be van allitva mosmar minden,en voltam a szuk keresztmetszet...
csak az a baj hogy az adsl-start timeout-ol :oops:
+ valami meg mindig kiir ilyet

ERROR: Problem starting needed services.
''netmount'' was not started

eddig semmi baj sem volt a kernellel, se az nvidia-kernellel, de most igy hogy ez nem fordul le nem tudok semmit leforgatni, mert mindig ezzel kezdene, pl az uj kde sem forog mert ez kell hozza...

[quote:598a4fa990="BikMak"]Szeretném egy kicsit jobban testreszabni a gentoo-mat, de nem nagyon tudom, hogy álljak hozzá. stage3 ból raktam fel, net nélkül, és azóta mivel már van internet, a csomagokat újra frissítettem emerge -uvdp world -el.
Na most, ez azt jelenti hogy a gépem már stage2 -lett? Ja, és hogy tudnám elérni, hogy stage1 -legyen, újrainstallállás nélkül.
Valamint így néz ki a make.conf-om:
[code:1:598a4fa990]CFLAGS="-O2 -march=pentium4 -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CXXFLAGS="${CFLAGS}"[/code:1:598a4fa990]

Ezen mit lehetne még változtatni, és az mivel járna?

Linket is adhattok valami részletes leíráshoz, mert én eddig nem találtam. ( úgy látszik nem kezelem natívan a google-t :)

u.i. : a stage1,2,3 lehet hogy nem épp azt jelenti, amire én gondoltam, de jobbat nem találtam rá, de szerintem értitek :wink:[/quote:598a4fa990]
Ha azt szeretned, hogy olyan legyen mint egy stage1-es install utan, csak inditsd el az "emerge -e world"-ot. Ez ujrafordit _minden_ csomagot. Ha vmiert leallna, v le kellene allitanod, akkor NE ADD KI megegyszer, mert elolrol kezdi, hanem csak siman "emerge --resume"

[quote:a689eaf8ea="PP"]Köszönöm szépen az informáciokat!!
Megprobálom megkeresni a livecd-t.[/quote:a689eaf8ea]

http://gentoo.org

Támpontnak.

Nah, ha az smp kernel-el boot-olok akkor az automatikusan betölti a siimage modult, és felismeri az eszközöket, vamint elérhetővé is teszi a /dev/hde és hdf device file-okon keresztül... Csak arra lennék kiváncsi, hogy akkor 2.4 alatt a siimage nem képes kezelni rendesen a PCIRaid kártyámat, vagy még vmit futtatnom kellett volna, hogy utol érhessem a device file-okat?

[quote:4786d9657b="testerlnx"]Pedig a Gentoo-hoz idő kell :) Mikor felraktam és kiadtam az "emerge kde"-t bizony 11 óra alatt fordította le (Athlon2400+) :) (Le is zsibbadtam, mert egy 10 percel azután mikor befejezte áramszünet volt, arra azért kiváncsi lettem volna, hogy azt hogy kezeli, de nem tudtam meg ;)) [/quote:4786d9657b]

emerge --resume
És onnan folytatja, ahol megszakadt. (Na jó, amelyik csomag éppen fordítás alatt volt, az újra lesz forgatva előről)

[quote:18445c0679="gentoopowa"]helló

hogy lehet usert törölni,illetve egy létező usert berakni egy csoportba (pl.:wheel)[/quote:18445c0679]

useradd felhasznalonev -m -G users,wheel,audio -s /bin/bash

userdel felhasznalonev

De a már meglévő usert viszont az /etc/group file editálásával tudod berakni a wheel csoportba.

Olvasmánynak: http://www.gentoo.org/doc/hu/gentoo-x86-install.xml

[quote:c596bca3b7="vmiklos"]irasjelekrol, mint olyanrol hallottal mar? :wink:[/quote:c596bca3b7]

Mi a baj beluk? Az ekezetek hianya? Most csak igy megy.... :roll:

[quote:f53a0ac0f1="BikMak"]stage3 ból raktam fel, net nélkül, és azóta mivel már van internet, a csomagokat újra frissítettem emerge -uvdp world -el.
Na most, ez azt jelenti hogy a gépem már stage2 -lett? [/quote:f53a0ac0f1]
A stage1 esetén a binutils, gcc, gettext és glibc fordítódik le. Ha ezeket újrafordította most az emerge -ud world, akkor kb. olyan, mintha stage1-ről indultál volna annak idején.
De ha tévedek, majd valaki kijavít :)

akkor:

kérdezd meg az FGO-n a Networking szekcióban, vagy IRC-en az irc.freenode.net-en a #gentoo csatornán

[quote:558a109f41="simca"]Talán onnan hogy ezzel játszik le mp3-at? :)[/quote:558a109f41]
Én azt hidtem a web-es eléréssel van baja. Hiába mindig kiderül, hogy felületes vagyok :)

az adsl-connectet indítsd el, az kicsit verbose lesz, viszont annak futnia kell folyamatosan. valszeg nincsenek betöltve a megfelelő ppp(oe) modulok :wink:

Így van Whitehawk, csak megfeledkeztem hogy nincs netem, aztán hozzászoktam a letöltöm, hazaviszem és emerge -k paraméterrel teszem fel.
A karim egy ESS1869 őskövület ISA, amivel eddig jó tapasztalaim linux alatt nem voltak (Mandrake 9.1 csak sndconfiggal ismeri fel, 10.0 szintén, de ott valamo nem stimmel mert csak sb modullal tudja használni, és valami ok folytán a procit iszonyatosan használja, ami élvezhetetlenné teszi a videólejátszást 533MHz-es procival, egyetlen kivétel a Debian - ott nagyon szépen mentek a dolgok.)

Gentoo Power!

hi
(ha volt mar, szoljatok, en nem talaltam)

szal telepitettem a gentoot, stagek leforditva, kernel belove, es
a manual alapjan meg fol akartam emergelni az nvidia-glx (+nvidia
-kernel), az nforce-audio-t, es az nforce-net-et, amibol utobbit nem talalta.
gondoltam biztos nem gond, de most nem tudok csatlakozni a nethez
es folytatni a telepitest...
vajon mi lett avval az nforce-nettel, van helyette vmi mas?
koszi, ha vki tud segiteni!

[alaplap: Abit NF7 nforce2 chipsettel]

[quote:6caad6bcf6="R3Ce"]hi
(ha volt mar, szoljatok, en nem talaltam)

szal telepitettem a gentoot, stagek leforditva, kernel belove, es
a manual alapjan meg fol akartam emergelni az nvidia-glx (+nvidia
-kernel), az nforce-audio-t, es az nforce-net-et, amibol utobbit nem talalta.
gondoltam biztos nem gond, de most nem tudok csatlakozni a nethez
es folytatni a telepitest...
vajon mi lett avval az nforce-nettel, van helyette vmi mas?
koszi, ha vki tud segiteni!

[alaplap: Abit NF7 nforce2 chipsettel][/quote:6caad6bcf6]

http://dev.gentoo.org/~dsd/nforce-net-to-forcedeth.htm

helló!
Hogy lehet elindítani egy másik graf.felületet gnome helyett?pl.: meg akarom nézni a rox nevűt,fölraktam,kiadom a parancsot konzolban miután leöltem a gnomeot hogy rox,kiírja hogy GTK-warning**:cannot open display:(

ujabb lame kerdes :) hogy lehet a legfrissebb portage fat lekerni cvs-bol? igy probaltam:
[code:1:f7c1ee3c09]$ cvs -d :pserver:anonymous@gentoo.org:/home/anoncvs get gentoo-x86
cvs [checkout aborted]: connect to gentoo.org(204.74.99.100):2401 failed: Connection refused[/code:1:f7c1ee3c09]
es igy
[code:1:f7c1ee3c09]$ cvs -d anonymous@cvs.gentoo.org:/var/cvsroot co gentoo-x86
The authenticity of host 'cvs.gentoo.org (140.211.166.177)' can't be established.
RSA key fingerprint is 8c:21:47:03:a5:d8:b9:e2:7d:69:53:2d:e2:0e:2c:97.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'cvs.gentoo.org,140.211.166.177' (RSA) to the list of known hosts.
Permission denied (publickey).[/code:1:f7c1ee3c09]
utobbi nyilvan csak a fejlesztoknek megy. de akkor mi marad nekem 1xu usernek?

[quote:41fe47987d="vmiklos"]az adsl-connectet indítsd el, az kicsit verbose lesz, viszont annak futnia kell folyamatosan. valszeg nincsenek betöltve a megfelelő ppp(oe) modulok :wink:[/quote:41fe47987d]

sajna be vannak toltve,automatikusan :
ppp_async
ppp_deflate
ppp_generic
ppp_synctty
pppoe
pppox

megnezem az adsl-connect-et

Ha jól emlékszem, az a hivatalos indoklás áll a külön /boot partíció ajánlása mögött, hogy ha külön van, és áadásul fel sincs mountolva, védett a véletlen felülírásokkal szemben - ez mondjuk igaz. Hátránya: kernelfordítás után az ember hajlamos elfelejteni mountolni, mielőtt átmásolná a kész kernelimage-et, aztán néz, hogy bootkor miért nem indul:-)

Tiszteletem!

Nem tudtok egy helyet, ahonnan a 2005.0 minimal CD-n található kernelhez (2.6.11-gentoo-r3 asszem) való madwifi modulok letölthetőek?
Igen jó lenne!

home-odba csinálsz egy .xinitrc nevű filet
abba beleírod, hogy startkde, gnome-session, vagy amit akarsz, elmented adsz rá +x jogot, aztán startx :wink:

ok en kivarom, csak szokatlan a debian cache regen idoszukseglete mellett.

strangedr, errol a db backend probalkozasokrol hol van bovebb rtfm?

tibyke, emerge man szerint a -q = quiet ennek miert kellene lecsokkenteni a regen idejet?

[quote:b65b665265="Panther"]Szerintem ez a korrekt mód (nálam mondjuk csak kisebb változtatás volt az ebuildben: függőség módosítás, illetve egy epatch... sor hozzáadása..)[/quote:b65b665265]
koszi. arra is gondoltam, hogy esetleg letezik az -rX helyett valami olyan megkulonboztetes, amit speci sajat ebuildek hasznalnak, s igy pl. ha kijon az official -rX akkor nem lesz keveredes. valami remlik doksi olvasgatasbol, ahol le vannak irva, hogy milyen postfixek lehetnek a verzio utan; de lehet h csak haluztam.

[quote:b65b665265="Panther"]Akkor experimental lenne kissé, illetve minimum testing, tehát ~arch maszkolással. A nagy része működik ugyebár, de az új modulok tesztelése némi időt venne igénybe (megint csak szerintem).[/quote:b65b665265]
ami meg onmagaban nem baj, hisz' nagyon keves ebuildbol lesz kapasbol stable. (ha van egyaltalan ilyen.) de valoban, amig magaban a pom-ban a modul experimental vagy beta, addig jobb ha kussolok. :)

[quote:b65b665265="Panther"]Egyébként érdemes a megfelelő helyen (pl irc, #gentoo... ) felvetned ezt, aztán kiderül, jó ötlet-e mindenki számára elérhetővé tenni.[/quote:b65b665265]
ezzel az a gondom, hogy ott kene logni naphosszat, hogy valamennyire elfogadott "latkep" legyek a nicklistben, s erjen valamit a felvetett gondolat. ha csak ugy beesek mint szodas a lovat, s nekiallok szovegelni, hogy "igymegugydejolennehalenne" nem hinnem, hogy komolyan vesznek.

koszonom, igy mar vilagos.

Framebuffer támogatással kell kernelt fordítani (ha a meglévő nem tudja, próbáld ki, modprobe vesafb) és indításnál megadni a megfelelő paraméreteket a kernelnek. Bővebben www.gentoo-wiki.com.

igen, azt nézd meg. lehet, hogy akkor vmi jogosultsági gond

a cd meghajtókkal viszont nagy gond van....elkezdek róluk másolni,de mindig lefagy közben...nemtudom mi a baj.

2.6.6-love2-vel megy, 2.6.7-love5-tel nem...

emerge sync miért nem jó? a telepítéskor is ezt használtad. Az rsync tiltott?

Ajánlott még az esearch csomag felrakása is, ebben a esync-cel frissítesz (emerge sync-et hívja meg), és utána gyorsan tudsz ebildek közt keresni (esync parancs)

Jó, majd ha megint lesz 3 fölös napom, újrapróbálom az installt.. :/

Hello!
Egy kezdő gentoo-s kérdésem lenne.
GLFTPD-t szeretnék emergelni gentoo-ra, de mivel a glftpd az ftp usereket nem engedi chroot-on kívülre, ezért nem megoldható, hogy a root partíción legyen az ftpd. Hogyan tudnám emergelni például egy mountolt partícióra?
Előre is kösz!

koszi szepen!

ez egyre cifrabb:
adsl-connect
eth0: unknown interface: No such device SIOCSIFMTU: No such device
/usr/sbin/adsl-connect: line 16: ipchains:command not found (ez meg parszor,a 16 helyett 17,18,20,21,22,25,26,29,32)

Using interface ppp0
connect ppp0<-->/dev/pts/0
pppoe:ioctl (SIOCGIFHWADDR): Session0: no such device
Modem hangup
connection terminated
(ezt is tobbszor megprobalta,a connect ppp0<-->/dev/pts/0 -ben a pts0 helyett pts2,4,6,8 )

ioctl(PPPIOCGFLAGS):Bad file descriptor

utana ezeket kombinalta,meguntam 4 perc utan oszt reset
na akkor most mivan?sajt? 8O

[quote:1bbcc42881="Panther"]emerge sync miért nem jó? a telepítéskor is ezt használtad. Az rsync tiltott?[/quote:1bbcc42881]
szo sincs rola, ezt hasznalom a mindennapokon. de nekem most egy olyan cvs kellene, amit a fejlesztok latnak, a legeslegeslegeslegujabb cuccokkal. gondolom amit en emerge sync utan kapok az nem egyenlo a devel aggal, vagy tevedek?

Úgy érted, a telepítés ne a szokásos helyre történjen, hanem egy másik partícióra? Szerintem az ebuildet kell átszerkesztened, a src_install() rutint.
Vagy feltelepíted /-ba, megnézed, mit hova tett, és átmásolod?

De a -k akkor is csak akkor kell, ha tbz csomagból (GRP) telepíted. Az emerge leszarja, hogy hogyan kerül a forrás a /usr/portage/distfiles -ba egyedül a checksum érdekes.

Van egy problémám xfce4.2 alatt az eclipse-el (3.1M5a), nem tudom az eclipse-be paste-zni amit thunderbird-ben (1.0), vagy gedit-ben copy-ztam :( Nem tudjátok mi lehet a gond?

ifconfiggal nézd meg, h van-e eth0. ha van pingeljél meg vele vkit a lanon
ezzel kizárva, h magával a kártyával lenne baj
de szerintem azzal lesz
a ioctl azért nem m1, mert nincs eth0

emberek,mostmar kezd a tokom tele lenni a Gentooval.
Estere beirtam hogy emerge open office,gondoltam mikoyben alszok szepen lefordul.Lelottem a grafikus feluletet,ne lassitson,konzolban kiadtam az emerge-t,elmentem aludni.Reggel egy szep hibauzi fogad hogy error.Mondom jovan,majd folrakom mashogy.Akarom elinditani a graf.feluletet,erre ezt irja:
Your session lasted less than 10 sec.If you have not logged out yourself,this could mean that there is some installation problems or that you may be out of diskspace.Try logging in with one of the failsale sessions to see if you can fix the problem

a bobeszedu hibakiiro meg azt irja ki hogy out of diskspace,amikor openoffice forditas elott volt vagy 2 GB.:x

persze a failsale session sem megy...egyre jobb.Jol kezdodik a nap.

A boot partíció felesleges, merthogy könnyen megoldható, hogy ne lehessen felülírni a kernelt. Egy másik könyvtárba pakolva felülírhatatlan.

Fájlrendszer probléma esetén pedig ott egy boot cd (gentoo minimal elég).

Akkor ezekszerint ez egy ximian-féle build az Ooo-ból?

[quote:f55a9ed00d="borz"][quote:f55a9ed00d="vmiklos"]irasjelekrol, mint olyanrol hallottal mar? :wink:[/quote:f55a9ed00d]

Mi a baj beluk? Az ekezetek hianya? Most csak igy megy.... :roll:[/quote:f55a9ed00d]

Szerintem a kérdőjelekre célzott...

supermountot használsz? :wink:

Köszönöm az infókat! :)

ja az lehet.
Egyébként egy élmény volt a Gentoo, főleg ilyen advancde hardveren látni amint a klasszikus 5-6 éves hulladék*klasszikusok és a modern sata-vezérlő harmóniája kibontakozik.

[quote:6915496f80="PcZolee"]Vagy szedd ki a world file-ból, vagy tedd be az adott csomagokat az /etc/poratge/package.mask fájlba!

pl. így: echo ">x11-base/xfree-4.3.1" > /etc/portage/package.mask

From: magenta[/quote:6915496f80]

Kösz a helpet; holnap ki is próbálom.

Nos az openoffice forditasa igen-igen hely- es idoigenyes, ha nem tetszik, rakd fel a binarist.

[quote:04dd5a6788="vmiklos"]supermountot használsz? :wink:[/quote:04dd5a6788]

ööö :oops: nem vagyok benne biztos :oops:
hol tudom beállítani?

pl [url=http://forums.gentoo.org/viewtopic-t-261580.html]itt[/url]

ez valóban gyorsít, használtam, egyetlen hátulütője, hogy nagyobb portage updatek (mármint a portage program frissülései) után meg kell várni, amíg a backendet újra hozzáigazítják, hogy működjön

de mondom, engem különösebben nem zavar, hogy negyedórát molyol, bár tervezem, hogy a saját portage wrapper scriptemnek csináljak egy sqlite backendet, legalább a kereséseket nagymértékben meggyorsítaná (bár arra is vannak már segédprogramok) - csak időm lenne...

[quote:9711eb1e32="warning"]Sziasztok!

Ket napja van Gentoo -m. Az online help szerint installaltam, voltak buktatok, de felment es mukodik. A lenyeg, hogy tetszik. Mert most van egy teljesen plain, letisztult oprendszerem.

De, vannak am furcsasagok is.
Mikor belepek, akkor a jelszo megadasa utan ezzel fogad a shell.
[code:1:9711eb1e32]
PAM-env[6573]: Unknown PAM_ITEM: <DISPLAY>
login[6573]: PAM pam_putenv: delete non-existent entry; DISPLAY
PAM-env[6573]: Unknown PAM_ITEM: <XAUTHORITY>
login[6573]: PAM pam_putenv: delete non-existent entry; XAUTHORITY
login(pam_unix)[6573]: session opened for user root by (uid=0)
[/code:1:9711eb1e32]

Mi lehet ez? Mar utananeztem es ez a PAM csomag fent van, de nemtudom mit kellene vele csinalnom, illetve ezt a nyavajgast megszuntetni. :)[/quote:9711eb1e32]

Hali.

Én úgy emlékszem, akkor kaptam ilyen üzeneteket, amikor nem futott semmilyen rendszernaplózó (sysklogd, syslog-ng, stb).
Beletetted a korábban lefordított naplózó daemon-t az rc szkriptekbe, (rc-update program) és elindítottad (/etc/init.d/syslog start) ?

wry, Tomyellow: koszi meg1x. ok minden vilagos, nem tudtam, hogy olyan fv()-ek vannak az mc-ben amik kikerulhetetlenne teszik a glib-et.

[quote:330129ac3f="congo"]közben végigolvastam a threadet, és irta valaki, hogy a kde-t sem darabolták szét mint más disztribúciókban... l[/quote:330129ac3f]

Ez igy nem igaz a kde-t darabokban is fel lehet tenni, kde-toys kde-multimedia, etc. csomagok vannak, bar igaaz hogy mysql csomagban nincs szetszedve

[quote:7f06cc2828="strangedr"]Úgy érted, a telepítés ne a szokásos helyre történjen, hanem egy másik partícióra? Szerintem az ebuildet kell átszerkesztened, a src_install() rutint.[/quote:7f06cc2828]

Ahham. Kipróbálom.

[quote:7f06cc2828="strangedr"]Vagy feltelepíted /-ba, megnézed, mit hova tett, és átmásolod?[/quote:7f06cc2828]

Ezesetben nem tudom, hogy a könyvtárak jogosultságát, hogy állítja be. Mert lehet, hogy a user látni fogja azt amit én szeretnék de, hogy írni is tud-e rá?

Masik kerdes. Van egy ATI Radeon 9500Pro-m. Felraktam a 6.8-as xorg-ot, melle a 8.8.25-os ati-drivetrt, de nem akar mukodni, a hiba pedig:
unable to acquire AGP, error "xf86_ENOMEM"

Na most az alapjan a faq alapjan raktam fel, amit itt talaltam:
http://odin.prohosting.com/wedge01/gentoo-radeon-faq.html

Itt is talalhato ilyen kerdes erre a hibara vonatkozolag, de nekem egyik megoldas se mukodott. Egyebkent nforce2-es alaplapom van.

Mi lehet a gond?
Vki pls hlp.

van gentooban olyan mint debian dpkg-nal a --purge ? vagyis minden filet (beleertve a modositott configokat is) szedje le?

" nem találja a root particiót."

Ha a root filerendszert fixen forditod a kernelbe?

[quote:03f9ed8fda="dr_strange"]2.6.6-love2-vel megy, 2.6.7-love5-tel nem...[/quote:03f9ed8fda]
ez ugye vmi vicc lesz hogy egyik kernellel megy a masikkal nem ?:)

ebuildeket úgy tudsz beküldeni, hogy nyitsz egy bugot a bugs.gentoo.org-on, megadod az ebuild leírását, csatolod az ebuildet és javasolod a portage fába való felvételét; az apache maintainere majd foglalkozik vele

egyedul gentoon talalkoztam ezzel a cron rulelal:

[code:1:4583570961]*/10 * * * * root test -x /usr/sbin/run-crons && /usr/sbin/run-crons[/code:1:4583570961]
kerdesem, hogy valoban szukseg van erre?

[code:1:4583570961]# this script looks into /etc/cron.[hourly|daily|weekly|monthly]
# for scripts to be executed. The info about last run is stored in
# /var/spool/cron/lastrun[/code:1:4583570961]
ez van a script elejen, de ugyanakkor az /etc/crontab ban megvannak a bejegyzesek amik inditjak a horly|daily|... stb jobokat.

Ha fel próbálok rakni olyan perl modul-t amely le akar forulni, akkor hibát dob az emerge, érdekes, hogy dependency ként berántja a module-build-et, de mivel nem azt rakja fel elsőként ezért gyakorlatilag csak a -O opcióval lehet a
emerge -Ova dev-perl/module-build -ot felrakni. Ez normális így?

Hi!

Találkozott valaki ezzel a problémával:
Consolemap: latin2-14, translation 8859-2 to uni

Ha be van kapcsolva az rc.confban a unicode:

-Boot után a user beírásakor ha ékezetes karaktert írok, pl ő ű, akkor a backspace nem törli ki a karaktert, de valójában törlődik, tehát pl. ő <backspace> root=őroot a képernyőn de be tudok lépni a root-jelszóval
-mc kinézete eléggé ronda, mert össze-vissza el vannak csúszkálva a karakterek.

Ha ki van kapcsolva az rc.confban a unicode

-Boot tuán hasonló effektus, de backspacekor "- -"-t ír ki, de ugyanúgy "törli", tehát ő <baxckspace> root=ő - -root, és megint csak be tudok lépni
-mc jól néz ki

Az elején a rendszert unicode támogatás nélkl telepítettem, aztán az mc-nek adtam unicode-ot, majd az ncursest is újrafordítottam unicode támogatással...

Help?

(+hogyan lehet megcsinlni, ohgy a rootnak is színezzen konyvtárakat az ls (nem olvassa be a .bashrc-t a /rootból))

[quote:edcf4b379a="vmiklos"]ifconfiggal nézd meg, h van-e eth0. ha van pingeljél meg vele vkit a lanon
ezzel kizárva, h magával a kártyával lenne baj
de szerintem azzal lesz
a ioctl azért nem m1, mert nincs eth0[/quote:edcf4b379a]

ifconfig

lo Link encap:local loopback
inet addr 127.0.0.1 Mask:255.0.0.0
up loopback running MTU:16436
Metric:1
RX packets:0 errors:0 dropped:0 overruns:0 frame:0
TX packets:0 errors:0 dropped:0 overruns:0 carrier:0 collisons:0 txqueuelen:0
RX bytes:0 (0.0b)
TX bytes:0 (0.0b)

én ezt tapasztaltam

Nem akarok új topikot nyitni neki ezért írom ide az kérdések topikba:

Ti hogy tudtátok működésre bírni a magyar billentyűzetet?

A probléma ismerős, a megoldás engem is érdekelne.. (Vigasztal a tudat, hogy nem csak nálam történnek ilyenek :) )
Arra is tud esetleg vki megoldást, hogy a bash ne felejtse el a userként egyszer már beállított aliasokat? Kissé unalmas minden újrainuláskor beírogatni...

> cd /usr/src/linux-2.6.11-gentoo-r4/drivers/net

> find . -exec grep -iH 'nforce' {} \; | grep -v enforce

./forcedeth.c: { /* nForce Ethernet Controller */
./forcedeth.c: { /* nForce2 Ethernet Controller */
./forcedeth.c: { /* nForce3 Ethernet Controller */

> find /lib/modules/ -iname "*forcedeth*"
/lib/modules/2.6.11-gentoo-r4/kernel/drivers/net/forcedeth.ko

[quote:ee729a22d6="ZsoL"]Nos az openoffice forditasa igen-igen hely- es idoigenyes, ha nem tetszik, rakd fel a binarist.[/quote:ee729a22d6]

az okés,de ne már hogy több mint 2 GB!

Meg emerge depclean openoffice -al eltüntetem azt a szemetet,de még mindig nuku szabad hely.Letöröltem egy 25 MB-os fájlt,mondom ennyi legyen már elég hogy elinduljon a graf felület,hát nem.

Úgyhogy most 7 perc alatt fölpakoltam az UHU-t,és filózok hogy mi legyen.

nano -w /etc/fstab
itt az enyem:
*******************************************************************************
/dev/cdroms/cdrom0 /mnt/cdrom iso9660 noauto,owner,ro 0 0
*******************************************************************************
proszald vhogy igy. sztem nem fog anyazni

mi a modja annak, ha nem szeretnem frissiteni world-del a kernel forrast? van egy masina amin a world upgrade-elne 25 csomagot, koztuk a gentoo-sources-t is, de en ez utobbit nem szeretnem. idaig beirtam kezzel a sources-en kivul az osszes csomagnevet az emerge utan, de ez ez eleg lame megoldas :) valami olyasmit keresek mint debian alatt a [i:e66dfe4821]dpkg --set-selections[/i:e66dfe4821] thx.

[quote:acf3063d0e="-GreG-"]nano -w /etc/fstab
itt az enyem:
*******************************************************************************
/dev/cdroms/cdrom0 /mnt/cdrom iso9660 noauto,owner,ro 0 0
*******************************************************************************
proszald vhogy igy. sztem nem fog anyazni[/quote:acf3063d0e]

az enyém is dettó ilyen.De nem ez a baj.Szóval külön mount parancsal kell beraknom a könyvtárba hogy lássam.Ha meg másolok a CD-ről valamit,az egész másolás leáll egy rövid időn belül,csak körcögeti a cd-t,totál meghal,ki sem adja ha megnyomom a gombot,umount-ra sem nagyon reagál,csak néha,resetelnem kell hogy kiadja a cd-t...

chroot = Change Root
Tehat a [code:1:7fdb0f2245]chroot /mnt/gentoo /bin/bash[/code:1:7fdb0f2245] azt csinalja, hogy a / particiot ideiglenesen (az adott session erejeig vagy amig exitet nem nyomsz) a /mnt/gentoo konyvtarba helyezi at ugy, hogy az uj shell a /bin/bash legyen.
A lenyeg az, hogy ami eddig /mnt/gentoo/usr/local/ volt az ezutan /usr/local lesz, es ami a /mnt/gentoo-n kivul van, ahhoz nincs hozzaferesi jogod.

[quote:395dce642a="sany"]" nem találja a root particiót."

Ha a root filerendszert fixen forditod a kernelbe?[/quote:395dce642a]

Az nem lesz megoldás minden estben.

Ugyanis. Nem szoktam initrd-t használni, mégis párx már belefutottam ebbe a hibába. Természetesen a root fs bele volt fordítva a kernelbe.

szerintetek ez mitol van? forditottam ujra glibc-t, nem segitett:

*** glibc detected *** double free or corruption (out): 0x0804e050 ***
Aborted

gugli szerint (vagy en olvastam felre) bug.

b

[quote:504225013e="PcZolee"]Akkor nem érdekel, 8-10 órám nincs rá, fenn van a bináris, az is jó, nem hinném, hogy sokkal gyorsabb lenne![/quote:504225013e]
pedig az emerge forrásában ott van, hogy kb 12 óra egy 700as gépen
és stimmel is, nálam 800ason kb 11óra ;-)

Azért nincs hely, mert a kicsomagolt források, és az addig elkészült
object file-ok ottmaradtak a /var/tmp/portage alatt.
Vagy letörlöd kézzel, vagy használod a köv. parancsot:
ebuild /usr/portage/app-office/openoffice/openoffice-1.1.2.ebuild clean

Ha egy kicsit belejössz a linuxba, rájössz, hogy a gentoo az egyik legjobb disztribúció.

az nem supermount
más disztró alatt is ezt csinálja? :?

[quote:5aaf56739d="LiRul"]mi a modja annak, ha nem szeretnem frissiteni world-del a kernel forrast? van egy masina amin a world upgrade-elne 25 csomagot, koztuk a gentoo-sources-t is, de en ez utobbit nem szeretnem. idaig beirtam kezzel a sources-en kivul az osszes csomagnevet az emerge utan, de ez ez eleg lame megoldas :) valami olyasmit keresek mint debian alatt a [i:5aaf56739d]dpkg --set-selections[/i:5aaf56739d] thx.[/quote:5aaf56739d]

Hát, átmeneti megoldás (átmeneti: idővel törölni illik a bejegyzést) az alábbi
echo '=sys-kernel/gentoo-sources-2.6.14-r1' >>/etc/portage/package.mask

Ezáltal nem akar felrakódni, függőségekben sem számítja bele az adott csomagot.

[quote:4a7660ed06="PcZolee"]Az milyen? Hogyan emergel-jem? Ez az, amikor KDE-s ikonok vannak? Egy címet tudsz dobni? Köszi.[/quote:4a7660ed06]
semmi köze hozzá ;-)

[quote:7c2a84c152="saati`"][quote:7c2a84c152="congo"]közben végigolvastam a threadet, és irta valaki, hogy a kde-t sem darabolták szét mint más disztribúciókban... l[/quote:7c2a84c152]

Ez igy nem igaz a kde-t darabokban is fel lehet tenni, kde-toys kde-multimedia, etc. csomagok vannak, bar igaaz hogy mysql csomagban nincs szetszedve[/quote:7c2a84c152]

De pl. debianban ezeket tovabbszabdaltak, kulon csomag a konsole, konqueror, kmail, stb. Ami csomagokat te emlitesz, azok a kde.org-fele felosztason alapulnak, a gentoosok nem szedtek szet jobban.

Eloszor is, csak a forrast tolti, le nem korditja ujra a kernelt. Ha esetleg zavar, hogy egyre tobb helyet foglalnak a kernelforrasok, lehetoseg van a maszkolasra. Talan egy peldaval lenne a legegyszerubb elmondani:

Maszkoltam a cedegat mert a 4.4.1-es verzio volt az utolso amit megvettem, es zavart, hogy allandoan rinyal frissiteskor:

[code:1:e7e57648d3]echo '>=app-emulation/cedega-4.4.1' >> /etc/portage/package.mask[/code:1:e7e57648d3]

Ezel a 4.4.1-nel frissebb verziokat letiltottam. Ugyanezt kell tenned a kernel forrassal is.

--
Hehe, lassabb voltam 8)

Koszonom!!!
telleg csak egy rc-update add metalog default kellett

es semmi error :)

kov kerdes, a useradd parancsnak slackware alatt volt egy scriptje ami megkerdezte az adatokat es a vegen letrehozta a usert. Valamiert a parameterezos megoldas nem megy, mert hiba adok meg jelszot nem veszi be.

na jólvan,megint én voltam a béna....rossz drivert töltöttem be :oops:
végre nem kell többet knoppixoznom!És elkezdhetem rakosgatni a progikat fölfele 8)
Piszok gyors ez a gentoo emberek,piszok gyors.
Mondjuk 3 napig raktam fölfele :roll:
köszönöm a türelmet,meg a segítő szándékot

Valaki használ Gentoo-t NF7-S V2.0 lappal 2500+ Barton pocival?
Már másodszor telepítem , most stage 1 -böl és idönként lefagy csontra.
De ha leveszem 500MHZ-re vagy 1100Mhz-re akkor csont stabil 100 FSB vel nem volt probléma, 22x100 már fagy, de joval kevesebszer mint 200x11 en, de eredeti orajelen halytva is ugyanugy fagy. Más distribnél nem volt még ilyen problémám. Ott stabil elötte stage3-bol raktam fel.
fordításnál ilyen paraméterekt adtam meg CFLAGS="-O2 -mcpu=athlon-xp -march=athlon-xp -fomit-frame-pointer -mmmx -msse -m3dnow -pipe" a memoriára a memetest nem jelzet hibát amugy xerox 1GB DDR 400-as.

erdekes...
probaltad a masolast parancssorbol? hatha dob vmi hibauzenetet.
//lehet, hogy I/O errort...

imho paranoia is tovább szétszedni :wink:
tudom, azért, h lehessen dicsekedni, h 7000 csomag van a disztróba :lol:

Ja és stage3-bol rakva is fagyott.

Szevasztok!

Egy fasiszta firewall mogul szretnek gentoot stage1-bol forditani. Minden le van titltva kifele, csak a squdi-en keresztul lehet http-t es ftp-t hasznalni. Szoval az rsync-nek annyi. Szerintetek vana ra valami megoldas, hogy a portage-fat ilyen korulmenyek kozozott synceljem, vagy felejtsem el a dolgot?

http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=1

private scripts és commands táblázat, doins és insinto parancsok talán segíthetnek

van még egy gond,nem műxik a cd-olvasóm és az íróm,azaz nem látja őket,pedig fstabban mindent jól írtam.(asszem)

/dev/hdd /mnt/cdrom iso9660 user,noauto,ro,umask=777 0 0
/dev/hdc /mnt/cdrw iso9660 user,noauto,ro,umask=777 0 0

+hogyan kell megadni a LILO-nak hogy egy másik Linuxot is be tudjak töletni?Mert ez nem működött:

other=/dev/hda2
label=other-linux

[quote:3a9df8fc27="vmiklos"]imho paranoia is tovább szétszedni :wink:
tudom, azért, h lehessen dicsekedni, h 7000 csomag van a disztróba :lol:[/quote:3a9df8fc27]
De azért pl a sambánál én előnyösebbnek tartanám ha külön lenne a szerver-kliens-lib, minthogy ha van egy gentoom amit desktopnak üzemeltetek, ezen rajta van a szerver is, feleslegesen, a szerver gentoon meg rajta van a samba kliens, aminek szintén nincs túl sok haszna.

[quote:d1dab1adc2="vmiklos"]az nem supermount
más disztró alatt is ezt csinálja? :?[/quote:d1dab1adc2]

nem,másik alatt nem.
de mostmár be sem mountolja a cd-t:
mount: block device /dev/cdroms/cdrom0 is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/cdroms/cdrom0,
or too many mounted file systems

király :x

Igen, kezd derengeni, magyarul nem tudok feljebb menni mint amire chrootolok.
Eh, mondjuk nem emiatt nem tudtam végül befejezni az installt, hanem a grub sztrájkolt, de azért jobb tisztában lenni ezzel is. Csak nem tom, mire lesz időm új installra.

[quote:c20b0a1529="PcZolee"]Akkor ezekszerint ez egy ximian-féle build az Ooo-ból?[/quote:c20b0a1529]

igen, de benne volt a nevében is :)

A sima openoffice nekem 5 óra alatt le is fordult (athlon xp 2600+, single channel memó).

[quote:6429580e75="radiokr250"]Ja és stage3-bol rakva is fagyott.[/quote:6429580e75]

próbáld meg úgy hogy csak march=athlon-xp paramétert adsz meg,a többit meg nem.

umountolni is szoktál? :P

Panther, R3Ce koszi a gyors valaszokat! Mukodik ofcos. :)

[quote:83522cccd7="strangedr"]ebuildeket úgy tudsz beküldeni, hogy nyitsz egy bugot a bugs.gentoo.org-on, megadod az ebuild leírását, csatolod az ebuildet és javasolod a portage fába való felvételét; az apache maintainere majd foglalkozik vele[/quote:83522cccd7]
eleg csak az .ebuild fajlt feltoltenem? Changelog meg Manifest stb. majd ok csinaljak? akkor minek dolgoztam en :-D thx.

[quote:0778595bd8="strangedr"][quote:0778595bd8="borz"][quote:0778595bd8="vmiklos"]irasjelekrol, mint olyanrol hallottal mar? :wink:[/quote:0778595bd8]

Mi a baj beluk? Az ekezetek hianya? Most csak igy megy.... :roll:[/quote:0778595bd8]

Szerintem a kérdőjelekre célzott...[/quote:0778595bd8]

Ja igen! Igy mar ertheto. ??, ennyi maradt le.
Akkor ujra kerdeznem:
Mire szolgal az usereim kozott az operator nevu user?
Kell jelszot megadni/megvaltoztani?

Elore is koszi

[quote:c9e075bb05="KKata"]Arra is tud esetleg vki megoldást, hogy a bash ne felejtse el a userként egyszer már beállított aliasokat? Kissé unalmas minden újrainuláskor beírogatni...[/quote:c9e075bb05]
man bash
És abban szerepel valami ilyesmi az INVOCATION szekcióban:

When bash is invoked as an interactive login shell, or as a non-inter-
active shell with the --login option, it first reads and executes com-
mands from the file /etc/profile, if that file exists. After reading
that file, it looks for ~/.bash_profile, ~/.bash_login, and ~/.profile,
in that order, and reads and executes commands from the first one that
exists and is readable. The --noprofile option may be used when the
shell is started to inhibit this behavior.
....
When an interactive shell that is not a login shell is started, bash
reads and executes commands from ~/.bashrc, if that file exists.

Magyarul interaktív login shell a HOME-ban levő .bash_profile , .bash_login és .profile közül a sorrendben elől levőt hajtja végre; interaktív nem login shell pedig a .bashrc -t.
(Érdemes tovább is olvasni a man-t, különös tekintettel arra, hogy Linux alatt a bash-t általában sh néven indítják.)

Szóval, ha már egyszer megcsináltad az aliasaidat, akkor alias >> ~/.bashrc
vagy hasonló paranccsal elérheted a kívánt eredményt.

[quote:3b35f9c0f5="gentoopowa"]van még egy gond,nem műxik a cd-olvasóm és az íróm,azaz nem látja őket,pedig fstabban mindent jól írtam.(asszem)[/quote:3b35f9c0f5]
Kicsit konkretabban? Mi nem ismeri fel, miket probaltal, ilyesmi.
[quote:3b35f9c0f5="gentoopowa"]
+hogyan kell megadni a LILO-nak hogy egy másik Linuxot is be tudjak töletni?Mert ez nem működött:

other=/dev/hda2
label=other-linux[/quote:3b35f9c0f5]
image = /a/kernel/image/eleresi/utja
root = /dev/hdxy
label = asdasd

vm nem vilagos nekem.

emerge --info xmms
CFLAGS="-O2 -march=pentium-m -pipe -fomit-frame-pointer"

cat /var/db/pkg/media-sound/xmms-1.2.10-r13/CFLAGS
-O3 -march=pentium-m -mtune=pentium-m -pipe -fomit-frame-pointer -mmmx -msse2 -mfpmath=sse,387

most akkor az info nem azt adja meg hogy hogy lett leforditva? vagy azt hogy hogy lesz?

[quote:72238a7c58="snq-"]
rc-update del devfsd, es passzold a 'gentoo=nodevfs'-t a kernelnek[/quote:72238a7c58]

Kosz snq- ez mukodott.

Viszont mikor probalom inditani X-t userrel akkor egy ilyen uzenetet kapok:
not enough ptys

(root -tal megy jol)
Neztem neten, es azt a megoldast javasoljak hogy tegyek fel devfs -t es engedjem a kernelben a UNIX pts filerendszert ami a /proc alatt jon majd letre. Mivel a debian alatt hasznalt kernel .config -t hasznalom meg meg is neztem ez benne van a .config ban.

Nem tudsz erre valami gyogyirt?

Udv.

na, nem tudja valaki? Csak mert nálam nincs ilyen parancs.

tudtommal az --info az épp hatályos flageket adja meg

emerge-websync

Nem tudom, mert este úgy kapcsoltam ki a gépet hogy nem megy.
A /etc/init.d/net.eth0 mindig hibával futott le.
Viszont mikor reggel bekapcsoltam a gépet rögtön volt net, nem kellet manuálisan heggeszteni.

Most így néz ki a /etc/conf.d/net :
config_eth0=( "dhcp" )
dhcpcd_eth0="-t 10"

meg még 258 sor kommentezve :)

[quote:607254cd3c="fabokzs"][quote:607254cd3c="snq-"]
rc-update del devfsd, es passzold a 'gentoo=nodevfs'-t a kernelnek[/quote:607254cd3c]

Kosz snq- ez mukodott.

Viszont mikor probalom inditani X-t userrel akkor egy ilyen uzenetet kapok:
not enough ptys

(root -tal megy jol)
Neztem neten, es azt a megoldast javasoljak hogy tegyek fel devfs -t es engedjem a kernelben a UNIX pts filerendszert ami a /proc alatt jon majd letre. Mivel a debian alatt hasznalt kernel .config -t hasznalom meg meg is neztem ez benne van a .config ban.

Nem tudsz erre valami gyogyirt?

Udv.[/quote:607254cd3c]

roviden:

1. mkdir /dev/pts
2. fstabba: none /dev/pts devpts gid=5,mode=620 0 0
3. aztan mount
4. user hozzarendelese a 5-s grouphoz, ami a tty

[quote:1e218b63c0="LiRul"][quote:1e218b63c0="strangedr"]ebuildeket úgy tudsz beküldeni, hogy nyitsz egy bugot a bugs.gentoo.org-on, megadod az ebuild leírását, csatolod az ebuildet és javasolod a portage fába való felvételét; az apache maintainere majd foglalkozik vele[/quote:1e218b63c0]
eleg csak az .ebuild fajlt feltoltenem? Changelog meg Manifest stb. majd ok csinaljak? akkor minek dolgoztam en :-D thx.[/quote:1e218b63c0]

ha megcsináltad, csatold, biztos értékelik...

none /dev/pts devpts gid=5,mode=620
ilyen van nálad az fstabban?
grr. kisindián megelőzöt :twisted:

[quote:61ca48144c="Panther"][quote:61ca48144c="sany"]" nem találja a root particiót."

Ha a root filerendszert fixen forditod a kernelbe?[/quote:61ca48144c]

Az nem lesz megoldás minden estben.

Ugyanis. Nem szoktam initrd-t használni, mégis párx már belefutottam ebbe a hibába. Természetesen a root fs bele volt fordítva a kernelbe.[/quote:61ca48144c]

/usr nem külön partíción van, ugye?

Üdv,
Dw.

Telepítetted már? Nem ír erről semmit az ebuild? Mert ha ilyen funkció van akkor szoktatk megjegyzést tenni a dologról.

[quote:fb15f6ac98="warning"]Koszonom!!!
telleg csak egy rc-update add metalog default kellett

es semmi error :)

kov kerdes, a useradd parancsnak slackware alatt volt egy scriptje ami megkerdezte az adatokat es a vegen letrehozta a usert. Valamiert a parameterezos megoldas nem megy, mert hiba adok meg jelszot nem veszi be.[/quote:fb15f6ac98]

Kipróbáltam, sajnos nekem sem megy.
Hmmmm.

[quote:814093ffce="vmiklos"]none /dev/pts devpts gid=5,mode=620
ilyen van nálad az fstabban?
grr. kisindián megelőzöt :twisted:[/quote:814093ffce]

Ahogy elnezem szoros volt :D

ezt írja ki az emerge, és nem tudom, hogy mit kezdjek vele:

Calculating world dependencies ...done!

!!! Error: the <media-video/ati-drivers-8.8.25-r3 package conflicts with another package.
!!! both can't be installed on the same system together.
!!! Please use 'emerge --pretend' to determine blockers.

Calculating world dependencies ...done!
[blocks B ] <media-video/ati-drivers-8.8.25-r3 (from pkg x11-base/opengl-update-2.1_pre4)
[ebuild U ] app-misc/mc-4.6.0-r12 [4.6.0-r11]

hogyan oldhatnám fel ezt a blokkolást? egyáltalán mi blokkol mit és miért?

56k modemos gentoo userek figyelmebe (en is az lennek):

[url]http://forums.gentoo.org/viewtopic.php?t=215262[/url]

meg:

[url]http://gentoo-wiki.com/HOWTO_Install_Deltup[/url]

[quote:13a0a84583="dikki"]Igen, kezd derengeni, magyarul nem tudok feljebb menni mint amire chrootolok.
Eh, mondjuk nem emiatt nem tudtam végül befejezni az installt, hanem a grub sztrájkolt, de azért jobb tisztában lenni ezzel is. Csak nem tom, mire lesz időm új installra.[/quote:13a0a84583]

Pedig a Gentoo-hoz idő kell :) Mikor felraktam és kiadtam az "emerge kde"-t bizony 11 óra alatt fordította le (Athlon2400+) :) (Le is zsibbadtam, mert egy 10 percel azután mikor befejezte áramszünet volt, arra azért kiváncsi lettem volna, hogy azt hogy kezeli, de nem tudtam meg ;)) (persze binárisként is letölthettem volna...) Amúgy a portage felépítése nagyon szimpatikus :)

[quote:c0a57ae12d="gentoopowa"][quote:c0a57ae12d="vmiklos"]az nem supermount
más disztró alatt is ezt csinálja? :?[/quote:c0a57ae12d]

nem,másik alatt nem.
de mostmár be sem mountolja a cd-t:
mount: block device /dev/cdroms/cdrom0 is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/cdroms/cdrom0,
or too many mounted file systems

király :x[/quote:c0a57ae12d]
nálam akkor dobott ki ilyen üzenetet amikor ki akartam próbálni a dvd-írót, de csak újraírható cd-t raktam bele, és ilyen hibával nem tudta felmountolni. Sokáig tartott rájönnöm hogy a cd teljesen üres volt :D
A konklúzió: lehet, hogy hibás a cd, meg van karcolva, csikknyomot ha találsz rajta az se túl szerencsés, stb

Fel :)

[quote:3c99bfd7c8="Zahy"] Szoval, ha mar egyszer megcsinaltad az aliasaidat, akkor alias >> ~/.bashrc
vagy hasonlo paranccsal elerheted a kivant eredmenyt.[/quote:3c99bfd7c8]
Koszi, ez mer megvolt, megsem megy. :(

Sziasztok!

Ha már mount a téma! Nekem gentoo az itthoni kiszolgálóm! Vfat particiókat ad ki nfs-en, de csak olvasható, az fstab rw bejegyzése ellenére. Lehet, hogy nfs-en nem tudom irni a vfat-ot?
És mégegy kérdés:
Hogyan tudnám elérni a gentoos kiszolgálót úgy, hogy billentűzet se kelljen rá. Esetleg egy mc-t tudok távoli módban indítani rajta? Ha igen mit olvassak el, hogy mehessen?
---
Hy

szeretnék egy olyan programbol ebuild-et csinálni, aminek az upstream-je rc. magyarul program-0.3.2-rc1.tar.bz2 a letöltendő file. ebuild nevébe nem írhatok rc-t mert invalid jól. mi ilyenkor a megszokott bevett megoldas? szeretném jelezni magamnak, hogy az ebuild amit csináltam az meg nem final, igy a 0.3.2-r1 nem lenne igazán megfelelő. thx.

A useradd kerdes mellett nekilattam egy mydns.hhu domain nevet adni a gepemnek. Az a baj, hogy mikor megmondom neki, hogy rc-update add myipscript default akkor a restart utan /...script has syntax error it it. not executing :(

Ha jol ertelmezem ez egy perl script a myip.hu oldalon meg tok mast irnak, hogy hogyan kell automatice elinditani ezt:

[url]http://mydns.hu/olvassel-linux.txt[/url]

[quote:3084246893="gentoopowa"]próbáld meg úgy hogy csak march=athlon-xp paramétert adsz meg,a többit meg nem.[/quote:3084246893]

miert is?

megint én:roll: van egy kis gond.userként nem tudom olvasni a fat-os fájlrendszert

[quote:5fdbcb4457="DIldus"]Hogyan tudnám elérni a gentoos kiszolgálót úgy, hogy billentűzet se kelljen rá. Esetleg egy mc-t tudok távoli módban indítani rajta? Ha igen mit olvassak el, hogy mehessen?[/quote:5fdbcb4457]
a bill nem árt, ha vmi gáz van. de te tudod...
távolról meg sshval mindent meg lehet csinálni. természetesen mczni is :wink:

[quote:054fbb394c="Dwokfur"][quote:054fbb394c="Panther"][quote:054fbb394c="sany"]" nem találja a root particiót."

Ha a root filerendszert fixen forditod a kernelbe?[/quote:054fbb394c]

Az nem lesz megoldás minden estben.

Ugyanis. Nem szoktam initrd-t használni, mégis párx már belefutottam ebbe a hibába. Természetesen a root fs bele volt fordítva a kernelbe.[/quote:054fbb394c]

/usr nem külön partíción van, ugye?

Üdv,
Dw.[/quote:054fbb394c]

Néha a home van külön, de maga a rendszer mindig egy partíción van. Többször előjött már nekem, másoknak is, fájlrendszer bele volt fordítva - nem tudtuk, mi a hiba oka. A kernelt elölről elkezdtem bekonfigolni, utána ment, ami elég érthetetlen volt számomra. No mind1, nem áll szándékomban senkit sem összezavarni...

[quote:79101437db="vmiklos"][quote:79101437db="DIldus"]Hogyan tudnám elérni a gentoos kiszolgálót úgy, hogy billentűzet se kelljen rá. Esetleg egy mc-t tudok távoli módban indítani rajta? Ha igen mit olvassak el, hogy mehessen?[/quote:79101437db]
a bill nem árt, ha vmi gáz van. de te tudod...
távolról meg sshval mindent meg lehet csinálni. természetesen mczni is :wink:[/quote:79101437db]
az a laza, ha a géphez csak a falból vezet kábel, és így kevés kábelvezetéssel meg lehet oldani a dolgot: lényegében [i:79101437db]x[/i:79101437db] hálókábel, egy tápkábel oszt véget ért a sor :D

Nálam is probléma volt ez.
Megoldást nem találtam, hanem elindítottam a gépet az install cdvel, és a szükséges konfig fájlokat átmásoltam.
Ennyi. :cry:

Üdv!

Tegnapelött gondotam frissítek egy picit a rendszeren, mert már rég volt ilyen, meg most volt szabad sáv + cpu...

emerge sync
emerge -u world

erre szól, hogy régi már a profile-om, cseréljem le...jó, fogom letörlöm a régit, belinkelem az újat..

emerge -u world újból, elkezd futni...tölti az újabb verziókat, törli a régieket
(87 csomag frissült, szal mentem aludni egyet)

felkelek, megnézem, nos az 50%-ról 70-re ugrott a hdd kihasználtság...na most ez mi? azért ennyivel csak nem bővült a csomagok mérete :?:

Ötlet, erre vonatkozóan?

[quote:4683dd19b0="warning"]Koszonom!!!
telleg csak egy rc-update add metalog default kellett

es semmi error :)

kov kerdes, a useradd parancsnak slackware alatt volt egy scriptje ami megkerdezte az adatokat es a vegen letrehozta a usert. Valamiert a parameterezos megoldas nem megy, mert hiba adok meg jelszot nem veszi be.[/quote:4683dd19b0]

Van egy superuseradd nevű parancs. Próbáld ki, talán megcsinálja, amit akarsz.

Üdv.: Tomyellow

[quote:29f513bbf4="gentoopowa"]megint én:roll: van egy kis gond.userként nem tudom olvasni a fat-os fájlrendszert[/quote:29f513bbf4]
[url]http://www.hup.hu/modules.php?name=Forums&file=viewtopic&t=1278[/url]

[quote:458f18ce50="vmiklos"]
a bill nem árt, ha vmi gáz van. de te tudod...
távolról meg sshval mindent meg lehet csinálni. természetesen mczni is :wink:[/quote:458f18ce50]

Szia!
Van rajt billentyű, csak a szekrény tetején van a gép (EPIA) és nehéz a széken állva knfigolni, amikor szükség van rá! Igaz már vagy két hónapja nem volt rá szükség, de néha jól jönne pl. az /etc tartalmából egy két dolog, na olyankor nem állok fel megnézni :-) Leginkább ez lenne a célom! Az ssh-t mindjárt keresem, meglesem mit tehetek magamnak vele :-)

---
Hy

nekem sajna nincs olyan. de ha megmondod melyik csomagban van akkor szivesen be-emergelem :)

A devel ággal az egyenlő, ha minden csomagot ~x86 keyworddel és a package.mask-ból kivéve telepítesz. _Erős_ körültekintéssel és a package.mask sűrű olvasás mellett ajánlott csak.

[quote:24774487e6="whitehawk"]emerge-websync[/quote:24774487e6]

Kossz, ez bejon!

[quote:5a36086959="KKata"][quote:5a36086959="Zahy"] Szoval, ha mar egyszer megcsinaltad az aliasaidat, akkor alias >> ~/.bashrc
vagy hasonlo paranccsal elerheted a kivant eredmenyt.[/quote:5a36086959]
Koszi, ez mer megvolt, megsem megy. :([/quote:5a36086959]

1) nézd meg mi a shelled (pl echo $SHELL, vagy echo $USER /etc/passwd és nézd meg mi a shelled)
2) ha bash, akkor login esetén a Zahy által már említett dot fileok, pl a ~/.bash_profile indul el, ha pedig nem login shellt indítasz (pl xterm-et nyitsz X alatt), akkor csak a ~/.bashrc fut le. ezért szokás a .bashrc-t vagy a "." vagy a "source" parancsokkal beolvastatni a ~/.bash_profile-ból, hogy mindkét esetben lefusson a bashrc-d (bár ez nyilván ízlés kérdése).

tehát ha neked azokután, hogy a .bashrc-be betetted a beállított aliasaidat (tehát 1) login 2) aliasokat állítsd be 3) alias >> ~/.bashrc) továbbra sem állítódnak be az aliasaid, akkor vagy nem BASH a SHELL-ed, vagy login shellt indítasz és a login shelled nincs úgy beállítva, hogy a ~/.bashrc-t automatikusan beolvassa.

ha arról van szó, hogy nem BASH a SHELL-ed, akkor ezt másképp kell beállítani. a legtöbb SHELL a ~/.profile-t olvassa be automatikusan, de a .bashrc-det csak a BASH fogja beolvasni (és (ha jól emlékszem) némely SHELL-ek esetén nem olvasódnak be sem a .logout script, sem a .shrc scriptek, így ezek esetén egyszerűen a .profile-t kell használni és oda tenni be az alias beállításaidat). sok sikert.

Sziasztok

Minap az egyik tesztgepre felvarazsoltam egy gentoot:)
Csak aprobb kellemetlensegeim vannak vele nem igazan vagyok otthon a csomag kezelojeben apt-get-hez es dpkg-hoz vagyok szokva, ha valaki felhomalyositana, hogy az adot parancsoknak mi a megfeleloje gentooban azt meg koszonnem:)

Mi a parja gentooban:
apt-cache search ...
apt-cache show ...
dpkg -l ....
apt-get install --reinstall
apt-get remove --purge

igy hirtelen ennyi ha esetleg lesz meg akkor meg kerdezek.

York

Sziasztok!

Friss gentoo-s vagyok és összegyűlt pár kérdésem.

Szerentném feltenno az fsf-féle OOo-t, de java runtime environmetért sír. Fel is tettem a sun-jre-bin-t(letöltöttem külön a file-t, szóval tényleg feltettem), de nem találja meg. A telepítő továbbra is azt írja, nincs java környezet, pedig próbáltam bevezetni az /opt-on belül a java könyvtárba. Ötlet?

A másik két kérdés mount-tal kapcsolatos.
1. Van egy vfat partícióm, amit vegyesen használok linuxból és winXP-ből. Szeretném indításkor mountolni, ami sikerül is, de csak rootként tudom elérni. Próbáltam beírni az user-t az fstab-ba, de az csak arra lett jó, hogy ha előtte lecsatolom rootként akkor a felhasználó is fel tudja csatolni. Tehát valami olyan kapcsoló kéne ami beenged a rootként felcsatolt könyvtárba is.

2. A complete Gentoo Linux 2.6 migration guide alapján átálltam 2.6-os kernelre. (Egész pontosan ck3.) Tehát elvileg udev-et használok. De nem tudom, a pendrive-ot hova csatolja. Tovább bonyolítja a helyzetet, hogy két hely is van elöl a gépen és mindkettőt használom felváltva. Jó lenne, ha azonnal mountolná őket amint bedugom a gépbe. Talán supermount a megoldás, de nem tudom, ahhoz kell-e telepítenem valamit.

Hát ennyi. Meg a [url]https://www.hup.hu/modules.php?name=Forums&file=viewtopic&t=3790[/url]
címen is van egy megoldatlan kérdésem :) Előre is köszönök minden segítséget!

Sziasztok!

Egy kis segedelemre lenne szükségem. Tegnap megpróbáltam telepíteni ezt a gentoo nevezetű jószágot de a bootstrap alatt a gcc fordításnál elakadt, valami do_make_xxx függvény x. sorának hibája miatt. Pontosabbat nem tudok mondani mert tegnap amikor akartam volna ide írni a knoppixom lefagyott. Szóval, ilyenkor mi a szőr van, mit lehetne csinálni? A neten semmi használhatóra nem akadtam rá.

takaríts az /usr/portage/distfiles és a /var/tmp/portage és /var/logs/emerge könyvtárakban, utána nézd meg megint

[quote:68f54bbbc6="testerlnx"][quote:68f54bbbc6="atlantic"]
én az mrxvt-t ajánlom neked.[/quote:68f54bbbc6]
Köszönöm! Tud mindent amit akartam :) Leszámítva a jobb gombos Copy-t, de majd meglátjuk megleszek-e nélküle...[/quote:68f54bbbc6]

alternatív megoldásként ajánlom, a fluxbox + urxvt párost. fluxbox tabjaival szépen meg lehet oldani a multi-tab-ot.

Udv!
Leszedtem a 2004.1-es mini cd-t. (install-x86-minimal-2004.1.iso)
Nincs cd-irom, de van usb-s pen drive-om.
Az alaplapom tamogatja az usb-s bootoloast.
Hogy hegesszek a gepre Gentoot?
-Orgi-

[quote:a82e8dc987="ssa2"][quote:a82e8dc987="nsuperbus"]probald meg igy:
[code:1:a82e8dc987]
emerge -etpv world
[/code:1:a82e8dc987]

Igy mar latod.Az mar mas, en nem csinalnam meg a helyedben.[/quote:a82e8dc987]

Ez a lényegen semmit nem változtat. Én a már megkezdett folyamatot szertném folytatni, nem elölről kezdeni az egészet.[/quote:a82e8dc987]

Akkor az alőbb említett skipfirst opció lesz, amit keresel.

Üdv.: Tomyellow

Hát, nem tudom aktív-e még a gondod:

Két GUI van a portage elé, a kuroo és a kentoo. ebből a kentoo valszínűleg dependelni fog a kcontrolra, mert ahhoz plugin. A kuroo-t még én se ismerem állítólag jó...

Hát, nem tudom aktív-e még a gondod:

Két GUI van a portage elé, a kuroo és a kentoo. ebből a kentoo valszínűleg dependelni fog a kcontrolra, mert ahhoz plugin. A kuroo-t még én se ismerem állítólag jó...

Nem lehet, hogy menet közben cseréltél cron daemon-t?

Ha egy újonnan telepített rendszerre a legelején vixie-cron-t raksz, akkor a root crontab-ja üres marad.

Szedd le az opengl-update-2.1_pre4 csomagot. Mert az ati drivr istartalmaz opengl-támogatást, és két Opengl nem fér meg egy csárdában :D

#emerge -pv ati-drivers
___________________________________________________________________
Lógnak a pálmafán a kókuszok .... :)
http://laszlo.co.hu/

Frissült mostanában az openssl 0.9.7j-ről 0.9.8c-re. Le is forgattam, s arra számítottam, hogy utána szükség lesz a revdep-rebuild-re -- de nem lett. Valamilyen kompatibilis módban lehet, mert megmaradt a libssl.so.0.9.7 is. Kérdésem, hogy kell ilyenkor szakszerűen áttérni teljes egészében az új libraryre? Thx.

Lám a láma... solution: revdep-rebuild --library=libssl.so.0.9.7

Kivaloan ujrafordult minden immaron 0.9.8-cal, most jonne a 0.9.7-es .so vegleges eltavolitasa. Ujraforgattam mar az openssl-t azutan, hogy semmi nem linkelt a regi lib-re, de nem valt be. Vagy ez nem is fog menni kompatibilitasi okokbol?

ezt egyébként kiírta ám. nekem rtorrent azóta nem hajlandó lefordulni.

Nekem meg az up-imapproxy... (az egyik gepen)

Sziasztok!

Előre is elnézést kérek, hogy ily egyszerű kérdéssel zavarlak benneteket!

Az lenne a kérdésem, hogyan tudom a prompt-omat "localhost"-ről valami mássá átírni.
A probléma az, hogy SAMBA-nal összeakad valamelyik másik géppel...

Köszönöm!

Átírod az /etc/hostname fájlt
üdv: pomm

Újabban: /etc/conf.d/hostname

---------
MaGenTa - http://magenta.linuxforum.hu

Samba eseteben a "netbios name" beállítás az, amire igazán szükséged van.

Sziasztok!

Egy olyan kérdésem lenne, hogy amikor az smbpasswd-vel megadom a SAMBA jelszót, ott a Gentoo elfogad-e ékezetes jelszavakat? Ha igen, tudnátok abban segíteni, hogyan kell beállítani? Ugyanis van 1-2 olyan felhasználó, - hál' isten nincs is több- akinek van ékezet a jelszavába. Ha ékezet nélküli jelszóval próbálok csatlakozni, úgy sikerül. Nem veszélyes a szitu, csak kellemetlen....

Előre is köszönöm a segítséget!

Elméletben ez nem különbözik a más linuxokban levő dolgoktól (ha ott megy, itt is; ha ott nem, itt sem). Egy a bibi: Nem lehet tudni, hogy a Windows-Samba kommunikáció során a jelszó milyen encoding szerint megy át a gépek közt. Ha nem akarod halálra szivatni magad, akkor tiltsd az ékezetes karaktereket, menjen minden no ékezet. Ennyi.

Hali!

Gentoo telepítés előtt állok, a handbook-ot olvasgatom, és a framebuffer-rel kapcsolatban lenne kérdésem. Eléggé hiányosak az ismereteim, ezért fordulok hozzátok. A kernelt genkernellel szeretném elkészíteni. A leírásban az áll, hogy ha a gentoo-patch-elt kernelt használom, akkor abban a vesafb-tng az alapértelmezett, és nem kell a vga értékét állítani. Eddig oké. Ezután a video értékét kell megadni, de ezt már nem teljesen értem.
Valaki el tudná mondani, hogy mi alapján kell kiválasztanom a megfelelő opciókat?

Ezeket olvasom:
GentooWiki: http://gentoo-wiki.com/HOWTO_Framebuffer:Bootsplash:Grubsplash
x86 Handbook: http://www.gentoo.org/doc/en/handbook/handbook-x86.xml

uvesafb is the successor of vesafb-tng:
spock's devsite > uvesafb.

... es a uvesafb olvashato formatumban varja a parametereket: 1024x768@72

Helló!

Feltettem a x11-terms/rxvt-unicode ebuildet. És az a problémám hogy be jelentkezek vele a másik gépemre és megpróbálok elindítani egy 'rxvt-unicode': unknown terminal type.hibaüzenetet kapom.

Így a hiba láttán totál tanácstalan vagyok, mindkét gép ugyanolyan UTF8 as lokalizációval van be állítva.

közben megtaláltam a megoldást.u
~/.Xdefaults filébe
rxvt*termName: xterm

signup :)

-------------------------------------------------------------------------
remember: ha nyakig vagy a szarban, akkor fejre kell allni! maris csak bokaig er ;)

Sziasztok!

Korábban kb. másfél hónapig használtam Gentoo-t, de mivel még elég kezdő voltam/vagyok, így inkább áttértem Debianra.
Azonban nem igazán hagy nyugodni ez a disztro, a portage és USE flag rendszer nagyon tetszett, meg fogom vele próbálkozni újra.

Egyik komolyabb gondom az volt, hogy amikor valami olyan feladatot kellett megoldani amit korábban nem csináltam, több programot is kipróbáltam s mindegyiknek a lefordítgatása elég sokáig tartott, közben meg lehet 5 perc után kiderült, hogy nem lesz megfelelő.
Ezért mielőtt lefordítanám őket a rendszeremhez, jó lenne bináris csomagból telepíteni s megnézni az kell-e nekem egyáltalán.

Olvasgattam, hogy léteznek GRP hostok, ahonnan lehet szedni binárisokat is, de ahogy néztem azok nem maiak.
A dpkg is használható, így deb csomagok telepíthetőek, azonban felmerül a kérdés, hogy mi lesz a függőségekkel?
Rpm csomagoknál ugyanez a kérdés.
Azt is írták, hogy ezeket át lehet alakítani tar.gz formátumba, majd egyszerűen kicsomagolni, bár nem igazán értem ez a dolog hogyan működne.

Van valakinek tapasztalat bináris csomagok telepítésével kapcsolatban Gentoo alatt?
Hogyan oldható meg a legegsyzerűbben, hogy kipróbáljak egy progit, fordítás nélkül?

Persze megoldható, hogy virtuális gépen futtatok mondjuk egy Debian-t vagy akár egy másik partíción is(mondjuk ez tervbe is van véve, valószínűleg mindkettő fent lenne egyszerre) és ott tesztelem, de érdekelnének a tapasztalatok.

En szemely szerint nagyon utananezek hogy biztosan tutira kell-e az a program nekem :).

:)
Amíg nem próbálom ki addig nem igazán tudom, hogy tényleg az kell-e.
Pl. majd ha megint 2 dvd-s filmet egy DVD9-re szabni, akkor nem biztos, hogy rögtön tudni fogom melyik progik kellenek hozzá, ilyet még csak win alatt csináltam és ott is 3-4 kellet ha jól emlékszem.
Ilyesmi szitukra gondoltam.

Jahm ilyen lutrik vannak, de en szemely szerint jo nehany oraig googlizok hogy tenyleg az kell-e :)

Az se rossz, de jobb szeretem gyakorlatban kipróbálni.
Valószínűleg az lesz, hogy úgyis meghagyom a jó kis stabil Debianom s majd azon tesztelem az ilyeneket.
Szerintem holnap neki is állok felrakni, szép lassan, komotosan, minden USE flaget megrágva, konfigokat ellenőrizve, hogy pl. ne a telepítés után kelljen szívnom a magyar nyelv beállításával.

emerge --buildpkg csomagnév
igaz így is forditod, de bármikok le ill fel pakolhatod

Debian csomagban nincs? Csodálnám. :)

Köszi, ezt az opciót ismerem, de amint te is mondtad mindenféleképp fordítani kell, ami nem gond, általában van rá időm, csak ha feleslegesen teszem, mert végülis is nem kell a progi vagy gyorsan akarok kipróbálni valamit, akkor lenne érdekes a felvázolt szitu.

Tuti, hogy van Debian csomagban, csak gondoltam hátha os váltogatás nélkül is megoldható.
Majd megnézem hogy megy dpkg telepítéssel vagy az rpm-el, csak ha mondjuk sok függősége van az adott csomagnak akkor lehet több idő beszerezni őket mint lefordítgatni. :)
Úgy lenne az igazi, ha lehetne apt-get-et használni és repoból húzni. :))
Bár ahogy néztem bugzilla-n, van egy apt-rpm ebuild, ami ha jól tudom valami hasonló jószág mint az apt-get.

Ajánlom a qmerget (app-portage/portage-utils), utoto project csomagjait (gentoo-wikiben keress rá, binhost vagy vmi ilyesmi), livecd imagen lévő binárisokat. Az első kettő, ahogy eddig tapasztaltam, elég friss is, de ha vmi nagyon extra csomag kell, az nem biztos, hogy le van fordítva.

Rendben, köszi, megfogom keresni.

Most még azon agyalok, hogy várjak-e 31.-éig, a 2008.0-a kiadásáig a friss stage3 miatt vagy úgyis mindegy, mert majd frissíti magát.
Sok idő az a 3 nap. :)

Nem kell várni, a Gentoo telepítő 'verziók' tulajdonképpen és picit leegyszerűsítve csak az adott pillanatban snapshotolt portage fa és egy olyan-amilyen telepítő házasságából születnek.

Jó, nyilván megnézik külön hogy minden müxik-e, de onnantól hogy feltelepítetted, minden Gentoo verzió ugyanúgy viselkedik.

(Persze ha régebbit telepítesz, akkor utána az első frissítés sokáig tart)

Még egy kérdésem lenne.
Közben csak elkezdtem a telepítést Debian alól, nem tudtam várni, most fut az "emerge system", ezután jönne a kernel konfig.
Ezt a genkernel-el akarom megcsináltatni, a handbook-ban azt írják a cd bootolásakor felismert hardver összetevők alapján konfigolja be.

Mivel egy meglévő rendszer alól telepítem, így nem bootoltam semmilyen cd-t, csak felcsatoltam a /dev és /proc partíciókat az alábbi parancsokkal "mount -t proc none /mnt/gentoo/proc&&mount -o bind /dev /mnt/gentoo/dev", nem tudom ez egyenértékű-e azzal mintha az install cd-je gyűjtötte volna be ezeket az infókat.
Érdemes lenne azért kiírni és bootolni vele a kernel fordítás erejéig vagy a mountolásos megoldás is megfelel?